package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.edmodo.EdmodoUtil;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.Map;
import javax.servlet.http.HttpSession;

/**
 *
 * Sets all subject competence's student's members list in a session
 * attribute.<br/>
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class AbsenceAspectStudentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final ArrayList<Map.Entry<String, String>> groupMembers = EdmodoUtil.getGroupMembers(((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(new SubjectCompetenceUtil(request).getSelectedSubjectCompetence()).getEdmodoGroup(), request, false);
        final ArrayList<String> subjectCompetenceMembers = new ArrayList<String>();
        for (final Map.Entry<String, String> current : groupMembers) {
            subjectCompetenceMembers.add(current.getKey() + ConstantsForm.SEPARATOR + current.getValue());
        }
        // Send subject competence student's list.
        this.request.setAttribute(Constants.ATT_ABSENCE_STUDENTS_LIST, subjectCompetenceMembers);
    }
}