package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class AbsenceAspectStudentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final int subjectCompetenceSelected = new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        final SubjectCompetence subjectCompetence = ((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceSelected);
        final String edmodoGroup = subjectCompetence.getEdmodoGroup();
        // TODO: manejar el JSON y sacar LOS ESTUDIANTES
        final String groupData = EdmodoAPI.members(new String[]{edmodoGroup});
        // TODO parsear el groupData y sacar los alumnos:
        final String[] studentList = new String[]{"Cristian Tejedor" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_1_EDMODO_TOKEN, "Raúl Rodríguez" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_2_EDMODO_TOKEN, "Irene García" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_3_EDMODO_TOKEN, "Elena García" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_4_EDMODO_TOKEN, "Teresa Lázaro" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_5_EDMODO_TOKEN, "Carlos Martínez" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_6_EDMODO_TOKEN, "Rosa Chacel" + ConstantsForm.SEPARATOR + EdmodoAPI.STUDENT_7_EDMODO_TOKEN};
        final List<String> subjectCompetenceMembers = new ArrayList<String>();
        for (final String currentMember : studentList) {
            subjectCompetenceMembers.add(currentMember);
        }
        // Send subject competence student's list.
        this.request.setAttribute(Constants.ATT_ABSENCE_STUDENTS_LIST, subjectCompetenceMembers);
    }
}