package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.BehaviourAttitudeAspect;
import classcontrol.entity.StudentAspect;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 * Shows student's absences for a student or nothing if various students are
 * selected.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class AspectStudent2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final int subjectCompetenceSelected = new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        final HttpSession session = this.request.getSession();
        final String idEdmodoTeacher = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        String myStudentReport = this.request.getParameter(Constants.PARAMETER_COMES_FROM_REPORT);
        if (myStudentReport != null) {
            final String data = EdmodoAPI.users(new String[]{myStudentReport});
            // TODO: parsear los datos
            // TODO: parsear los datos
            // TODO: parsear los datos
            // TODO: parsear los datos
            final String fullName = myStudentReport.compareTo(EdmodoAPI.STUDENT_1_EDMODO_TOKEN) == 0 ? "Cristian Tejedor"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_2_EDMODO_TOKEN) == 0 ? "Raúl Rodríguez"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_3_EDMODO_TOKEN) == 0 ? "Irene García"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_4_EDMODO_TOKEN) == 0 ? "Elena García"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_5_EDMODO_TOKEN) == 0 ? "Teresa Lázaro"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_6_EDMODO_TOKEN) == 0 ? "Carlos Martínez"
                    : myStudentReport.compareTo(EdmodoAPI.STUDENT_7_EDMODO_TOKEN) == 0 ? "Rosa Chacel" : "";
            myStudentReport = fullName + ConstantsForm.SEPARATOR + myStudentReport;
            // TODO: parsear los datos
            // TODO: parsear los datos
            // TODO: parsear los datos
        }
        final String[] selectedStudents = myStudentReport != null ? new String[]{myStudentReport} : this.request.getParameterValues(ConstantsForm.ATTEND_ABSENCES_STUDENTS);

        final int SIZE = selectedStudents == null ? 0 : selectedStudents.length;
        if (SIZE == 0) {
            throw new ControllerException(CurrentLanguage.getString(Text.S_C_ATTEND_AT_LEAST_ONE, request));
        }
        final SubjectCompetence mySubjectCompetence = ((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceSelected);
        if (SIZE == 1) {
            final String onlySelectedUser = selectedStudents[0];
            final int possibleSeparator = onlySelectedUser.lastIndexOf(ConstantsForm.SEPARATOR);
            final String edmodoStudentId = onlySelectedUser.substring(possibleSeparator == -1 ? 0 : possibleSeparator + ConstantsForm.SEPARATOR.length());
            // All student's subject / competence absences.
            final Persistence myPersistence = new Persistence();

            final List<StudentAspect> mList = myPersistence.getBAAspectsSubjectCompetenceStudent(idEdmodoTeacher, mySubjectCompetence.getTitle(), edmodoStudentId);
            final List<String> mAspectNames = new ArrayList<String>();
            BehaviourAttitudeAspect myBehaviourAttitudeAspect;
            for (final StudentAspect myStudentAspect : mList) {
                myBehaviourAttitudeAspect = myPersistence.getBAAspect(idEdmodoTeacher, myStudentAspect.getName());
                mAspectNames.add(myBehaviourAttitudeAspect.getName());
            }
            //getBAAspect
            this.request.setAttribute(Constants.ATT_STUDENT_ASPECTS_LIST, mAspectNames);
            // Not show any absence if two or more students were selected.
        }
        new BehaviourAttitudeUtil().setRequestPositiveNegativeList(idEdmodoTeacher, request);
        this.request.setAttribute(Constants.ATT_STUDENT_ASPECTS_SELECTED_LIST, selectedStudents);
    }
}