package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import javax.servlet.http.HttpSession;

/**
 *
 * Sets absence dates to a student or student group.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class AspectStudent3Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final int subjectCompetenceSelected = new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        final HttpSession session = this.request.getSession();
        final String idEdmodoTeacher = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }

        // 0. Get select student's list and aspects list to apply
        final String[] studentList = this.request.getParameterValues(ConstantsForm.ATTEND_ABSENCES_STUDENTS);
        final int STUDENTS_LIST_SIZE = studentList == null ? 0 : studentList.length;
        final String[] positiveAspectsParameter = this.request.getParameterValues(ConstantsForm.CREATE_ASPECT_LIST_POSITIVE);
        final String[] negativeAspectsParameter = this.request.getParameterValues(ConstantsForm.CREATE_ASPECT_LIST_NEGATIVE);
        final ArrayList<String> myAspects = new ArrayList<String>();
        if (positiveAspectsParameter != null) {
            for (final String positiveAspect : positiveAspectsParameter) {
                myAspects.add(positiveAspect);
            }
        }
        if (negativeAspectsParameter != null) {
            for (final String negativeAspect : negativeAspectsParameter) {
                // Participativo - inventado1
                myAspects.add(negativeAspect);
            }
        }
        final byte SPLIT = 1;
        final Persistence myPersistence = new Persistence();
        final String titleSubjectCompetence = ((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceSelected).getTitle();
        final String mySeparator = ConstantsForm.SEPARATOR;
        final int LENGTH = mySeparator.length();
        // 1. 1 student
        if (STUDENTS_LIST_SIZE == SPLIT) {
            final String onlySelectedUser = studentList[0];
            // 1.1. Update aspects directly.
            // 1.1.1. No aspects -> Delete student-subject competence aspects from database.
            // 1.1.1. Yes aspects. -> Delete + Insert.
            myPersistence.updateAspectsStudent(onlySelectedUser.substring(onlySelectedUser.indexOf(mySeparator) + LENGTH),
                    idEdmodoTeacher, titleSubjectCompetence, myAspects, true);
        } else {
            // 2. 2 or more students
            // 2.1. No absences -> Nothing is modified
            if (STUDENTS_LIST_SIZE > SPLIT) {
                // Apply aspects for all students (if they have not got them yet)
                for (final String student : studentList) {
                    // Insert, if there was a repeated aspect, MySQL throws an exception "duplicate pk", just ignore it.
                    myPersistence.updateAspectsStudent(student.substring(student.indexOf(mySeparator) + LENGTH), idEdmodoTeacher, titleSubjectCompetence, myAspects, false);
                }
            }
        }
        // Set redirect url
        this.request.setAttribute(Constants.ATT_NEXT_URL_MESSAGE, "/?" + Constants.CONTROLLER_ID + '=' + Constants.CONTROLLER_ID_SUBJECT_COMPETENCE + '&' + Constants.CONTROLLER_NEXT_URL + "=/Teacher/SubjectCompetence/BehaviourAttitudeSubjectCompetence.jsp" + '&' + Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED + '=' + subjectCompetenceSelected);
    }
}