package classcontrol.controller;

import classcontrol.dao.ConstantsDB;
import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.entity.Calification;
import classcontrol.entity.EvaluableItem;
import classcontrol.entity.EvaluableItemStudent;
import classcontrol.entity.StudentCalificationReport;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 * View subject / competence controller.<br/>
 * Sets in a request attribute subject/competence description.
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class CalificateAssignmentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession session = this.request.getSession();
        final String idEdmodoUser = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoUser == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }

        final AssignmentUtil myUtil = new AssignmentUtil(this.request);
        final int assignmentId = myUtil.getSelectedAssignmentId();
        final String tableData = request.getParameter(ConstantsForm.TABLE_NAME);
        // By defalut, error
        this.possibleJSON = "{\"" + ConstantsForm.CONTROLLER_AJAX_NAME + "\":\"" + ConstantsForm.CALIFICATION_AJAX_ERROR + "\"}";
        if (tableData != null) {
            final Persistence mPersistence = new Persistence();
            final List<EvaluableItem> evaluableItems = mPersistence.getEvaluableItemsAssignment(assignmentId);
            final int EVALUABLE_ITEMS_SIZE = evaluableItems.size();
            final SubjectCompetence mSubjectCompetence = ((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(new SubjectCompetenceUtil(request).getSelectedSubjectCompetence());
            final List<StudentCalificationReport> myList = myUtil.getAssignmentCalifications(mPersistence.getEvaluableItemStudentCalification(mSubjectCompetence.getTeacherId(), mSubjectCompetence.getTitle()), assignmentId, mSubjectCompetence.getEdmodoGroup());
            final int TOTAL_SIZE = myList.size();
            final char END_LINE = '\n';
            final char SEPARATOR = '\t';
            final int MAX_JUMPS = 8 + EVALUABLE_ITEMS_SIZE + 1;//+1 because is zero based
            final int INDEX_END = tableData.indexOf(END_LINE);
            int indexJump = INDEX_END;
            int oldIndex;
            int currentColumn = 0;
            int currentRow = 1;
            boolean existsUser = false;
            int counter;
            String auxString;
            int nextEnd = tableData.indexOf(END_LINE, INDEX_END + 1);
            final int JUMP_COLUMNS = EVALUABLE_ITEMS_SIZE + 1;//+1= 0:id column + 1:Name column
            final int LAST_COLUMN = JUMP_COLUMNS + 7;
            int auxEvaluableItemPosition;
            Calification calificationAux = null;
            StudentCalificationReport studentCalificationReportAux = null;
            boolean firstTime = true;
            List<EvaluableItemStudent> evaluableItemsStudentAux = null;
            String evaluableItemNameAux;
            boolean existsEvaluableItem;
            int count;
            int evaluableItemStudentSize;
            String evaluableItemName;
            EvaluableItemStudent evaluableItemStudentAux;
            final ArrayList<Integer> evaluableItemsColumns = new ArrayList<Integer>();
            for (int i = 2; i <= EVALUABLE_ITEMS_SIZE + 1; i++) {
                evaluableItemsColumns.add(i);
            }
            try {
                if (INDEX_END >= 0) {
                    // Parse line
                    while (indexJump >= 0) {
                        // 1. Get data
                        oldIndex = indexJump + 1 + (currentColumn == 0 && !firstTime ? 1 : 0);
                        if (firstTime) {
                            firstTime = false;
                        }
                        indexJump = tableData.indexOf(SEPARATOR, oldIndex);
                        if (nextEnd > -1 && indexJump > nextEnd) {
                            indexJump = nextEnd - (currentColumn == LAST_COLUMN ? 1 : 0);
                            nextEnd = tableData.indexOf(END_LINE, nextEnd + 1);
                        }
                        auxString = indexJump > -1 ? tableData.substring(oldIndex, indexJump) : tableData.substring(oldIndex);

                        // 2. Column action
                        if (currentColumn == 0) {
                            // Look if exists this Edmodo Student Id
                            existsUser = false;
                            counter = 0;
                            while (!existsUser && counter < TOTAL_SIZE) {
                                studentCalificationReportAux = myList.get(counter);
                                //System.out.println("comparo: " + myList.get(counter).getStudent().getIdEdmodo());
                                if (studentCalificationReportAux.getStudent().getIdEdmodo().compareTo(auxString) == 0) {
                                    existsUser = true;
                                    evaluableItemsStudentAux = studentCalificationReportAux.getMyEvaluableItemCalification();
                                    calificationAux = studentCalificationReportAux.getCalification();
                                    //System.out.println("ID encontrado: " + auxString);
                                }
                                counter++;
                            }
                        } else {
                            if (existsUser) {
                                auxEvaluableItemPosition = evaluableItemsColumns.indexOf(currentColumn);
                                if (auxEvaluableItemPosition > -1) {
                                    // 1. Get evaluableItem[currentColumn]'s name.
                                    evaluableItemNameAux = evaluableItems.get(auxEvaluableItemPosition).getName();
                                    existsEvaluableItem = false;
                                    count = 0;
                                    evaluableItemStudentSize = evaluableItemsStudentAux.size();
                                    while (!existsEvaluableItem && count < evaluableItemStudentSize) {
                                        evaluableItemStudentAux = evaluableItemsStudentAux.get(count);
                                        evaluableItemName = evaluableItemStudentAux.getName();
                                        if (evaluableItemNameAux.compareTo(evaluableItemName) == 0) {
                                            evaluableItemStudentAux.setScore(Double.parseDouble(auxString));
                                            existsEvaluableItem = true;
                                        }
                                        count++;
                                    }
                                    if (!existsEvaluableItem) {
                                        evaluableItemsStudentAux.add(new EvaluableItemStudent(assignmentId, evaluableItemNameAux, studentCalificationReportAux.getStudent().getIdStudent(), Double.parseDouble(auxString)));
                                    }
                                } else {
                                    if (currentColumn == JUMP_COLUMNS + 2) {//Extra
                                        //System.out.println("Extra: " + auxString);
                                        calificationAux.setBonusPenalization(Double.parseDouble(auxString));
                                    } else {
                                        if (currentColumn == JUMP_COLUMNS + 3) {//Reason
                                            calificationAux.setReasonBonusPenalization(auxString);
                                            //System.out.println("Reason: " + auxString);
                                        } else {
                                            if (currentColumn == JUMP_COLUMNS + 5) {//Optional Comment
                                                calificationAux.setOptionalComment(auxString);
                                                //System.out.println("Optional: " + auxString);
                                            } else {
                                                if (currentColumn == JUMP_COLUMNS + 6) {//Visible parent
                                                    calificationAux.setVisibleParent(visibleTextToByte(auxString));
                                                    //System.out.println("Visible parent: " + auxString);
                                                } else {
                                                    if (currentColumn == LAST_COLUMN) {//Visible student
                                                        calificationAux.setVisibleStudent(visibleTextToByte(auxString));
                                                        //System.out.println("Visible student: " + auxString + "-avabe");
                                                    }
                                                }
                                            }
                                        }
                                    }
                                }
                            }

                        }
                        currentColumn = (currentColumn + 1) % MAX_JUMPS;
                        currentRow = currentColumn == LAST_COLUMN ? currentRow + 1 : currentRow;
                    }
                    this.possibleJSON = "{\"" + ConstantsForm.CONTROLLER_AJAX_NAME + "\":\"" + (mPersistence.updateCalificationsAssignment(assignmentId, myList) == Constants.NO_RESULT ? ConstantsForm.CALIFICATION_AJAX_ERROR : ConstantsForm.CALIFICATION_AJAX_OK) + "\"}";
                } else {
                    throw new Exception("Invalid data");
                }
            } catch (final Exception e) {
                //e.printStackTrace();
            }
        }
    }

    private byte visibleTextToByte(String text) {
        text = text.toUpperCase();
        return text.compareTo(CurrentLanguage.getString(Text.CALIFICATION_VISIBLE_YES, request).toUpperCase()) == 0
                ? ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_TYPES[ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_YES_INDEX]
                : text.compareTo(CurrentLanguage.getString(Text.CALIFICATION_VISIBLE_NO, request).toUpperCase()) == 0
                ? ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_TYPES[ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_NO_INDEX]
                : ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_TYPES[ConstantsDB.TABLE_CALIFICATION_ATT_VISIBLE_DEFAULT_INDEX];
    }
}