package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.language.LanguageFactory;
import classcontrol.utils.Constants;
import javax.servlet.http.HttpSession;

/**
 *
 * Set new language in current session and in Class Control database if user
 * exists.
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class ChangeLanguageController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 1. Set language in current session
        int newLanguage = LanguageFactory.ID_LANGUAGE_DEFAULT;
        try {
            newLanguage = Integer.parseInt(this.request.getParameter(Constants.CONTROLLER_CHANGE_LANGUAGE));
        } catch (final Exception e) {
        }
        final HttpSession currentSession = this.request.getSession();
        currentSession.setAttribute(Constants.SESSION_ID_LANGUAGE, newLanguage);
        // 2. Set language in bd
        //System.err.println("cambio: "+(String) currentSession.getAttribute(Constants.SESSION_ID_EDMODO_USER)+" "+(Byte) currentSession.getAttribute(Constants.SESSION_ID_WEB_ROLE));
        new Persistence().setLanguageUser((String) currentSession.getAttribute(Constants.SESSION_ID_EDMODO_USER), (Byte) currentSession.getAttribute(Constants.SESSION_ID_WEB_ROLE), newLanguage);
        //final String res =request.getParameter(Constants.CONTROLLER_MESSAGE_NEXT_URL);
    }
}