package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.utils.Constants;
import java.util.Date;

/**
 *
 * Note: User can modify start date: 1 day before and end date two more dates
 * after. See ModifySubjectCompetence.jsp and ModifySubjectCompetence2.jsp
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class CreateSubjectCompetence2Controller extends AbstractController {

    /**
     *
     */
    @Override
    public void execute() throws ControllerException {
        // A. Check fields (like Javascript, but now in server-side).
        final SubjectCompetenceUtil myUtil = new SubjectCompetenceUtil(this.request);
        // 1. Edmodo group
        final String edmodoGroup = myUtil.getEdmodoGroup()[SubjectCompetenceUtil.EDMODO_GROUP_INDEX];
        // 2. Title
        final String title = myUtil.getTitle((String) request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER), null);
        // 3. Start and end dates
        final Date[] dates = myUtil.getDates(true);
        // 4. nPeriods
        final int nPeriods = myUtil.getPeriods();
        // 5 Description
        final String description = myUtil.getDescription();
        // 6 Associated subject competence
        final String associatedSCTitle = myUtil.getAssociatedTitle();
        // B. Set data to send it (hidden form fields)
        this.request.setAttribute(Constants.ATT_CREATE_GROUPS, edmodoGroup);
        this.request.setAttribute(Constants.ATT_CREATE_TITLE, title);
        this.request.setAttribute(Constants.ATT_CREATE_INITIAL_DATE, dates[SubjectCompetenceUtil.START_DATE_INDEX]);
        this.request.setAttribute(Constants.ATT_CREATE_FINAL_DATE, dates[SubjectCompetenceUtil.END_DATE_INDEX]);
        this.request.setAttribute(Constants.ATT_CREATE_N_PERIODS, (Integer) nPeriods);
        this.request.setAttribute(Constants.ATT_CREATE_DESCRIPTION, description);
        this.request.setAttribute(Constants.ATT_CREATE_ASSOCIATED_SC_TITLE, associatedSCTitle == null ? "" : associatedSCTitle);
    }
}