package classcontrol.controller;

import classcontrol.dao.ConstantsDB;
import classcontrol.dao.Persistence;
import classcontrol.entity.EvaluationPeriod;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.Date;

/**
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class CreateSubjectCompetence3Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // Check fields (like Javascript, but now in server-side).
        final String idEdmodoUser = (String) request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoUser == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final int idTeacher = new Persistence().getIdTeacher(idEdmodoUser);
        final SubjectCompetenceUtil myUtil = new SubjectCompetenceUtil(this.request);
        // 1. Edmodo group
        final String edmodoGroup = myUtil.getEdmodoGroup()[SubjectCompetenceUtil.EDMODO_GROUP_ID_INDEX];
        // 2. Title
        final String title = myUtil.getTitle(idEdmodoUser, null);
        // 3. Start and end dates
        final Date[] dates = myUtil.getDates(true);
        final Date startDate = dates[SubjectCompetenceUtil.START_DATE_INDEX];
        final Date endDate = dates[SubjectCompetenceUtil.END_DATE_INDEX];
        // 4. nPeriods
        final int nPeriods = myUtil.getPeriods();
        // 5 Description
        String description = myUtil.getDescription();
        // 6. Associated title
        final String assTitle = myUtil.getAssociatedTitle();
        // 7. Period's initial and final dates.
        final ArrayList<EvaluationPeriod> periodsList = myUtil.getEvaluationPeriodsList(nPeriods, startDate, endDate, title, idTeacher);
        // 8. Subject / competences associatted weight
        //final int associatedWeight = myUtil.getassociatedSubjectCompetenceWeight();
        // 9. Check total weight = associated s/c + nPeriods weight
        //myUtil.checkTotalAmount(periodsList);
        // B. Create subjectCompetence
        //final boolean isWeightEnabled = associatedWeight >= ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_ASS_WEIGHT_MIN;
        final boolean isAssociatedSubjectCompetence = assTitle == null ? false : true;
        if (new Persistence().insertSubjectCompetence(new SubjectCompetence(title, edmodoGroup, description, idTeacher, startDate, endDate, isAssociatedSubjectCompetence ? idTeacher : ConstantsDB.TABLE_NULL_ID, isAssociatedSubjectCompetence ? assTitle : null, DatesUtil.getSaturdaySundaysBetweenTwoDates(startDate, endDate), ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_POSITIVE_DEF, ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_EACH_NEGATIVE_DEF, ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_POSITIVE_DEF, ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_MAX_NEGATIVE_DEF), periodsList) == Constants.NO_RESULT) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
    }
}