package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.utils.Constants;
import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoUtil;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.Map.Entry;
import javax.servlet.http.HttpSession;

/**
 *
 * Obtains Edmodo's user groups to associate one of them to a new subject
 * competence.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public class CreateSubjectCompetenceController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession mSession = request.getSession();
        final String idEdmodoUser = (String) mSession.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoUser == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final ArrayList<Entry<String, String>> groupsTitleEdmodoId = EdmodoUtil.getGroupNamesAndEdmodId(idEdmodoUser, request, false);
        final ArrayList<String> groupsTitle = new ArrayList<String>();
        for (final Entry<String, String> current : groupsTitleEdmodoId) {
            groupsTitle.add(current.getKey() + ConstantsForm.SEPARATOR + current.getValue());
        }
        this.request.setAttribute(Constants.ATT_GROUPS_TITLE, groupsTitle);
        this.request.setAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES,
                new Persistence().getSubjectsCompetences((String) request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER)));
    }
}