package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import javax.servlet.http.HttpSession;

/**
 *
 * Deletes a specified teacher subject competence and set null teacher's subject
 * competence list.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class DeleteSubjectCompetence2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final SubjectCompetenceUtil myUtil = new SubjectCompetenceUtil(request);
        final int subjectCompetenceSelected = myUtil.getSelectedSubjectCompetence();
        final String oldTitle = ((ArrayList<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceSelected).getTitle();
        final Persistence myPersistence = new Persistence();
        final HttpSession session = this.request.getSession();
        final String idEdmodoUser = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoUser == null || oldTitle == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        if (myPersistence.deleteSubjectCompetence(myPersistence.getIdTeacher(idEdmodoUser), oldTitle) == Constants.NO_RESULT) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        // Important, reload teacher's subject competences list
        myUtil.setAllSubjectsCompetencesSession(true);
    }
}