package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoUtil;
import classcontrol.entity.BonusPenalization;
import classcontrol.entity.StudentEvaluation;
import classcontrol.entity.StudentEvaluationPeriod;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 * Subject competence evaluation report controller.<br/>
 * Sets all assignments data into a request attribute.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class EvaluationCalificationController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 1. Security
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final String tableData = request.getParameter(ConstantsForm.TABLE_NAME);
        // False by default
        this.possibleJSON = "{\"" + ConstantsForm.CONTROLLER_AJAX_NAME + "\":\"" + ConstantsForm.CALIFICATION_AJAX_ERROR + "\"}";
        if (tableData != null) {
            try {
                final Persistence mPersistence = new Persistence();
                final SubjectCompetenceUtil scUtil = new SubjectCompetenceUtil(request);
                final SubjectCompetence mSubjectCompetence = ((ArrayList<SubjectCompetence>) request.getSession().getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(scUtil.getSelectedSubjectCompetence());
                final StudentEvaluationPeriod mDataSC = scUtil.evaluationReport(mSubjectCompetence.getEdmodoGroup(), mSubjectCompetence.getTeacherId(), mSubjectCompetence.getTitle(), EdmodoUtil.getGroupStudents(mSubjectCompetence.getEdmodoGroup(), request, false));
                final List<StudentEvaluation> mList = mDataSC.getStudentEvaluationList();
                StudentEvaluation mStudentEvaluation;
                BonusPenalization mBonusPenalization = null;
                final int TOTAL_SIZE = mList.size();
                final char END_LINE = '\n';
                final char SEPARATOR = '\t';
                final int MAX_JUMPS = 2 + 1;//+1 because is zero based
                final int INDEX_END = tableData.indexOf(END_LINE);
                int indexJump = INDEX_END;
                int oldIndex;
                int currentColumn = 0;
                int currentRow = 1;
                boolean existsUser = false;
                int counter;
                boolean firstTime = true;
                String auxString;
                int nextEnd = tableData.indexOf(END_LINE, INDEX_END + 1);
                final int LAST_COLUMN = 2;
                if (INDEX_END >= 0) {
                    final List<BonusPenalization> mBonusPenalizationList = new ArrayList<BonusPenalization>();
                    // Parse line
                    while (indexJump >= 0) {
                        oldIndex = indexJump + 1 + (currentColumn == 0 && !firstTime ? 1 : 0);
                        if (firstTime) {
                            firstTime = false;
                        }
                        indexJump = tableData.indexOf(SEPARATOR, oldIndex);
                        if (nextEnd > -1 && indexJump > nextEnd) {
                            indexJump = nextEnd - (currentColumn == LAST_COLUMN ? 1 : 0);
                            nextEnd = tableData.indexOf(END_LINE, nextEnd + 1);
                        }
                        auxString = indexJump > -1 ? (tableData.substring(oldIndex, indexJump < oldIndex || currentColumn == 2 ? indexJump + 1 : indexJump).trim()) : tableData.substring(oldIndex).trim();
                        // 2. Column action
                        switch (currentColumn) {
                            case 0:
                                // Edmodo student id
                                // Look if exists this Edmodo Student Id
                                existsUser = false;
                                counter = 0;
                                while (!existsUser && counter < TOTAL_SIZE) {
                                    mStudentEvaluation = mList.get(counter);
                                    if (mStudentEvaluation.getStudent().getIdEdmodo().compareTo(auxString) == 0) {
                                        existsUser = true;
                                        mBonusPenalization = mStudentEvaluation.getBonusPenalization();
                                        mBonusPenalizationList.add(mBonusPenalization);
                                    }
                                    counter++;
                                }
                                break;
                            case 1:
                                // Bonus penalization's score if exists user
                                if (existsUser) {
                                    mBonusPenalization.setScore(Double.parseDouble(auxString));
                                }
                                break;
                            case 2:
                                // Bonus penalization's reason if exists user
                                if (existsUser) {
                                    mBonusPenalization.setReason(auxString);
                                }
                                break;
                        }
                        currentColumn = (currentColumn + 1) % MAX_JUMPS;
                        currentRow = currentColumn == LAST_COLUMN ? currentRow + 1 : currentRow;
                    }
                    this.possibleJSON = "{\"" + ConstantsForm.CONTROLLER_AJAX_NAME + "\":\"" + (mPersistence.insertBonusPenalization(mBonusPenalizationList) == Constants.NO_RESULT ? ConstantsForm.CALIFICATION_AJAX_ERROR : ConstantsForm.CALIFICATION_AJAX_OK) + "\"}";
                } else {
                    throw new Exception("Invalid data");
                }
            } catch (final Exception ex) {
            }
        }
    }
}