package classcontrol.controller;

import classcontrol.entity.Student;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import javax.servlet.http.HttpSession;

/**
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class GenerateReportsController extends AbstractController {

    /**
     *
     */
    @Override
    public void execute() throws ControllerException {
        // Security
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        String idEdmodoStudent = idEdmodo;
        StudentUtil mStudentUtil = new StudentUtil(request);
        switch ((Byte) request.getSession().getAttribute(Constants.SESSION_ID_WEB_ROLE)) {
            case Constants.SESSION_ID_ROLE_TEACHER:
                new SubjectCompetenceUtil(this.request).setAllSubjectsCompetencesSession(false);
                break;
            case Constants.SESSION_ID_ROLE_PARENT:
                final ParentUtil mParentUtil = new ParentUtil(request);
                final Student student = new ParentUtil(request).getAndSetAttributeStudent();
                mParentUtil.checkChildren(student, idEdmodo);
                idEdmodoStudent = student.getIdEdmodo();
                mStudentUtil.setAllSubjectsCompetencesSession(idEdmodoStudent);
                break;
            case Constants.SESSION_ID_ROLE_STUDENT:
                mStudentUtil.setAllSubjectsCompetencesSession(idEdmodoStudent);
                break;
        }
    }
}