package classcontrol.controller;

import java.net.HttpURLConnection;
import java.net.URL;

/**
 * Image utilities..
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class ImageUtil {

    /**
     * Check if an image URL contains a valid jpg, jpeg, png or gif image type.
     *
     * @param strUrl On-line URL
     * @return True if it is a jpg, jpeg, png or gif image. False otherwise
     */
    public static boolean isJpgJpegPngGif(final String strUrl) {
        try {
            final HttpURLConnection connection = (HttpURLConnection) new URL(strUrl).openConnection();
            connection.setRequestMethod("HEAD");
            connection.connect();

            final String contentType = connection.getContentType().toLowerCase();

            return (contentType.contains("png")
                    || contentType.contains("jpg")
                    || contentType.contains("jpeg")
                    || contentType.contains("gif"));

        } catch (final Exception ex) {
            return false;
        }
    }
}