package classcontrol.controller;

import classcontrol.edmodo.EdmodoAPI;
import classcontrol.utils.Constants;
import classcontrol.utils.Login;
import javax.servlet.http.HttpSession;

/**
 *
 * Identifies Edmodo requester user and sets its id in a current session
 * attribute: {@link Constants#SESSION_ID_EDMODO_USER}.<br/> If it is not a
 * edmodo user it sets it null and throws an {@link LoginControllerException}
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class LoginController extends AbstractController {

    /**
     * Identifies Edmodo requester user and sets its id in a current session
     * attribute: {@link Constants#SESSION_ID_EDMODO_USER}.<br/> If it is not a
     * edmodo user it sets it null.
     *
     * @throws LoginControllerException If it is not a edmodo_user.
     */
    @Override
    public void execute() throws LoginControllerException, ControllerException {
        // 1 GET data
        final String data = EdmodoAPI.launchRequests();
        // 2 Analyze data
        // TODO: cuando se haga la llamada de verdad quitar "Login.EDMODO_ID_TEACHER_A" y "Constants.SESSION_ID_ROLE_TEACHER"  lanzar la posible excepcion
        // TODO: borrar en versión 0.2-BETA.
        final String possibleSimulated = request.getParameter(Constants.SIMULATED_USER);
        final HttpSession session = request.getSession();
        final String possibleSession = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        final Byte possibleSessionRol = (Byte) session.getAttribute(Constants.SESSION_ID_WEB_ROLE);
        final Byte possibleRole = possibleSimulated == null && possibleSessionRol == null ? Constants.SESSION_ID_ROLE_TEACHER : possibleSessionRol != null ? possibleSessionRol : Byte.parseByte(possibleSimulated);
        session.setAttribute(Constants.SESSION_ID_EDMODO_USER, possibleSimulated != null ? possibleRole == Constants.SESSION_ID_ROLE_PARENT ? Login.EDMODO_ID_PARENT_A : possibleRole == Constants.SESSION_ID_ROLE_STUDENT ? Login.EDMODO_ID_STUDENT_A : Login.EDMODO_ID_TEACHER_A : possibleSession != null ? possibleSession : Login.EDMODO_ID_TEACHER_A);
        session.setAttribute(Constants.SESSION_ID_WEB_ROLE, possibleRole);
        ////// FIN-TODO
        // It is not a Edmodo user:
        //if(){this.request.getSession().setAttribute(Constants.SESSION_ID_EDMODO_USER, null);
        //throw new LoginControllerException();}
    }
}