package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;

/**
 *
 * Check if a behaviour attitude aspect had been selected and set its data into
 * a request attribute.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class ModifyAspect2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // 2. Sets all teacher's behaviour attitude aspects in a request parameter.
        final String idEdmodoTeacher = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }

        // 1. Get aspect's name and checkif it is null.
        final String aspectName = this.request.getParameter(ConstantsForm.MODIFY_ASPECT_SELECTED_ASPECT);
        if (aspectName == null || aspectName.length() == 0) {
            throw new ControllerException(CurrentLanguage.getString(Text.NO_VALID_ARGUMENT, this.request) + ": " + ConstantsForm.CREATE_SUBJECT_COMPETENCE_ED_GROUP);
        }

        // 2. Get aspect's data
        // 3. Set data to request
        this.request.setAttribute(Constants.ATT_MODIFY_BEHAVIOUR_ATTITUDE_ASPECT_DATA, new Persistence().getBAAspect(idEdmodoTeacher, aspectName));
        new BehaviourAttitudeUtil().setRequestPositiveNegativeList(idEdmodoTeacher, request, false);
    }
}