package classcontrol.controller;

import classcontrol.dao.ConstantsDB;
import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.BehaviourAttitudeAspect;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 * Shows student's absences for a student or nothing if various students are
 * selected.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class NewAspect2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession session = this.request.getSession();
        final String idEdmodoTeacher = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }

        // Get data
        final AspectUtil myAspectUtil = new AspectUtil(this.request);
        // 1. Name
        final String name = myAspectUtil.getName(idEdmodoTeacher)[AspectUtil.NEW_NAME];
        // 2. Description
        final String description = myAspectUtil.getDescription();
        // 3. URL (modify: empty string means no change)
        final String url = myAspectUtil.getUrlImg(true);
        // 4. Type
        final byte myType = myAspectUtil.getType();

        // 1. Register Teacher's behaviour attitude aspect (badge) in Edmodo
        final String result = EdmodoAPI.registerBadge(name, description, url);
        // 2. Insert in Class Control database if all ok
        // TODO, COMPROBAR EL RESULTADO, si contiene un "badge_id";
        // TODO, COMPROBAR EL RESULTADO, si contiene un "badge_id";
        // TODO, COMPROBAR EL RESULTADO, si contiene un "badge_id";
        // TODO, COMPROBAR EL RESULTADO, si contiene un "badge_id";
        // En la versión 0.2-BETA
        final String behaviourAttitudeAspectEdmodoId = "inventadoAhora";
        // if (true) en la siguiente versión: badge_id no es nulo
        if (true) {
            // TODO CAMBIAR LOS ALEATORIOS POR EL BADGE_ID
            // TODO CAMBIAR LOS ALEATORIOS POR EL BADGE_ID
            // TODO CAMBIAR LOS ALEATORIOS POR EL BADGE_ID
            // TODO CAMBIAR LOS ALEATORIOS POR EL BADGE_ID
            final Persistence myPersistence = new Persistence();
            if (myPersistence.insertBehaviourAttitudeAspect(
                    new BehaviourAttitudeAspect(myPersistence.getIdTeacher(idEdmodoTeacher),
                    (100 + (int) (Math.random() * ((1500 - 100) + 1)))
                    + behaviourAttitudeAspectEdmodoId + (100 + (int) (Math.random() * ((1000 - 100) + 1))),
                    name, myType, description, url)) == Constants.NO_RESULT) {
                throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
            }
            // 3. Set redirect url
            this.request.setAttribute(Constants.ATT_NEXT_URL_MESSAGE, "/?" + Constants.CONTROLLER_ID + '=' + Constants.CONTROLLER_ID_TEACHER_ASPECTS + '&' + Constants.CONTROLLER_NEXT_URL + "=/Teacher/Aspect.jsp");
        } else {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
    }
}