package classcontrol.controller;

import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.Student;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class ParentUtil {

    private final HttpServletRequest request;

    private ParentUtil() {
        this.request = null;
    }

    /**
     *
     * @param request Incoming request.
     */
    public ParentUtil(final HttpServletRequest request) {
        this.request = request;
    }

    /**
     *
     * @return Selected assignment id.
     * @throws ControllerException If there is not any assignment selected as
     * parameter.
     */
    public String getSelectedStudentEdmodoId() throws ControllerException {
        final String edmodoStudentId = request.getParameter(Constants.PARAMETER_STUDENT_SELECTED);
        if (edmodoStudentId == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        return edmodoStudentId;
    }

    /**
     *
     * @return
     * @throws ControllerException
     */
    public Student getAndSetAttributeStudent() throws ControllerException {
        final Student student = StudentUtil.getSelectedStudent(getSelectedStudentEdmodoId());
        request.setAttribute(Constants.ATT_STUDENT_DATA, student);
        return student;
    }

     /**
     *
     * @param student
     * @param idEdmodoParent
     * @throws ControllerException
     */
    public static void checkChildren(final Student student, final String idEdmodoParent) throws ControllerException {
        // TODO: parsear
        // TODO: parsear
        // TODO: parsear
        final String children = EdmodoAPI.children(idEdmodoParent);
        // TODO: parsear
        // TODO: parsear
        // TODO: parsear
        final boolean simulatedOK=true;
        if (!simulatedOK){
            throw new ControllerException("Invalid children for this parent.");
        }
        // TODO: en función de la variable "children"
        // TODO: en función de la variable "children"

        // TODO: en función de la variable "children"
        // TODO: en función de la variable "children"
    }
}