package classcontrol.controller;

import classcontrol.entity.Student;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import javax.servlet.http.HttpSession;

/**
 *
 * Sets parent's children list in a request attribute.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class StudentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        switch ((Byte) session.getAttribute(Constants.SESSION_ID_WEB_ROLE)) {
            // Never Teacher role
            //       case Constants.SESSION_ID_ROLE_TEACHER:
            //    break;
            case Constants.SESSION_ID_ROLE_PARENT:
                final ParentUtil mParentUtil = new ParentUtil(request);
                final Student student = mParentUtil.getAndSetAttributeStudent();
                mParentUtil.checkChildren(student, idEdmodo);
                // Not break, con
                break;
//            case Constants.SESSION_ID_ROLE_STUDENT:
//
//                break;
        }
    }
}