package classcontrol.dao;

import java.text.DecimalFormat;
import java.text.NumberFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class ConstantsForm {

    /**
     * Dates format: day month separator.
     */
    public final static char DAY_MONTH_SEPARATOR = '-';
    /**
     * Same pattern as ConstantsForm#DATE_SIMPLE_DATE_FORMAT with '/' mm means
     * months: 01,02..12
     */
    public final static String DATE_PICKER_FORMAT = "dd" + DAY_MONTH_SEPARATOR + "mm" + DAY_MONTH_SEPARATOR + "yyyy";
    /**
     *
     */
    public final static String DATE_PICKER_FORMAT_JAVA = "dd" + DAY_MONTH_SEPARATOR + "MM" + DAY_MONTH_SEPARATOR + "yyyy";
    /**
     *
     * Same pattern as ConstantsForm#DATE_PICKER_FORMAT with '-'
     *
     * MM means month: 01,02..12 and mm minutes: 01,02..60
     */
    public final static SimpleDateFormat DATE_SIMPLE_DATE_FORMAT = new SimpleDateFormat(DATE_PICKER_FORMAT_JAVA);
    /**
     * Minium date to show in datepicker. If this change, change correspondatn
     * controllers. ATTENTION: if this valour changes, you should change:
     * SubjectCompetenceUtil.java, ModifySubjectCompetence.jsp and
     * ModifySubjectCompetence2.jsp
     */
    public final static String MIN_DATE_PICKER = "-1y";
    /**
     * Maxium date to show in datepicker. If this change, change correspondatn
     * controllers.
     *
     * ATTENTION: if this valour changes, you should change:
     * SubjectCompetenceUtil.java, ModifySubjectCompetence.jsp and
     * ModifySubjectCompetence2.jsp
     */
    public final static String MAX_DATE_PICKER = "+2y";

    /**
     * Returns a decimal float with a forced dot separator to avoid parsing
     * problems.
     *
     * @return
     */
    public static DecimalFormat appDecimalFormat() {
        final DecimalFormat DECIMAL_FLOAT = (DecimalFormat) NumberFormat.getNumberInstance(Locale.ENGLISH);
        DECIMAL_FLOAT.applyPattern("###.##");
        return DECIMAL_FLOAT;
    }
    /**
     *
     */
    public final static String FORM_NAME_ID = "myForm";
    /**
     *
     */
    public final static String SEPARATOR = " - ";
    /**
     *
     */
    public final static char MULTI_DATE_SEPARATOR = ',';
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_ED_GROUP = "edmodoGroup";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_ASSOCIATED = "associated";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_PERIODS_WEIGHT = "weight";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_TITLE = "title";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_TITLE = "assigTitle";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_DESCRIPTION = "description";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_DESCRIPTION = "assigDescription";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_INITIAL_DATE = "initialDate";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_DATE = "assigDate";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_FINAL_DATE = "finalDate";
    /**
     *
     */
    public final static String CREATE_SUBJECT_COMPETENCE_PERIODS = "periods";
    /**
     *
     */
    public final static String ATTEND_NON_ACADEMIC_DAYS = "calendarNonAcademic";
    /**
     *
     */
    public final static String ATTEND_ABSENCES = "calendarAbsences";
    /**
     *
     */
    public final static String ATTEND_ABSENCES_STUDENTS = "students";
    /**
     *
     */
    public final static String ATTEND_NON_ACADEMIC_DAYS_ALL = "allSameDates";
    //public final static String ATTEND_ABSENCES_STUDENT = "student";
    /**
     *
     */
    public final static byte CREATE_SUBJECT_COMPETENCE_PERIODS_MIN = 1;
    /**
     *
     */
    public final static byte CREATE_SUBJECT_COMPETENCE_PERIODS_MAX = 100;
    /**
     *
     */
    //public final static byte CREATE_SUBJECT_COMPETENCE_AMOUNT_WEIGHTS_MAX = 100;
    /**
     *
     */
    public final static byte CREATE_SUBJECT_COMPETENCE_PERIODS_DEF = CREATE_SUBJECT_COMPETENCE_PERIODS_MIN;
    /**
     *
     */
    public final static int CREATE_BEHAVIOUR_ATTITUDE_ASPECT_URL_MAX = 300;
    /**
     *
     */
    public final static byte CREATE_BEHAVIOUR_ATTITUDE_ASPECT_ASS_TITLE_MAX = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static byte CREATE_BEHAVIOUR_ATTITUDE_ASPECT_ID_EDMODO_MAX = ConstantsDB.TABLE_SUBJECT_COMPETENCE_ATT_TITLE_MAX;
    /**
     *
     */
    public final static String CREATE_ASPECT_NAME = "createAspectName";
    /**
     *
     */
    public final static String CREATE_ASPECT_DESCRIPTION = "createAspectDescription";
    /**
     *
     */
    public final static String CREATE_ASPECT_URL = "createAspectURL";
    /**
     *
     */
    public final static String CREATE_ASPECT_TYPE = "createAspectType";
    /**
     *
     */
    public final static String CREATE_ASPECT_TYPE_POSITIVE = "positiveAspect";
    /**
     *
     */
    public final static String CREATE_ASPECT_TYPE_NEGATIVE = "negativeAspect";
    /**
     *
     */
    public final static String CREATE_ASPECT_LIST_POSITIVE = "positiveList";
    /**
     *
     */
    public final static String CREATE_ASPECT_LIST_NEGATIVE = "negativeList";
    /**
     *
     */
    public final static String MODIFY_ASPECT_SELECTED_ASPECT = "selectedAspect";
    /**
     *
     */
    public final static String MODIFY_ASPECT_HIDDEN_OLD_NAME = "hiddenOldName";
    /**
     *
     */
    public final static String EVALUATE_ITEM_NAME = "eiName";
    /**
     *
     */
    public final static String EVALUATE_ITEM_WEIGHT = "eiWeight";
    /**
     *
     */
    public final static String TABLE_NAME = "myTable";
    /**
     *
     */
    public final static String TABLE_HIDDE_COLUMN = "ID";
    /**
     * Assignment's evaluation item number, for usability: aprox. 50.
     */
    public final static byte MAX_EVALUABLE_ITEM_NUMBER = 50;
    /**
     * Behaviour attitude aspect image dimensions (Edmodo's badges). Edmodo
     * recommends 114x114, so 150px max.
     */
    public final static int MAX_IMAGE_BEHAVIOUR_ATTITUDE_ASPECT = 150;
    /**
     *
     */
    public final static String ID_EXTRA_BEHAVIOUR_ATTITUDE_REPORT = "extraInfo";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_TYPE = "myType";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_CALIFICATION = "myMaxCalification";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS = "evaluableItems";
    /**
     *
     */
    public final static String CREATE_ASSIGNMENT_DELETED_EVALUABLE_ITEMS = "deletedEvalItems";
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_NO = 0;
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_YES = 1;
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_DEF = CREATE_ASSIGNMENT_DEFINE_EVALUABLE_ITEMS_NO;
    /**
     *
     */
    public final static int CREATE_ASSIGNMENT_CALIFICATION_MAX = 99999;
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_CALIFICATION_MIN = 0;
    /**
     *
     */
    public final static byte CREATE_ASSIGNMENT_CALIFICATION_DEF = CREATE_ASSIGNMENT_CALIFICATION_MIN;
    /**
     *
     */
    public final static String EVALUATION_PERCENTAGE_EACH_POSITIVE = "eachPositive";
    /**
     *
     */
    public final static String EVALUATION_PERCENTAGE_EACH_NEGATIVE = "eachNegative";
    /**
     *
     */
    public final static String EVALUATION_PERCENTAGE_MAX_POSITIVE = "maxPositive";
    /**
     *
     */
    public final static String EVALUATION_PERCENTAGE_MAX_NEGATIVE = "maxNegative";
    /**
     *
     */
    public final static String EVALUATION_PERCENTAGE_ASSIGNMENT_SCORE = "score";
    /**
     *
     */
    public final static byte EVALUATION_PERCENTAGE_MAX_EVALUATION_PERIOD_ASSIGNMENTS_AMOUNT = 100;
    /**
     *
     */
    public final static byte EVALUATION_PERCENTAGE_MAX_EVALUATION_AMOUNT = 100;
    /**
     *
     */
    public final static String CONTROLLER_AJAX_NAME = "ajaxResult";
    /**
     *
     */
    public final static byte CALIFICATION_AJAX_OK = 0;
    /**
     *
     */
    public final static byte CALIFICATION_AJAX_ERROR = 1;
    /**
     *
     */
    public final static int NORMALIZE = 10;
    /**
     *
     */
    public final static String GENERATE_REPORTS_SUBJECTS_NAME = "subjects";
    /**
     *
     */
    public final static String GENERATE_REPORTS_OPTIONS_NAME = "inform";
    /**
     *
     */
    public final static String GENERATE_REPORTS_ORIENTATION_PDF = "orientation";
    /**
     *
     */
    public final static byte[] GENERATE_REPORTS_OPTIONS = {0, 1, 2};
    /**
     *
     */
    public final static byte GENERATE_REPORTS_ATTEND_OPTION_INDEX = 0;
    /**
     *
     */
    public final static byte GENERATE_REPORTS_BEHAVIOUR_ATTITUDE_OPTION_INDEX = 1;
    /**
     *
     */
    public final static byte GENERATE_REPORTS_ASSIGNMENTS_OPTION_INDEX = 2;
    /**
     *
     */
    public final static byte[] GENERATE_REPORTS_ORIENTATION = {0, 1};
    /**
     *
     */
    public final static byte GENERATE_REPORTS_ORIENTATION_HORIZONTAL_INDEX = 0;
    /**
     *
     */
    public final static byte GENERATE_REPORTS_ORIENTATION_VERTICAL_INDEX = 1;
}