package classcontrol.dao;

import classcontrol.entity.Absence;
import classcontrol.entity.Assignment;
import classcontrol.entity.BehaviourAttitudeAspect;
import classcontrol.entity.BonusPenalization;
import classcontrol.entity.EvaluableItem;
import classcontrol.entity.EvaluableItemStudent;
import classcontrol.entity.EvaluableItemStudentCalification;
import classcontrol.entity.EvaluableItemUpdated;
import classcontrol.entity.EvaluationPeriod;
import classcontrol.entity.StudentAspect;
import classcontrol.entity.StudentCalificationReport;
import classcontrol.entity.SubjectCompetence;
import classcontrol.entity.SubjectCompetenceEvaluation;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class Persistence implements IPersistence {

    /**
     *
     * @param idEmodo
     * @param idRole
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public int getLanguageUser(final String idEmodo, final byte idRole) throws IllegalArgumentException {
        return LanguageDAO.getLanguageUser(idEmodo, idRole);
    }

    /**
     *
     * @param idEmodo
     * @param idRole
     * @param idNewLan
     * @throws IllegalArgumentException
     */
    @Override
    public void setLanguageUser(final String idEmodo, final byte idRole, final int idNewLan) throws IllegalArgumentException {
        LanguageDAO.setLanguageUser(idEmodo, idRole, idNewLan);
    }

    /**
     *
     * @param idTeacherEdmodo
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<SubjectCompetence> getSubjectsCompetences(final String idTeacherEdmodo) throws IllegalArgumentException {
        return SubjectCompetenceDAO.getSubjectsCompetences(idTeacherEdmodo);
    }

    /**
     *
     * @param idEdmodoTeacher
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public SubjectCompetence getSubjectCompetence(final int idEdmodoTeacher, final String title) throws IllegalArgumentException {
        return SubjectCompetenceDAO.getSubjectCompetence(idEdmodoTeacher, title);
    }

    /**
     *
     * @param idEmodo
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public int getIdTeacher(final String idEmodo) throws IllegalArgumentException {
        return TeacherDAO.getIdTeacher(idEmodo);
    }

    /**
     *
     * @param subjectCompetence
     * @param evaluationPeriodsList
     * @return
     */
    @Override
    public byte insertSubjectCompetence(final SubjectCompetence subjectCompetence, final List<EvaluationPeriod> evaluationPeriodsList) {
        return SubjectCompetenceDAO.insertSubjectCompetence(subjectCompetence, evaluationPeriodsList);
    }

    /**
     *
     * @param idTeacher
     * @param title
     * @return
     */
    @Override
    public byte deleteSubjectCompetence(final int idTeacher, final String title) {
        return SubjectCompetenceDAO.deleteSubjectCompetence(idTeacher, title);
    }

    /**
     *
     * @param idTeacherEdmodo
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public boolean existSubjectCompetenceTeacher(final String idTeacherEdmodo, final String title) throws IllegalArgumentException {
        return SubjectCompetenceDAO.existSubjectCompetenceTeacher(idTeacherEdmodo, title);
    }

    /**
     *
     * @param idTeacherSC
     * @param titleSC
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<EvaluationPeriod> getEvaluationPeriodsSubjectCompetence(final int idTeacherSC, final String titleSC) throws IllegalArgumentException {
        return SubjectCompetenceDAO.getEvaluationPeriodsSubjectCompetence(idTeacherSC, titleSC);
    }

    /**
     *
     * @param previousTitle
     * @param subjectCompetence
     * @param evaluationPeriodsList
     * @return
     */
    @Override
    public byte updateSubjectCompetence(final String previousTitle, final SubjectCompetence subjectCompetence, final List<EvaluationPeriod> evaluationPeriodsList) {
        return SubjectCompetenceDAO.updateSubjectCompetence(previousTitle, subjectCompetence, evaluationPeriodsList);
    }

    /**
     *
     * @param title
     * @param idTeacherEdmodo
     * @param nonAcademicDays
     * @return
     */
    @Override
    public byte updateNonAcademicDaysSubjectCompetence(final String title, final String idTeacherEdmodo, final String nonAcademicDays) {
        return SubjectCompetenceDAO.updateNonAcademicDaysSubjectCompetence(title, idTeacherEdmodo, nonAcademicDays);
    }

    /**
     *
     * @param idTeacher
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<Absence> getAbsencesSubjectCompetence(final int idTeacher, final String title) throws IllegalArgumentException {
        return AbsenceDAO.getAbsencesSubjectCompetence(idTeacher, title);
    }

    /**
     *
     * @param idTeacherEdmodo
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public int getStudentId(final String idTeacherEdmodo) throws IllegalArgumentException {
        return StudentDAO.getIdStudent(idTeacherEdmodo);
    }

    /**
     *
     * @param idEdmodoStudent
     * @param idEdmodoSCTeacher
     * @param titleSC
     * @param date
     * @return
     */
    @Override
    public byte updateAbsencesStudent(final String idEdmodoStudent, final String idEdmodoSCTeacher, final String titleSC, final String date) {
        return AbsenceDAO.updateAbsencesStudent(idEdmodoStudent, idEdmodoSCTeacher, titleSC, date);
    }

    /**
     *
     * @param idEdmodoTeacher
     * @return
     */
    @Override
    public List<BehaviourAttitudeAspect> getBAAspectsSubjectCompetence(final String idEdmodoTeacher) {
        return BehaviourAttitudeAspectDAO.getBAAspectsSubjectCompetence(idEdmodoTeacher);
    }

    /**
     *
     * @param myAspect
     * @return
     */
    @Override
    public byte insertBehaviourAttitudeAspect(final BehaviourAttitudeAspect myAspect) {
        return BehaviourAttitudeAspectDAO.insertBehaviourAttitudeAspect(myAspect);
    }

    /**
     *
     * @param teacherId
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<Assignment> getAssignments(final int teacherId, final String title) throws IllegalArgumentException {
        return AssignmentDAO.getAssignments(teacherId, title);
    }

    /**
     *
     * @param idAssignment
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public byte deleteAssignment(final int idAssignment) throws IllegalArgumentException {
        return AssignmentDAO.deleteAssignment(idAssignment);
    }

    /**
     *
     * @param idEdmodoTeacher
     * @param title
     * @param idEdmodoStudent
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<StudentAspect> getBAAspectsSubjectCompetenceStudent(final String idEdmodoTeacher, final String title, final String idEdmodoStudent) throws IllegalArgumentException {
        return BehaviourAttitudeAspectDAO.getBAAspectsSubjectCompetenceStudent(idEdmodoTeacher, title, idEdmodoStudent);
    }

    /**
     *
     * @param idEdmodoTeacher
     * @param aspectName
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public BehaviourAttitudeAspect getBAAspect(final String idEdmodoTeacher, final String aspectName) throws IllegalArgumentException {
        return BehaviourAttitudeAspectDAO.getBAAspect(idEdmodoTeacher, aspectName);
    }

    /**
     *
     * @param idEdmodoStudent
     * @param idEdmodoSCTeacher
     * @param titleSC
     * @param aspectsNameList
     * @param deletePrevious
     * @return
     */
    @Override
    public byte updateAspectsStudent(final String idEdmodoStudent, final String idEdmodoSCTeacher, final String titleSC, final List<String> aspectsNameList, final boolean deletePrevious) {
        return BehaviourAttitudeAspectDAO.updateAspectsStudent(idEdmodoStudent, idEdmodoSCTeacher, titleSC, aspectsNameList, deletePrevious);
    }

    /**
     *
     * @param idEdmodoTeacher
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<StudentAspect> getStudentAspectsSubjectCompetence(final String idEdmodoTeacher, final String title) throws IllegalArgumentException {
        return BehaviourAttitudeAspectDAO.getStudentAspectsSubjectCompetence(idEdmodoTeacher, title);
    }

    /**
     *
     * @param myAspect
     * @param oldName
     * @return
     */
    @Override
    public byte updateBehaviourAttitudeAspect(final BehaviourAttitudeAspect myAspect, final String oldName) {
        return BehaviourAttitudeAspectDAO.updateBehaviourAttitudeAspect(myAspect, oldName);
    }

    /**
     *
     * @param idAssignment
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<EvaluableItem> getEvaluableItemsAssignment(final int idAssignment) throws IllegalArgumentException {
        return EvaluableItemDAO.getEvaluableItemsAssignment(idAssignment);
    }

    /**
     *
     * @param idAssignment
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public Assignment getAssignment(final int idAssignment) throws IllegalArgumentException {
        return AssignmentDAO.getAssignment(idAssignment);
    }

    /**
     *
     * @param idAssignment
     * @param list
     * @param deletedEvalItems
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public byte updateEvaluableItems(final int idAssignment, final ArrayList<EvaluableItemUpdated> list, final ArrayList<String> deletedEvalItems) throws IllegalArgumentException {
        return EvaluableItemDAO.updateEvaluableItems(idAssignment, list, deletedEvalItems);
    }

    /**
     *
     * @param myAssignment
     * @return
     */
    @Override
    public byte insertAssignment(final Assignment myAssignment) {
        return AssignmentDAO.insertAssignment(myAssignment);
    }

    /**
     *
     * @param idEdmodoAssignment
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public Assignment getAssignment(final String idEdmodoAssignment) throws IllegalArgumentException {
        return AssignmentDAO.getAssignment(idEdmodoAssignment);
    }

    /**
     *
     * @param myAssignmentList
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public byte updateAssignment(final ArrayList<Assignment> myAssignmentList) throws IllegalArgumentException {
        return AssignmentDAO.updateAssignment(myAssignmentList);
    }

    /**
     *
     * @param idAssignment
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public ArrayList<EvaluableItemStudent> getEvaluableItemStudentAssignment(final int idAssignment) throws IllegalArgumentException {
        return EvaluableItemDAO.getEvaluableItemStudentAssignment(idAssignment);
    }

    /**
     *
     * @param idAssignment
     * @param mStudentCalifications
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public byte updateCalificationsAssignment(final int idAssignment, final List<StudentCalificationReport> mStudentCalifications) throws IllegalArgumentException {
        return CalificationDAO.updateCalificationsAssignment(idAssignment, mStudentCalifications);
    }

    /**
     *
     * @param teacherId
     * @param subjectCompetenceTitle
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<BonusPenalization> getBonusPenalizations(final int teacherId, final String subjectCompetenceTitle) throws IllegalArgumentException {
        return BonusPenalizationDAO.getBonusPenalizations(teacherId, subjectCompetenceTitle);
    }

    /**
     *
     * @param teacherId
     * @param subjectCompetenceTitle
     * @return
     */
    @Override
    public EvaluableItemStudentCalification getEvaluableItemStudentCalification(final int teacherId, final String subjectCompetenceTitle) {
        return EvaluationReportDAO.getData(teacherId, subjectCompetenceTitle);
    }

    /**
     *
     * @param idTeacher
     * @param title
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public SubjectCompetenceEvaluation getEvaluationData(final int idTeacher, final String title) throws IllegalArgumentException {
        return EvaluationReportDAO.getEvaluationData(idTeacher, title);
    }

    /**
     *
     * @param mBonusPenalizationList
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public byte insertBonusPenalization(final List<BonusPenalization> mBonusPenalizationList) throws IllegalArgumentException {
        return BonusPenalizationDAO.insertBonusPenalization(mBonusPenalizationList);
    }

    /**
     *
     * @param idEdmodoStudent
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public List<SubjectCompetence> getInvolvedDataStudent(final String idEdmodoStudent) throws IllegalArgumentException {
        return StudentDAO.getInvolvedDataStudent(idEdmodoStudent);
    }

    /**
     *
     * @param idTeacher
     * @return
     * @throws IllegalArgumentException
     */
    @Override
    public String getIdEdmodoTeacher(final int idTeacher) throws IllegalArgumentException {
        return TeacherDAO.getIdEdmodoTeacher(idTeacher);
    }
}