package classcontrol.dao;

import java.sql.Connection;
import java.sql.ResultSet;
import classcontrol.utils.Constants;
import java.sql.PreparedStatement;

/**
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
final class TeacherDAO {

    /**
     *
     * @return {@link Constants#NO_RESULT} if user not exists in Class Control
     * database. database. Number >= 0 else.
     */
    static int getIdTeacher(final String idEdmodoTeacher) throws IllegalArgumentException {
        if (idEdmodoTeacher == null) {
            throw new IllegalArgumentException("Invalid Edmodo id");
        }
        int idUser = Constants.NO_RESULT;
        final ConnectionPool pool = ConnectionPool.getInstance();
        final Connection con = pool.getConnection();
        PreparedStatement ps;
        try {
            ps = con.prepareStatement(new StringBuilder("SELECT ")
                    .append(ConstantsDB.TABLE_TEACHER_ATT_ID_TEACHER).append(" FROM ")
                    .append(ConstantsDB.TABLE_NAME_TEACHER)
                    .append(" WHERE ").append(ConstantsDB.TABLE_TEACHER_ATT_ID_EDMODO)
                    .append("=?").toString());
            ps.setString(1, idEdmodoTeacher);
            final ResultSet rs = ps.executeQuery();
            if (rs.next()) {
                idUser = rs.getInt(ConstantsDB.TABLE_TEACHER_ATT_ID_TEACHER);
            }
        } catch (final Exception e) {
        } finally {
            if (con != null) {
                pool.freeConnection(con);
            }
            return idUser;
        }
    }

    static String getIdEdmodoTeacher(final int idTeacher) throws IllegalArgumentException {
        if (idTeacher == ConstantsDB.TABLE_NULL_ID) {
            throw new IllegalArgumentException("Invalid id");
        }
        String idEdmodoTeacher=null;
        final ConnectionPool pool = ConnectionPool.getInstance();
        final Connection con = pool.getConnection();

        PreparedStatement ps;
        try {
            ps = con.prepareStatement(new StringBuilder("SELECT ")
                    .append(ConstantsDB.TABLE_TEACHER_ATT_ID_EDMODO).append(" FROM ")
                    .append(ConstantsDB.TABLE_NAME_TEACHER)
                    .append(" WHERE ").append(ConstantsDB.TABLE_TEACHER_ATT_ID_TEACHER)
                    .append("=?").toString());
            ps.setInt(1, idTeacher);
            final ResultSet rs = ps.executeQuery();
            if (rs.next()) {
                idEdmodoTeacher = rs.getString(ConstantsDB.TABLE_TEACHER_ATT_ID_EDMODO);
            }
        } catch (final Exception e) {
        } finally {
            if (con != null) {
                pool.freeConnection(con);
            }
            return idEdmodoTeacher;
        }
    }
}