package classcontrol.edmodo;

import classcontrol.dao.ConstantsDB;
import classcontrol.dao.ConstantsForm;
import classcontrol.entity.Student;
import java.util.ArrayList;
import java.util.Date;

/**
 *
 * Edmodo's API caller with JSON responses.
 *
 *
 *
 *
 *
 *
 * OJO: hacer a todos en los posts los paremtros. URLEncoder.encode("parametro",
 * "UTF-8"));
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class EdmodoAPI {

    /**
     * Class Control Edmodo's API key.
     */
    private final static String API_KEY = "aecbe062fb1d7d9eca76b68d0d11706c65b70c08";
    /**
     * Whenever Class Control is launched in Edmodo, a launch_key will be
     * included with App URL. Note: only in first app launch, each launch
     * provides a new launch_key.
     */
    public final static String API_LAUNCH_KEY_KEY = "launch_key";
    /**
     *
     */
    public final static String API_USER_TYPE_KEY = "user_type";
    /**
     *
     */
    public final static String API_FIRST_NAME_KEY = "first_name";
    /**
     *
     */
    public final static String API_USER_TYPE_PARENT_VALUE = "PARENT";
    /**
     *
     */
    public final static String API_USER_TYPE_STUDENT_VALUE = "STUDENT";
    /**
     *
     */
    public final static String API_USER_TYPE_TEACHER_VALUE = "TEACHER";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String EDMODO_GROUP_1 = "582888";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_1_EDMODO_TOKEN = "3f14e6839";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_2_EDMODO_TOKEN = "asa12cas";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_3_EDMODO_TOKEN = "12312gcax";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_4_EDMODO_TOKEN = "inventado2";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_5_EDMODO_TOKEN = "inventado3";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_6_EDMODO_TOKEN = "inventado4";
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public final static String STUDENT_7_EDMODO_TOKEN = "inventado5";

    /**
     * TODO: Borrar en 0.2-BETA
     *
     * @param myStudentReport
     * @return
     */
    public static String getFullName(final String myStudentReport) {
        return myStudentReport.compareTo(EdmodoAPI.STUDENT_1_EDMODO_TOKEN) == 0 ? "Cristian Tejedor"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_2_EDMODO_TOKEN) == 0 ? "Raúl Rodríguez"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_3_EDMODO_TOKEN) == 0 ? "Irene García"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_4_EDMODO_TOKEN) == 0 ? "Elena García"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_5_EDMODO_TOKEN) == 0 ? "Teresa Lázaro"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_6_EDMODO_TOKEN) == 0 ? "Carlos Martínez"
                : myStudentReport.compareTo(EdmodoAPI.STUDENT_7_EDMODO_TOKEN) == 0 ? "Rosa Chacel" : "";
    }

    /**
     * TODO: Borrar en 0.2-BETA
     *
     * @return
     */
    public static ArrayList<Student> getSimulatedStudents() {
        final ArrayList<Student> subjectCompetenceMembers = new ArrayList<Student>();
        subjectCompetenceMembers.add(new Student(1, EdmodoAPI.STUDENT_1_EDMODO_TOKEN, "Cristian Tejedor"));
        subjectCompetenceMembers.add(new Student(51, EdmodoAPI.STUDENT_2_EDMODO_TOKEN, "Raúl Rodríguez"));
        subjectCompetenceMembers.add(new Student(61, EdmodoAPI.STUDENT_3_EDMODO_TOKEN, "Irene García"));
        subjectCompetenceMembers.add(new Student(11, EdmodoAPI.STUDENT_4_EDMODO_TOKEN, "Elena García"));
        subjectCompetenceMembers.add(new Student(21, EdmodoAPI.STUDENT_5_EDMODO_TOKEN, "Teresa Lázaro"));
        subjectCompetenceMembers.add(new Student(31, EdmodoAPI.STUDENT_6_EDMODO_TOKEN, "Carlos Martínez"));
        subjectCompetenceMembers.add(new Student(41, EdmodoAPI.STUDENT_7_EDMODO_TOKEN, "Rosa Chacel"));
        return subjectCompetenceMembers;
    }
    /**
     * TODO: Borrar en 0.2-BETA
     */
    public static final double SIMULATED_MAX_SCORE = 10;

    /**
     * TODO: Borrar en 0.2-BETA
     *
     * @return
     */
    public static ArrayList<Student> getSimulatedChildren() {
        final ArrayList<Student> simulatedChildren = new ArrayList<Student>();
        simulatedChildren.add(new Student(1, EdmodoAPI.STUDENT_1_EDMODO_TOKEN, "Cristian Tejedor"));
        simulatedChildren.add(new Student(51, EdmodoAPI.STUDENT_2_EDMODO_TOKEN, "Raúl Rodríguez"));
        simulatedChildren.add(new Student(41, EdmodoAPI.STUDENT_7_EDMODO_TOKEN, "Rosa Chacel"));
        return simulatedChildren;
    }

    /**
     * TODO: Borrar en 0.2-BETA
     *
     * @param usersEdmodId
     * @return
     */
    public static Student usersSimulated(final String usersEdmodId) {
        //System.out.println("users: success.");
        return usersEdmodId.compareTo(EdmodoAPI.STUDENT_1_EDMODO_TOKEN) == 0 ? new Student(1, EdmodoAPI.STUDENT_1_EDMODO_TOKEN, "Cristian Tejedor")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_2_EDMODO_TOKEN) == 0 ? new Student(51, EdmodoAPI.STUDENT_2_EDMODO_TOKEN, "Raúl Rodríguez")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_3_EDMODO_TOKEN) == 0 ? new Student(61, EdmodoAPI.STUDENT_3_EDMODO_TOKEN, "Irene García")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_4_EDMODO_TOKEN) == 0 ? new Student(11, EdmodoAPI.STUDENT_4_EDMODO_TOKEN, "Elena García")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_5_EDMODO_TOKEN) == 0 ? new Student(21, EdmodoAPI.STUDENT_5_EDMODO_TOKEN, "Teresa Lázaro")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_6_EDMODO_TOKEN) == 0 ? new Student(31, EdmodoAPI.STUDENT_6_EDMODO_TOKEN, "Carlos Martínez")
                : usersEdmodId.compareTo(EdmodoAPI.STUDENT_7_EDMODO_TOKEN) == 0 ? new Student(41, EdmodoAPI.STUDENT_7_EDMODO_TOKEN, "Rosa Chacel") : null;
    }

    /**
     * Returns user data for the user that requested the application launch.
     *
     * @return User data for the user that requested the application launch.
     */
    public static String launchRequests() {
        //System.out.println("EdmodoAPI: launchRequests");
        return "";
    }

    /**
     * Returns group data for a given array of group ids.
     *
     * @param idGroups
     * @return Returns group data for a given array of group ids.
     */
    public static String groups(final String[] idGroups) {
        //System.out.println("EdmodoAPI: groups");
        return "";
    }

    /**
     * Returns an array of user data for members of a group, specified by group
     * id.
     *
     * @param idGroups Integer Group ID or a comma separated list of group ids:
     * &group_id=379557,456322
     * @return
     */
    public static String members(final String[] idGroups) {
        //System.out.println("EdmodoAPI: members");
        return "";
    }

    /**
     * Returns an array of data for students, given a specified parent user
     * token.
     *
     * @param idEdmodoParent User token of the parent
     * @return An array of data for students, given a specified parent user
     * token.
     */
    public static String children(final String idEdmodoParent) {
        //System.out.println("EdmodoAPI: children");
        return "";
    }

    /**
     * Registers a badge (a Class Control's behaviour attitude aspect) at Edmodo, returning a
     * badge id that can be used to award a badge that will display on an Edmodo
     * user's profile.
     *
     * @param title limit 50 characters
     * @param description limit 140 characters
     * @param imageUrl url to badge image, should be 114x114 pixels Accepted
     * image types: jpg, gif, png
     * @return badge id.
     * @throws IllegalArgumentException If any argument was bad indicated.
     */
    public static String registerBadge(final String title, final String description, final String imageUrl) throws IllegalArgumentException {
        if (title == null || (title.length() == 0 || title.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX)) {
            throw new IllegalArgumentException("Invalid title");
        }
        if (description == null || (description.length() == 0 || description.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_DESCRIPTION_MAX)) {
            throw new IllegalArgumentException("Invalid description");
        }
        if (imageUrl == null || (imageUrl.length() == 0 || imageUrl.length() > ConstantsForm.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_URL_MAX)) {
            throw new IllegalArgumentException("Invalid imgage url");
        }

        //URLEncoder.encode("parametro", "UTF-8"));
        System.out.println("Register badge in Edmodo: success.");
        return "";
    }

    /**
     * Updates an existing registered badge.
     *
     * @param idEdmodoBadge
     * @param title limit 50 characters
     * @param description limit 140 characters
     * @param imageUrl Optional: If you wish to replace the image of the badge,
     * specify the url of the new badge image. Otherwise, to keep the old badge
     * image, you do not need to specify this parameter. Badge images should be
     * 114x114 pixels. Accepted image types: jpg, gif, png
     * @return Status "success" or "failed"
     * @throws IllegalArgumentException
     */
    public static String updateBadge(final String idEdmodoBadge, final String title, final String description, final String imageUrl) throws IllegalArgumentException {
        if (idEdmodoBadge == null || (idEdmodoBadge.length() == 0 || idEdmodoBadge.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_ID_EDMODO_MAX)) {
            throw new IllegalArgumentException("Invalid idEdmodoBadge");
        }
        if (title == null || (title.length() == 0 || title.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX)) {
            throw new IllegalArgumentException("Invalid title");
        }
        if (description == null || (description.length() == 0 || description.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_DESCRIPTION_MAX)) {
            throw new IllegalArgumentException("Invalid description");
        }
        if (imageUrl != null && (imageUrl.length() == 0 || imageUrl.length() > ConstantsForm.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_URL_MAX)) {
            throw new IllegalArgumentException("Invalid imgage url");
        }

        //URLEncoder.encode("parametro", "UTF-8"));
        System.out.println("Update badge in Edmodo: success.");
        return "";
    }

    /**
     * Returns an array of badges (behaviour attitude aspects) awarded by the
     * app to the given user token.
     *
     * @param edmodoId The user to get badges awarded for.
     * @return an array of badges awarded by the app to the given user token.
     */
    public static String badgesAwared(final String edmodoId) {
        System.out.println("badgesAwared: success.");
        return "";
    }

    /**
     * Awards a badge (behaviour attitude aspect) to a given user.
     *
     * @param idEdmodoBadge Badge ID of the badge being awarded
     * @param idEdmodoUser User token of the user receiving the badge
     * @return
     */
    public static String awardBadge(final String idEdmodoBadge, final String idEdmodoUser) {
        System.out.println("awardBadge: success.");
        return "";
    }

    /**
     * Returns an array of statuses for the user recipients of the given
     * assignment.
     *
     * @param assignmentId Assignment Id for the assignment to get statuses for.
     * @return
     */
    public static String assignmentStatus(final String assignmentId) {
        System.out.println("assignmentStatus: success.");
        return "";
    }

    /**
     * Returns an array of assignments created by the app for the user specified
     * by the token. Includes assignments due at any time in the future, and
     * assignments the user has already turned in.
     *
     * @param edmodoUserId
     * @return
     */
    public static String assignmentsByAppForUser(final String edmodoUserId) {
        System.out.println("assignmentStatus: success.");
        return "";
    }

    /**
     * Returns an array of grades set by the app for the given group.
     *
     * @param idEdmodoGroup The group to get grades for.
     * @return an array of grades set (with total score) by the app for the
     * given group.
     */
    public static String gradesSetByAppForGroup(final String idEdmodoGroup) {
        System.out.println("gradesSetByAppForGroup: success.");
        return "";
    }

    /**
     * Returns an array of grades set by the app for the given user.
     *
     * @param idEdmodoUser
     * @return an array of grades set (with individual score) by the app for the
     * given user.
     */
//    public static String gradesSetByAppForUser(final String idEdmodoUser) {
//        System.out.println("gradesSetByAppForUser: success.");
//        return "";
//    }
    /**
     *
     * TODO: revisar parametros obligatorios cuando haga elCU de Crear
     * PRUEBA.... Create an assignment for the given users and groups.<br/> This
     * method only works for teacher users.
     *
     * @param title
     * @param description
     * @param dueDate
     * @param totalGrade
     * @param edmodoGroup
     * @return
     * @throws IllegalArgumentException
     */
    public static String createAssignment(final String title, final String description, final Date dueDate,
            final int totalGrade, final String edmodoGroup) throws IllegalArgumentException {
        if (title != null && (title.length() == 0 || title.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX)) {
            throw new IllegalArgumentException("Invalid title");
        }
        System.out.println("createAssignment: success.");
        // TODO: if description==null not send to Edmodo.
        //URLEncoder.encode("parametro", "UTF-8"));
        return (9 + (int) (Math.random() * ((1500 - 8) + 1))) + "assignment" + (9 + (int) (Math.random() * ((1500 - 8) + 1)));
    }

    /**
     * TODO: revisar parametros obligatorios cuando haga elCU de Crear
     *
     * @param title
     * @param totalGrade
     * @param edmodoGroup
     * @return
     * @throws IllegalArgumentException
     */
    public static String newGrade(final String title, final int totalGrade, final String edmodoGroup) throws IllegalArgumentException {
        if (title != null && (title.length() == 0 || title.length() > ConstantsDB.CREATE_BEHAVIOUR_ATTITUDE_ASPECT_NAME_MAX)) {
            throw new IllegalArgumentException("Invalid title");
        }
        System.out.println("newGrade: success.");
        //URLEncoder.encode("parametro", "UTF-8"));
        return (9 + (int) (Math.random() * ((1500 - 8) + 1))) + "grade" + (9 + (int) (Math.random() * ((1500 - 8) + 1)));
    }

    /**
     * TODO: setGrade sirve tanto para Assignments como para Grades.
     *
     * @return
     */
    public static String setGrade() {
        System.out.println("setGrade: success.");
        //URLEncoder.encode("parametro", "UTF-8"));
        return "";
    }

    /**
     * Returns user data for a given user token or array of user tokens.
     *
     * @param users Assignment user token or array of user tokens.
     * @return user data for a given user token or array of user tokens.
     */
    public static String users(final String[] users) {
        //System.out.println("users: success.");
        return "";
    }
}