package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Models all subject competence's califications and evaluable item student's
 * applied in that subject competence. There can not be any null parameter, in
 * this case an empty list is returned.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class EvaluableItemStudentCalification {

    private List<Calification> califications;
    private List<EvaluableItemStudent> evaluableItemStudent;

    /**
     *
     * @param califications
     * @param evaluableItemStudent
     */
    public EvaluableItemStudentCalification(final List<Calification> califications, final List<EvaluableItemStudent> evaluableItemStudent) {
        this.califications = califications == null ? new ArrayList<Calification>() : califications;
        this.evaluableItemStudent = evaluableItemStudent == null ? new ArrayList<EvaluableItemStudent>() : evaluableItemStudent;
    }

    /**
     *
     * @return An empty list if not elements or a list with elements. Never
     * null.
     */
    public List<Calification> getCalifications() {
        return califications;
    }

    /**
     * An empty list if not elements or a list with elements. Never null.
     *
     * @return
     */
    public List<EvaluableItemStudent> getEvaluableItemStudent() {
        return evaluableItemStudent;
    }
}