package classcontrol.entity;

import classcontrol.dao.ConstantsDB;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class EvaluableItemUpdated extends EvaluableItem {

    private String oldName;

    /**
     *
     */
    public EvaluableItemUpdated() {
    }

    @Override
    public String toString() {
        return "EvaluableItemUpdated{" + "oldName=" + oldName +
                "idAssignment=" + idAssignment +
                "name=" + name +
                "associatedWeight=" + associatedWeight +
                '}';
    }

    /**
     *
     * @param idAssignment
     * @param name
     * @param associatedWeight
     * @param oldName
     * @throws IllegalArgumentException
     */
    public EvaluableItemUpdated(final int idAssignment, final String name, final int associatedWeight, final String oldName) throws IllegalArgumentException {
        super(idAssignment, name, associatedWeight);
        if (oldName != null && (oldName.length() == 0 || oldName.length() > ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_NAME_MAX)) {
            throw new IllegalArgumentException("Invalid oldName");
        }
        this.oldName = oldName;
    }

    /**
     *
     * @return
     */
    public final String getOldName() {
        return this.oldName;
    }
}