package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class EvaluationPeriodAssignment {

    private EvaluationPeriod myEvaluationPeriod;
    private List<Assignment> myAssignmentsList;

    private EvaluationPeriodAssignment() {
    }

    /**
     *
     * @param myEvaluationPeriod
     * @param myAssignmentsList
     * @throws IllegalArgumentException
     */
    public EvaluationPeriodAssignment(final EvaluationPeriod myEvaluationPeriod,
            final List<Assignment> myAssignmentsList) throws IllegalArgumentException {
        if (myEvaluationPeriod == null) {
            throw new IllegalArgumentException("Invalid Evaluation Period");
        }
        this.myEvaluationPeriod = myEvaluationPeriod;
        this.myAssignmentsList = myAssignmentsList == null ? new ArrayList<Assignment>() : myAssignmentsList;
    }

    /**
     *
     * @return
     */
    public EvaluationPeriod getMyEvaluationPeriod() {
        return myEvaluationPeriod;
    }

    /**
     *
     * @return
     */
    public List<Assignment> getMyAssignmentsList() {
        return myAssignmentsList;
    }
}