package classcontrol.entity;

import classcontrol.dao.ConstantsDB;

/**
 * Models a student.
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class Student {

    private int idStudent;
    private String idEdmodo;
    private String fullName;

    private Student() {
    }

    /**
     *
     * @param idStudent
     * @param idEdmodo
     * @param fullName
     * @throws IllegalArgumentException
     */
    public Student(final int idStudent, final String idEdmodo, final String fullName) throws IllegalArgumentException {
        if (idEdmodo==null||idEdmodo.length()>ConstantsDB.TABLE_STUDENT_ATT_ID_EDMODO_MAX){
            throw new IllegalArgumentException("Invalid edmodo id");
        }
        this.idStudent = idStudent;
        this.idEdmodo = idEdmodo;
        this.fullName = fullName;
    }

    /**
     *
     * @return
     */
    public int getIdStudent() {
        return idStudent;
    }

    /**
     *
     * @return
     */
    public String getIdEdmodo() {
        return idEdmodo;
    }

    /**
     *
     * @return
     */
    public String getFullName() {
        return fullName;
    }
}