package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Models all student-assignment data.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class StudentCalificationReport {

    private Student student;
    private Calification calification;
    private List<EvaluableItemStudent> myEvaluableItemCalifications;

    private StudentCalificationReport() {
    }

    /**
     *
     * @param student
     * @param calification
     * @param myEvaluableItemCalifications
     * @throws IllegalArgumentException
     */
    public StudentCalificationReport(final Student student, final Calification calification, final List<EvaluableItemStudent> myEvaluableItemCalifications) throws IllegalArgumentException {
        if (student == null) {
            throw new IllegalArgumentException("Invalid student");
        }
        if (calification == null) {
            throw new IllegalArgumentException("Invalid calification");
        }


        this.myEvaluableItemCalifications = myEvaluableItemCalifications == null ? new ArrayList<EvaluableItemStudent>() : myEvaluableItemCalifications;
        this.student = student;
        this.calification = calification;

    }

    /**
     *
     * @return
     */
    public Student getStudent() {
        return student;
    }

    /**
     *
     * @return
     */
    public Calification getCalification() {
        return calification;
    }

    /**
     *
     * @return
     */
    public List<EvaluableItemStudent> getMyEvaluableItemCalification() {
        return myEvaluableItemCalifications;
    }
}