package classcontrol.language;

import classcontrol.utils.Text;

/**
 * English language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class EnglishLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        switch (id) {
            case Text.FOOTER_CREATED_BY:
                return "Created by";
            case Text.FOOTER_SEE_PROBLEM:
                return "Cannot see this web properly? Click here.";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Create subject / competence";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Get reports";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Subjects and competences";
            case Text.NAV_BAR_HOME:
                return "Home";
            case Text.PARENT:
                return "Parent";
            case Text.STUDENT:
                return "Student";
            case Text.TEACHER:
                return "Teacher";
            case Text.WELLCOME:
                return "Welcome to Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "Edmodo&#39;s group";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Title";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Initial date";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Ending date";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Periods";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Description";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Associated to";
            case Text.NEXT:
                return "Next";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Identifier title";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Optional description";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "Ending date must be less or equal to initial date and a maximum differnce of 3 years between them.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "Initial date must be less or equal to ending date and a maximum differnce of 3 years between them.";
            case Text.NO_NULL:
                return "Must be filled";
            case Text.CREATE:
                return "Create";
            case Text.WEIGHT:
                return "Weight";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Periods definition";
            case Text.PERIOD:
                return "Period";
            case Text.TO:
                return "to";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "Total evaluation periods weight and maximum positive weight total amount can not exceed 100% and current amount is";
            case Text.BACK:
                return "Back";
            case Text.SUCCESS_MESSAGE:
                return "Successfully performed";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "If you are in Edmodo in a smartphone or a tablet you should click here.";
            case Text.TEACHER_MESSAGE:
                return "Message";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Returning in";
            case Text.SEE_DETAILS:
                return "See details";
            case Text.S_C_SELECT_ACTION:
                return "Select action";
            case Text.S_C_ATTEND:
                return "Attend";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Behaviour and attitude";
            case Text.S_C_ASSIGNMENTS:
                return "Tests and assignments";
            case Text.S_C_EDIT:
                return "Edit";
            case Text.S_C_EDIT_MODIFY:
                return "Modify";
            case Text.S_C_EDIT_DELETE:
                return "Delete";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "Look out!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "Are you sure to delete this subject/competence? Can not undo the operation. All associated system data will be erased, except assignaments, grades and behaviour and attitude badges, that you can only delete them from Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "OK";
            case Text.S_C_EDIT_DELETE_NO:
                return "No";
            case Text.HTML_LANG:
                return "en";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "Máx. value is 100.";
            case Text.MUST_BE_NUMBER:
                return "Must be a number";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "Forbidden. You have not system privileges.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "Not found.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "System intern error.";
            case Text.ERROR_JAVA:
                return "Programation error";
            case Text.ERROR_JAVA_TEXT:
                return "There was a programation error.";
            case Text.ERROR_SERVLET:
                return "Something was bad indicated";
            case Text.ERROR_SERVLET_TEXT:
                return "The reason is";
            case Text.NO_VALID_ARGUMENT:
                return "No valid";
            case Text.BUSINESS_PROBLEM:
                return "There was a problem, please try again.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "You already have a subject / competence with this title";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Attend control";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Attend report";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Define non academic days";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Apply all non academic days to all my subjects and competences that start and end the same day that this subject / competence";
            case Text.SAVE:
                return "Save";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Apply to";
            case Text.SELECT_ALL:
                return "Select all";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "If one student is only selected, you can add new or remove its absences.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "If more than one student is selected, you only can add new absences to all.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Select at least one student.";
            case Text.SELECT_0:
                return "Unselect all";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "You have not selected any date.";
            case Text.ERASE_ALL:
                return "Clean all";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Apply behaviour attitude aspects";
            case Text.S_C_B_A_NEW_ASPECT:
                return "New aspect";
            case Text.S_C_B_A_REPORT:
                return "Behaviour attitude report";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "Picture on-line URL";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Current positive aspects";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Current negative aspects";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Positive aspect";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Negative aspect";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "If one student is only selected, you can add new or remove its behaviour attitude aspects.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "If more than one student is selected, you only can add new behaviour attitude aspects to all.";
            case Text.NAME:
                return "Name";
            case Text.NAME_PLACEHOLDER:
                return "Identifier name";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "144x144px mandatory";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "You already have an aspect with this name.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "There is not seleteced any aspect.";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "My tests and assignments";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "New test or assignment";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Evaluation report";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Edit evaluation percentage";
            case Text.S_C_EVALUABLE_ITEM:
                return "Evaluable items definition";
            case Text.S_C_ASSIGNMENT_CALIFICATION:
                return "Assignment's calification";
            case Text.S_C_NO_ASPECTS:
                return "There is not any behaviour attitude aspect.";
            case Text.REPORTS_TOTAL:
                return "Total";
            case Text.REPORTS_NAME:
                return "Name";
            case Text.TABLES_COPY:
                return "Copy";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Table copied</h6><p>Copied to clipboard.</p>";
            case Text.TABLES_PRINT:
                return "Print";
            case Text.TABLES_PRINT_TEXT:
                return "<h6>Print view</h6><p>Please use your browser's print function tu print it. Press <b>ESC</b> when finished.</p>";
            case Text.TABLES_PDF_MSG:
                return "Generated by";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "Evaluable item's amount can not exceed";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "Two evaluable item's names are the same.";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Add other evaluable item";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "Besides evaluable items' calification ,each student will be able to give a bonus or penalty to the final calculation of the test or work";
            case Text.NON_ACADEMIC_DAY:
                return "Non academic day";
            case Text.ACADEMIC_DAY:
                return "Academic day";
            case Text.ABSENCE:
                return "Absence";
            case Text.CBAA_NO_VALID_URL:
                return "It is not a valid URL";
            case Text.CBAA_NO_LOAD_URL:
                return "Can not verify this image.";
            case Text.CBAA_VALID_URL_HINT:
                return ".jpg, .gif or .png extension and recommended 114px large and wide.";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Type";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Date";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Edmodo's grade";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "No Edmodo's grade";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Edmodo's assignment";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "No Edmodo's assignment";
            case Text.CREATE_ASSIGNMENT_MAX_CALIFICATION:
                return "Maximum grade";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Each one";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Max";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "My behaviour attitude aspects";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Modify aspect";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Select aspect";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "If you wish to replace the image of the badge, specify the url of the new badge image. Otherwise, to keep the old badge image, you do not need to specify any url.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Maximum dimensions: 150x150 pixels";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Create and define evaluable items";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "There are not any test or assignments at this evaluation period.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "Total assignments and grades weights can not exceed 100%, and currently is";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Each positive value aspect must be lower or equal than maximum positive value.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Each negative value aspect must be lower or equal than maximum negative value.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "Total evaluation periods weight and maximum positive aspects weight is not 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "Total asignments' weight is not 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "Evaluable items total amount is not 100%.";
            case Text.CALIFICATION_VISIBLE_YES:
                return "Y";
            case Text.CALIFICATION_VISIBLE_NO:
                return "N";
            case Text.CALIFICATION_CALIFICATION_TH:
                return "Cal";
            case Text.CALIFICATION_CALIFICATION_BONUS_PENALIZATION_TH:
                return "Bonus / penalization";
            case Text.CALIFICATION_CALIFICATION_FINAL_TH:
                return "Final";
            case Text.CALIFICATION_CALIFICATION_EXTRA_TH:
                return "Extra";
            case Text.CALIFICATION_CALIFICATION_COMMENT_TH:
                return "Comment";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_TH:
                return "Visible by the parent";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_STUDENT_TH:
                return "Visible by the student";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_P_TH:
                return "P";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_S_TH:
                return "S";
            case Text.CALIFICATION_CALIFICATION_REASON_TH:
                return "Reason";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES:
                return "Save califications";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ERROR:
                return "It was an error saving changes.";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_SAVED:
                return "Changes saved with success.";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ALERT:
                return "No recent changes have been saved, do you want to leave this page without saving?";
            case Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_ALERT:
                return "You must apply or discard changes to be able to save new califications and use table tools.";
            case Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_BTN:
                return "Apply changes";
            case Text.CALIFICATION_CALIFICATION_DISCARD_CHANGES_BTN:
                return "Discard changes";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Do not forget to click on \"Save califications\" to save all changes.";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Average";
            case Text.GENERATE_REPORTS_INFO:
                return "Information about";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "You must select at least one subject competence.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "You must select at least one report type.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "There is not any subject competence created.";
            case Text.GENERATE_REPORTS_PAGE_TEXT:
                return "Page";
            case Text.GENERATE_REPORTS_CITE:
                return "Data between initial and final dates will be reported.";
            case Text.GENERATE_REPORTS_HINT:
                return "Generating report, please wait";
            case Text.NO_CHILDREN_PARENT:
                return "You have not any associated children.";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "You do not have any subject / competence data.";
            case Text.DOWNLOAD:
                return "Download";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "You can see all assignment's and grades details clicking on the table.";
            case Text.ORIENTATION_HINT:
                return "Report page orientation";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "Maximum negative aspects can not exceed 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "You might lose data if you alter initial and end dates.";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "English";
    }
}