package classcontrol.language;

import classcontrol.utils.Text;

/**
 * Spanish language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class SpanishLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        switch (id) {
            case Text.FOOTER_CREATED_BY:
                return "Creado por";
            case Text.FOOTER_SEE_PROBLEM:
                return "¿No ves bien la web? Pulsa aquí.";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Crear asignatura / competencia";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Obtener informes";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Asignaturas y competencias";
            case Text.NAV_BAR_HOME:
                return "Inicio";
            case Text.PARENT:
                return "Padre";
            case Text.STUDENT:
                return "Estudiante";
            case Text.TEACHER:
                return "Profesor";
            case Text.WELLCOME:
                return "Bienvenido a Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "Grupo de Edmodo";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Título";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Fecha inicial";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Fecha final";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Periodos";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Descripción";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Asociado a";
            case Text.NEXT:
                return "Siguiente";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Título identificativo";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Descripción opcional";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "La fecha de fin debe ser superior o igual a la de inicio y no haber más de 3 años de diferencia entre ambas.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "La fecha de inicio debe ser inferior o igual a la fecha de fin y no haber más de 3 años de diferencia entre ambas.";
            case Text.NO_NULL:
                return "Debe indicarse";
            case Text.CREATE:
                return "Crear";
            case Text.WEIGHT:
                return "Peso";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Definir periodos";
            case Text.PERIOD:
                return "Periodo";
            case Text.TO:
                return "a";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "La suma de los periodos de evaluación y el máximo de los aspectos positivos no debe superar el 100%, y la suma actual es";
            case Text.BACK:
                return "Atrás";
            case Text.SUCCESS_MESSAGE:
                return "Realizado con éxito";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "Si estás en Edmodo desde el móvil o en la tableta debes pulsar aquí.";
            case Text.TEACHER_MESSAGE:
                return "Mensaje";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Volviendo en";
            case Text.SEE_DETAILS:
                return "Ver detalles";
            case Text.S_C_SELECT_ACTION:
                return "Seleccionar acción";
            case Text.S_C_ATTEND:
                return "Asistencia";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Comportamiento y actitud";
            case Text.S_C_ASSIGNMENTS:
                return "Trabajos y pruebas";
            case Text.S_C_EDIT:
                return "Editar";
            case Text.S_C_EDIT_MODIFY:
                return "Modificar";
            case Text.S_C_EDIT_DELETE:
                return "Eliminar";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "¡Atención!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "¿Está seguro que desea eliminar esta asignatura/competencia? No se podrá deshacer la operación. Se borrarán del sistema todos los datos asociados, excepto las pruebas, trabajos y aspectos de conducta y actitud, que sólo se podrán eliminar desde Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "OK";
            case Text.S_C_EDIT_DELETE_NO:
                return "No";
            case Text.HTML_LANG:
                return "es";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "No puede haber más de 100.";
            case Text.MUST_BE_NUMBER:
                return "Debe ser un número";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "No tiene permiso para acceder al sistema.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "No se encontró el recurso.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "Error interno del sistema.";
            case Text.ERROR_JAVA:
                return "Error de programación";
            case Text.ERROR_JAVA_TEXT:
                return "Hubo un error en la programación.";
            case Text.ERROR_SERVLET:
                return "Algo se indicó mal";
            case Text.ERROR_SERVLET_TEXT:
                return "El motivo es";
            case Text.NO_VALID_ARGUMENT:
                return "No es válido";
            case Text.BUSINESS_PROBLEM:
                return "Hubo un problema, por favor vuelva a intentarlo.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "Ya tienes una asignatura o competencia con ese título.";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Control de asistencia";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Informe de asistencia";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Definir días no lectivos";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Aplicar los mismos días no lectivos a mis asignaturas que empiezan y terminan los mismos días que esta asignatura / competencia";
            case Text.SAVE:
                return "Guardar";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Aplicar a";
            case Text.SELECT_ALL:
                return "Seleccionar todos";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "Si se elige uno se podrán tanto aplicar como revocar ausencias.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "Si se elige más de uno, sólo se podrán aplicar nuevas ausencias a los seleccionados.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Debes seleccionar al menos un estudiante.";
            case Text.SELECT_0:
                return "No seleccionar ninguno";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "No se ha seleccionado ninguna fecha.";
            case Text.ERASE_ALL:
                return "Borrar todo";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Introducir conducta y actitud";
            case Text.S_C_B_A_NEW_ASPECT:
                return "Crear aspecto";
            case Text.S_C_B_A_REPORT:
                return "Informe de conducta y actitud";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "URL on-line de la imagen";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Aspectos positivos actuales";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Aspectos negativos actuales";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Aspecto positivo";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Aspecto negativo";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "Si se elige uno se podrán tanto aplicar nuevos como revocar aspectos.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "Si se elige más de uno, sólo se podrán aplicar nuevos aspectos a los seleccionados.";
            case Text.NAME:
                return "Nombre";
            case Text.NAME_PLACEHOLDER:
                return "Nombre identificativo";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "114x114 píxeles recomendado";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "Ya tienes un aspecto con ese nombre.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "No se ha seleccionado ningún aspecto.";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "Ver prueba o trabajo";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "Crear prueba o trabajo";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Informe de evaluación";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Editar porcentajes de evaluación";
            case Text.S_C_EVALUABLE_ITEM:
                return "Definir ítems evaluables";
            case Text.S_C_ASSIGNMENT_CALIFICATION:
                return "Calificar prueba o trabajo";
            case Text.S_C_NO_ASPECTS:
                return "Aún no se ha creado ningún aspecto.";
            case Text.REPORTS_TOTAL:
                return "Total";
            case Text.REPORTS_NAME:
                return "Nombre";
            case Text.TABLES_COPY:
                return "Copiar";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Tabla copiada</h6><p>Copiada al portapapeles.</p>";
            case Text.TABLES_PRINT:
                return "Imprimir";
            case Text.TABLES_PRINT_TEXT:
                return "<h6>Vista de impresión</h6><p>Usa la función de impresión de tu navegador. Pulsa la tecla <b>ESC</b> cuando termines.</p>";
            case Text.TABLES_PDF_MSG:
                return "Generado por";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "La suma de ítems evaluables no puede exceder el";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "No puede haber dos ítems evaluables iguales.";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Añadir otro ítem evaluable";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "A las calificaciones de estos ítems evaluables a cada alumno se le podrá dotar de una bonificación o penalización para el cálculo final de la prueba o trabajo.";
            case Text.NON_ACADEMIC_DAY:
                return "Día no lectivo";
            case Text.ACADEMIC_DAY:
                return "Día lectivo";
            case Text.ABSENCE:
                return "Ausencia";
            case Text.CBAA_NO_VALID_URL:
                return "No es una imagen válida";
            case Text.CBAA_NO_LOAD_URL:
                return "No se pudo verificar la imagen.";
            case Text.CBAA_VALID_URL_HINT:
                return "Extensión .jpg .gif o .png y recomendado 114px de alto y ancho.";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Tipo";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Fecha";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Prueba realizada en Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "Prueba realizada fuera de Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Tarea realizada en Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "Tarea realizada fuera de Edmodo";
            case Text.CREATE_ASSIGNMENT_MAX_CALIFICATION:
                return "Calificación máxima";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Cada uno";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Máximo";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "Mis aspectos de conducta y actitud";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Modificar aspecto";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Seleccionar aspecto";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "Si no quieres actualizar la imagen (que se ve en Edmodo) deja en blanco el recuadro.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Dimensiones máximas 150 píxeles de ancho y alto.";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Crear y definir los ítems evaluables";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "No hay ninguna prueba ni trabajo en este periodo de evaluación.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "La suma total de las pruebas y trabajos no puede superar el 100%, y actualmente es";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Cada valor positivo debe ser menor o igual que el máximo positivo.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Cada valor negativo debe ser menor o igual que el máximo negativo.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "La suma total de los periodos y el máximo posible de aspectos positivos no llega al 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "La suma de las pruebas y trabajos de este periodo no llega al 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "La suma de los ítems evaluables no llega al 100%.";
            case Text.CALIFICATION_VISIBLE_YES:
                return "S";
            case Text.CALIFICATION_VISIBLE_NO:
                return "N";
            case Text.CALIFICATION_CALIFICATION_TH:
                return "Nota";
            case Text.CALIFICATION_CALIFICATION_BONUS_PENALIZATION_TH:
                return "Bonificación o penalización";
            case Text.CALIFICATION_CALIFICATION_FINAL_TH:
                return "Final";
            case Text.CALIFICATION_CALIFICATION_EXTRA_TH:
                return "Extra";
            case Text.CALIFICATION_CALIFICATION_COMMENT_TH:
                return "Comentario";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_TH:
                return "Visible por el padre";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_STUDENT_TH:
                return "Visible por el alumno";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_P_TH:
                return "P";
            case Text.CALIFICATION_CALIFICATION_VISIBLE_PARENT_S_TH:
                return "A";
            case Text.CALIFICATION_CALIFICATION_REASON_TH:
                return "Motivo";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES:
                return "Guardar calificaciones";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ERROR:
                return "No se pudieron guardar los cambios.";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_SAVED:
                return "Datos guardados con éxito.";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_ALERT:
                return "No se han guardado los últimos cambios, ¿desea salir sin guardarlos?";
            case Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_ALERT:
                return "Debes aplicar o descartar los cambios para poder guardar las calificaciones o usar las herramientas de la tabla.";
            case Text.CALIFICATION_CALIFICATION_APPLY_CHANGES_BTN:
                return "Aplicar cambios";
            case Text.CALIFICATION_CALIFICATION_DISCARD_CHANGES_BTN:
                return "Descartar cambios";
            case Text.CALIFICATION_CALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Recuerda pulsar \"Guardar calificaciones\" para guardar tus cambios.";
            case Text.DOWNLOAD:
                return "Descargar";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Media";
            case Text.GENERATE_REPORTS_INFO:
                return "Información sobre";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "Se debe seleccionar al menos una asignatura o competencia.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "Se debe seleccionar al menos un tipo de informe.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "No hay ninguna asignatura o competencia creada.";
            case Text.GENERATE_REPORTS_CITE:
                return "Sólo se mostrarán datos de los periodos de evaluación comprendidos entre las dos fechas indicadas.";
            case Text.GENERATE_REPORTS_HINT:
                return "Generando informe, por favor espera";
            case Text.NO_CHILDREN_PARENT:
                return "No tienes hijos asociados en Edmodo.";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "No tienes todavía datos de ninguna asignatura o competencia.";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "Puedes ver los detalles de cada prueba pulsando en la fila del alumno de la tabla.";
            case Text.ORIENTATION_HINT:
                return "Orientación de página del informe.";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "El peso máximo de aspectos negativos no puede ser mayor que 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "Se podrían perder datos si alteras las fechas de inicio y fin.";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "Español";
    }
}