package classcontrol.utils;

/**
 * All application common constants to all classes and java items.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class Constants {

    /**
     * Security model for .jsp
     */
    public final static String COME_FROM_FRONT_CONTROLLER = "comeFront";
    /**
     * Flag that means any error message.
     */
    public final static byte NO_RESULT = -1;
    /**
     * Language session identificator
     */
    public final static String SESSION_ID_EDMODO_USER = "edUser";
    /**
     * Language session identificator
     */
    public final static String SESSION_ID_LANGUAGE = "idLan";
    /**
     * User role session indetificator.
     */
    public final static String SESSION_ID_WEB_ROLE = "edUserRole";
    /**
     * Teacher session identificator.
     */
    public final static byte SESSION_ID_ROLE_TEACHER = 0;
    /**
     * Parent session identificator.
     */
    public final static byte SESSION_ID_ROLE_PARENT = 1;
    /**
     * Student session identificator.
     */
    public final static byte SESSION_ID_ROLE_STUDENT = 2;
    /**
     * No role session identificator.
     */
    public final static byte SESSION_ID_ROLE_NO = -1;
    /**
     * User groups identificator.
     */
    public final static String SESSION_USER_GROUPS = "userGroups";
    /**
     * Group members identificator.
     */
    public final static String SESSION_GROUPS_MEMBERS = "groupMembers";
    /**
     * Subjects competences list
     */
    public final static String ATT_LIST_SUBJECTS_COMPETENCES = "listSubCom";
    /**
     * Subject competence assignments list.
     */
    public final static String ATT_LIST_ASSIGNMENTS = "listAssignment";
    /**
     *
     */
    public final static String ATT_BEHAVIOUR_ATTITUDE_ASPECTS_WEIGHT = "aspectsWeight";
    /**
     * Current assignment attribute.
     */
    public final static String ATT_CURRENT_ASSIGNMENT = "currentAssignment";
    /**
     * Assignment's evaluable items list.
     */
    public final static String ATT_EVALUABLE_ITEM_LIST_ASSIGNMENT = "evalItemListAssignment";
    /**
     * Assignment's student and calification list.
     */
    /**
     * Subject-competence list-
     */
    public final static String ATT_NEXT_URL_MESSAGE = "attNextUrl";
    /**
     *
     */
    public final static String ATT_NON_ACADEMIC_DAYS = "attNonAcDays";
    /**
     *
     */
    public final static String ATT_NON_ACADEMIC_DAYS_S_C_SAME_DATES = "attSameDates";
    /**
     * Group titles list.
     */
    public final static String ATT_GROUPS_TITLE = "groupsTitle";
    /**
     * Group titles list.
     */
    public final static String ATT_SUBJECT_COMPETENCE_DELETE = "subComDelete";
    /**
     *
     */
    public final static String ATT_CREATE_GROUPS = "groupsCreate";
    /**
     *
     */
    public final static String ATT_CREATE_TITLE = "titleCreate";
    /**
     *
     */
    public final static String ATT_CREATE_N_PERIODS = "nPeriodsCreate";
    /**
     *
     */
    public final static String ATT_MODIFY_N_PERIODS = "nPeriodsModify";
    /**
     *
     */
    public final static String ATT_CREATE_INITIAL_DATE = "initialDateCreate";
    /**
     *
     */
    public final static String ATT_CREATE_FINAL_DATE = "finalDateCreate";
    /**
     *
     */
    public final static String ATT_CREATE_ASSOCIATED_SC_TITLE = "assTitleCreate";
    /**
     *
     */
    public final static String ATT_ATTEND_INITIAL_DATE = "initialDateAttend";
    /**
     *
     */
    public final static String ATT_ATTEND_FINAL_DATE = "finalDateAttend";
    /**
     *
     */
    public final static String ATT_S_C_SELECTED_DATA = "datSC";
    /**
     *
     */
    public final static String ATT_CREATE_DESCRIPTION = "descCreate";
    /**
     *
     */
    public final static String ATT_ABSENCE_STUDENTS_LIST = "studentsListAbsence";
    /**
     *
     */
    public final static String ATT_ABSENCE_ABSENCES_LIST = "absencesListAbsence";
    /**
     *
     */
    public final static String ATT_BEHAVIOUR_ATTITUDE_ASPECT_POSITIVE_LIST = "positiveList";
    /**
     *
     */
    public final static String ATT_BEHAVIOUR_ATTITUDE_ASPECT_NEGATIVE_LIST = "negativeList";
    /**
     *
     */
    public final static String ATT_STUDENT_ASPECTS_LIST = "aspectsListStudent";
    /**
     *
     */
    public final static String ATT_STUDENT_ASPECTS_SELECTED_LIST = "selectedStudentsAspects";
    /**
     * Selected subject competence.
     */
    public final static String PARAMETER_SUBJECT_COMPETENCE_SELECTED = "scSel";
    /**
     * Selected assignment.
     */
    public final static String PARAMETER_ASSIGNMENT_SELECTED = "assigSel";
    /**
     * Selected assignment.
     */
    public final static String PARAMETER_STUDENT_SELECTED = "edmodoStudent";
    /**
     * Comes from report parameter.
     */
    public final static String PARAMETER_COMES_FROM_REPORT = "comesFromReport";
    /**
     * Number of evaluation periods key.
     */
    public final static String ATT_EVALUATION_PERIODS = "evalPeriods";
    /**
     * Number of evaluation periods key.
     */
    public final static String ATT_N_EVALUATION_PERIODS = "evalPeriodsNumber";
    /**
     * Selected behaviour attitude aspect to be modified.
     */
    public final static String ATT_MODIFY_BEHAVIOUR_ATTITUDE_ASPECT_DATA = "dataBAAspect";
    /**
     * Assignment's evaluable items list.
     */
    public final static String ATT_EVALUABLE_ITEMS_ASSIGNMENT_LIST = "evalItemsAssList";
    /**
     *
     */
    public final static String ATT_HTML_TABLE = "htmlTable";
    /**
     *
     */
    public final static String ATT_STUDENT_DATA = "studentData";
    /**
     * Controller parameter name.
     */
    public final static String CONTROLLER_ID = "idC";
    /**
     * Change user language controller.
     */
    public final static byte CONTROLLER_ID_CHANGE_LANGUAGE = 0;
    /**
     * Language controller.
     */
    public final static byte CONTROLLER_ID_LANGUAGE = 1;
    /**
     * Select subject competence controller.
     */
    public final static byte CONTROLLER_ID_SELECT_SUBJECT_COMPETENCE = 2;
    /**
     * View subject competence controller.
     */
    public final static byte CONTROLLER_ID_VIEW_SUBJECT_COMPETENCE = 3;
    /**
     * Create subject competence step 1 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE = 4;
    /**
     * Create subject competence step 2 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE_2 = 5;
    /**
     * Create subject competence step 3 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_SUBJECT_COMPETENCE_3 = 6;
    /**
     * Delete subject competence step 1 controller.
     */
    public final static byte CONTROLLER_ID_DELETE_SUBJECT_COMPETENCE = 7;
    /**
     * Delete subject competence step 1 controller.
     */
    public final static byte CONTROLLER_ID_DELETE_SUBJECT_COMPETENCE_2 = 8;
    /**
     * Subject competence option (attend, assignments, behaviour, edit)
     * controller.
     */
    public final static byte CONTROLLER_ID_SUBJECT_COMPETENCE = 9;
    /**
     * Modify subject competence step 1 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE = 10;
    /**
     * Modify subject competence step 2 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE_2 = 11;
    /**
     * Modify subject competence step 3 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_SUBJECT_COMPETENCE_3 = 12;
    /**
     * Define academic days step 1 controller.
     */
    public final static byte CONTROLLER_ID_DEFINE_ACADEMIC_DAYS = 13;
    /**
     * Define academic days step 2 controller.
     */
    public final static byte CONTROLLER_ID_DEFINE_ACADEMIC_DAYS_2 = 14;
    /**
     * Define student absences step 1 controller.
     */
    public final static byte CONTROLLER_ID_ABSENCE = 15;
    /**
     * Define student absences step 2 controller.
     */
    public final static byte CONTROLLER_ID_ABSENCE_2 = 16;
    /**
     * Define student absences step 3 controller.
     */
    public final static byte CONTROLLER_ID_ABSENCE_3 = 17;
    /**
     * Create a new behabiour attitude aspect step 1 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_ASPECT_B_A = 18;
    /**
     * Create a new behabiour attitude aspect step 2 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_ASPECT_B_A_2 = 19;
    /**
     * Apply behaviour attitude aspects student step 1 controller.
     */
    public final static byte CONTROLLER_ID_ASPECT_STUDENT = 20;
    /**
     * Apply behaviour attitude aspects student step 2 controller.
     */
    public final static byte CONTROLLER_ID_ASPECT_STUDENT_2 = 21;
    /**
     * Apply behaviour attitude aspects student step 3 controller.
     */
    public final static byte CONTROLLER_ID_ASPECT_STUDENT_3 = 22;
    /**
     * View a subject competence assignment controller.
     */
    public final static byte CONTROLLER_ID_SELECT_ASSIGNMENT = 23;
    /**
     * Select a subject competence assignment controller.
     */
    public final static byte CONTROLLER_ID_VIEW_ASSIGNMENT = 24;
    /**
     * Attend report controller.
     */
    public final static byte CONTROLLER_ID_ATTEND_REPORT = 25;
    /**
     * Behaviour attitude report controller.
     */
    public final static byte CONTROLLER_ID_BEHAVIOUR_ATTITUDE_REPORT = 26;
    /**
     * Evaluable item: step 1 controller.
     */
    public final static byte CONTROLLER_ID_EVALUABLE_ITEM = 27;
    /**
     * Evaluable item: step 2 controller.
     */
    public final static byte CONTROLLER_ID_EVALUABLE_ITEM_2 = 28;
    /**
     * Evaluable item: step 2 controller.
     */
    public final static byte CONTROLLER_ID_TEACHER_ASPECTS = 29;
    /**
     * Modify aspect: step 1 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_ASPECT = 30;
    /**
     * Modify aspect: step 2 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_ASPECT_2 = 31;
    /**
     * Modify aspect: step 3 controller.
     */
    public final static byte CONTROLLER_ID_MODIFY_ASPECT_3 = 32;
    /**
     * Create assignment: step1 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_ASSIGNMENT = 33;
    /**
     * Create assignment: step 2 controller.
     */
    public final static byte CONTROLLER_ID_CREATE_ASSIGNMENT_2 = 34;
    /**
     * Evaluation percentage: step 1 controller.
     */
    public final static byte CONTROLLER_ID_EVALUATION_PERCENTAGE = 35;
    /**
     * Evaluation percentage: step 2 controller.
     */
    public final static byte CONTROLLER_ID_EVALUATION_PERCENTAGE_2 = 36;
    /**
     * Generate reports: step 1 controller.
     */
    public final static byte CONTROLLER_ID_GENERATE_REPORTS = 37;
    /**
     * Generate reports: step 2 controller.
     */
    public final static byte CONTROLLER_ID_GENERATE_REPORTS_2 = 38;
    /**
     * Calificate assignment controller.
     */
    public final static byte CONTROLLER_ID_CALIFICATE_ASSIGNMENT = 39;
    /**
     * Subject competence evaluation report controller.
     */
    public final static byte CONTROLLER_ID_EVALUATION_REPORT = 40;
    /**
     * Subject competence evaluation calification controller.
     */
    public final static byte CONTROLLER_ID_EVALUATION_CALIFICATION = 41;
    /**
     * Show a list of students of a parent controller.
     */
    public final static byte CONTROLLER_ID_PARENT_STUDENT = 42;
    /**
     * Selected student controller.
     */
    public final static byte CONTROLLER_ID_STUDENT_INDEX = 43;
    /**
     * Controller parameter name.
     */
    public final static String CONTROLLER_CHANGE_LANGUAGE = "lan";
    /**
     * Controller parameter name.
     */
    public final static String CONTROLLER_NEXT_URL = "next";
    /**
     * PDF object controller attribute name.
     */
    public final static String CONTROLLER_PDF_OBJECT = "myPDF";
    /**
     * Message next url.
     */
    public final static String CONTROLLER_MESSAGE_NEXT_URL = "nextMessage";
    /**
     * Characters length max to show in nav bar.
     */
    public final static byte MAX_NAME_NAV_BAR = 24;
    /**
     *
     */
    public final static String CONTROLLER_PARENT_CHILDREN_LIST = "childrenList";
}