package classcontrol.utils;

import classcontrol.edmodo.EdmodoAPI;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import org.codehaus.jettison.json.JSONArray;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class Login {

    /**
     * Gets current Edmodo user and its role and sets them in current session
     * attributes.
     *
     * @param request Current request session.
     * @return Current Edmodo user and role.
     */
    public static String getUserFirstNameRole(final HttpServletRequest request) {
        final StringBuilder firstNameRole = new StringBuilder();
        final HttpSession session = request.getSession();
        try {
            // 1 Analyze data
            firstNameRole.append(new JSONArray(EdmodoAPI.users((String) session.getAttribute(EdmodoAPI.API_ACCESS_TOKEN_KEY), new String[]{(String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER)})).getJSONObject(0).optString(EdmodoAPI.API_FIRST_NAME_KEY));
            // 1.1. Set edmodo_id in current session attribute
            // 2. Role
            final Byte roleUser = (Byte) session.getAttribute(Constants.SESSION_ID_WEB_ROLE);
            // 3. Finish return String with role.
            firstNameRole.append(" - ").append(roleUser == Constants.SESSION_ID_ROLE_TEACHER
                    ? CurrentLanguage.getString(Text.TEACHER, request)
                    : roleUser == Constants.SESSION_ID_ROLE_STUDENT
                    ? CurrentLanguage.getString(Text.STUDENT, request) : roleUser == Constants.SESSION_ID_ROLE_PARENT
                    ? CurrentLanguage.getString(Text.PARENT, request) : "");
            // 3.1 Nav bar appearance: max 24 chars.
            if (firstNameRole.length() > Constants.MAX_NAME_NAV_BAR) {
                return firstNameRole.substring(0, Constants.MAX_NAME_NAV_BAR - 1).trim().concat(".");
            }
            return firstNameRole.toString();
        } catch (final Exception ex) {
            return firstNameRole.toString();
        }
    }
}