package classcontrol.utils;

import java.io.IOException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import classcontrol.servlet.FrontController;

/**
 * Verifies that a request come from {@link FrontController}.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class SecurityModel {

    /**
     * Verifies that a request come from {@link FrontController}. If that
     * request do not come from FrontController redirect to 403 error page and
     * set {@link HttpServletResponse#SC_FORBIDDEN} to response.
     *
     * @param request Requester.
     * @param response Response.
     * @throws IOException If any input output exception ocurrs.
     * @see FrontController
     */
    public static void isValid(final HttpServletRequest request, final HttpServletResponse response) throws IOException {
        final Boolean securityModel2 = (Boolean) request.getAttribute(Constants.COME_FROM_FRONT_CONTROLLER);
        if (securityModel2 == null || !securityModel2) {
            response.setStatus(HttpServletResponse.SC_FORBIDDEN);
            response.sendRedirect("/Error/Error403.jsp");
        }
    }
}