package launch;

import java.io.File;
import org.apache.catalina.startup.Tomcat;

/**
 * Main class that launchs Class Control application with an embedded Tomcat.
 * Heroku's standard launch.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class Main {

    /**
     * Launches web application as Heroku documentation says.
     *
     *
     * @param args Command-line parameters.
     * @throws Exception If server could not be launched.
     */
    public static void main(String[] args) throws Exception {

        final String webappDirLocation = "src/main/webapp/";
        final Tomcat tomcat = new Tomcat();

        //The port that we should run on can be set into an environment variable
        //Look for that variable and default to 8080 if it isn't there.
        final String webPort = System.getenv("PORT");
        tomcat.setPort(Integer.valueOf(webPort == null || webPort.isEmpty() ? "8080" : webPort));

        tomcat.addWebapp("/", new File(webappDirLocation).getAbsolutePath());
        /* Debug
         System.out.println("configuring app with basedir: " + new File("./" + webappDirLocation).getAbsolutePath());*/

        tomcat.start();
        tomcat.getServer().await();
    }
}