package classcontrol.controller;

import classcontrol.utils.Constants;
import javax.servlet.http.HttpServletRequest;

/**
 * Abstract Controller that gives a URL web page.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public abstract class AbstractController implements IController {

    /**
     * Class Control's Home URL.
     */
    public final static String HOME_URL = "/";
    /**
     * Request object.
     */
    protected HttpServletRequest request;
    /**
     *
     */
    protected String possibleJSON;
    /**
     *
     */
    protected boolean isPDF;

    /**
     *
     */
    public AbstractController() {
        possibleJSON = null;
        isPDF = false;
    }

    /**
     * Returns next's URL web page to show.
     *
     * @return Next URL web page to show or {@link AbstractController#HOME_URL}
     * if null.
     */
    public String getReturnPage() {
        final String url = request.getParameter(Constants.CONTROLLER_NEXT_URL);
        return url == null ? HOME_URL : url;
    }

    /**
     *
     * @param request
     */
    @Override
    public final void init(final HttpServletRequest request) {
        this.request = request;
    }

    /**
     * Returns possible JSON response for this controller.
     *
     * @return possible JSON response for this controller.
     */
    public String responseJson() {
        return possibleJSON;
    }

    /**
     * Indicates request is PDF type.
     *
     * @return if response is PDF type.
     */
    public boolean responsePDF() {
        return isPDF;
    }
}