package classcontrol.controller;

import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import javax.servlet.http.HttpSession;

/**
 *
 * Create subject / competence controller.<br/>
 * Sets initial and final dates in two request attributes.
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class CreateAssignmentController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final HttpSession mySession = this.request.getSession();
        // Security
        final String idEdmodoUser = (String) mySession.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoUser == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final SubjectCompetence subjectCompetence = ((ArrayList<SubjectCompetence>) mySession.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(new SubjectCompetenceUtil(request).getSelectedSubjectCompetence());
        this.request.setAttribute(Constants.ATT_CREATE_INITIAL_DATE, subjectCompetence.getInitialDate());
        this.request.setAttribute(Constants.ATT_CREATE_FINAL_DATE, subjectCompetence.getFinalDate());
    }
}