package classcontrol.controller;

import classcontrol.dao.ConstantsForm;
import classcontrol.dao.Persistence;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.Date;
import javax.servlet.http.HttpSession;

/**
 *
 * Sets non academic days to a teacher's subject competence.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class DefineAcademicDays2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final SubjectCompetenceUtil myUtil = new SubjectCompetenceUtil(request);
        final int subjectCompetenceSelected = myUtil.getSelectedSubjectCompetence();
        final HttpSession session = this.request.getSession();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        final ArrayList<SubjectCompetence> mSubjectsCompetences = (ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
        final SubjectCompetence mySubjectCompetence = mSubjectsCompetences.get(subjectCompetenceSelected);
        final String titleSubjectCompetence = mySubjectCompetence.getTitle();

        final String formattedNonAcademicDays = DatesUtil.getDatabaseDates(this.request.getParameter(ConstantsForm.ATTEND_NON_ACADEMIC_DAYS));

        if (new Persistence().updateNonAcademicDaysSubjectCompetence(titleSubjectCompetence, idEdmodo, formattedNonAcademicDays) == Constants.NO_RESULT) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        } else {
            final String checkBoxValue = this.request.getParameter(ConstantsForm.ATTEND_NON_ACADEMIC_DAYS_ALL);
            if (checkBoxValue != null && checkBoxValue.compareTo(ConstantsForm.ATTEND_NON_ACADEMIC_DAYS_ALL) == 0) {
                final Date initialDate = mySubjectCompetence.getInitialDate();
                final Date finalDate = mySubjectCompetence.getFinalDate();
                String currentTitle;
                for (final SubjectCompetence current : mSubjectsCompetences) {
                    currentTitle = current.getTitle();
                    if (currentTitle.compareTo(titleSubjectCompetence) != 0 && initialDate.compareTo(current.getInitialDate()) == 0
                            && finalDate.compareTo(current.getFinalDate()) == 0) {
                        if (new Persistence().updateNonAcademicDaysSubjectCompetence(currentTitle,
                                idEdmodo, formattedNonAcademicDays)
                                == Constants.NO_RESULT) {
                            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM,
                                    request));
                        }
                    }
                }
            }
        }
        myUtil.setAllSubjectsCompetencesSession(false);
        this.request.setAttribute(Constants.ATT_NEXT_URL_MESSAGE, "/?" + Constants.CONTROLLER_ID + '=' + Constants.CONTROLLER_ID_SUBJECT_COMPETENCE + '&' + Constants.CONTROLLER_NEXT_URL + "=/Teacher/SubjectCompetence/AttendSubjectCompetence.jsp&" + Constants.PARAMETER_SUBJECT_COMPETENCE_SELECTED + '=' + subjectCompetenceSelected);
    }
}