package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.edmodo.EdmodoAPI;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.List;
import javax.servlet.http.HttpSession;

/**
 *
 * Subject competence evaluation percentage controller.<br/>
 *
 * Sets in session var teacher's subjects and competences list.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public class EvaluationPercentageController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // Security
        final HttpSession session = this.request.getSession();
        final String idEdmodoTeacher = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodoTeacher == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        // All assignents' data
        final SubjectCompetence currentSC = ((List<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(new SubjectCompetenceUtil(request).getSelectedSubjectCompetence());
        final String edmodoGroup = currentSC.getEdmodoGroup();
        final int teacherId = currentSC.getTeacherId();
        final String accessToken = (String) session.getAttribute(EdmodoAPI.API_ACCESS_TOKEN_KEY);
        new AssignmentUtil(request).getAllAssignmentsEvaluationperiod(edmodoGroup, teacherId, currentSC.getTitle(), true,
                EdmodoAPI.gradesSetByAppForGroup(accessToken, edmodoGroup), EdmodoAPI.assignmentsByAppForUser(accessToken, new Persistence().getIdEdmodoTeacher(teacherId)));
    }
}