package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import java.util.Date;
import javax.servlet.http.HttpSession;

/**
 *
 * 
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public class ModifySubjectCompetence2Controller extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        // A. Check if exists all previous data
        final SubjectCompetenceUtil myUtil = new SubjectCompetenceUtil(request);
        final int subjectCompetenceSelected = myUtil.getSelectedSubjectCompetence();
        final HttpSession session = this.request.getSession();
        final SubjectCompetence sc = ((ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES)).get(subjectCompetenceSelected);
        final String oldTitle = sc.getTitle();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        final int teacherId = sc.getTeacherId();
        final SubjectCompetence selected = new Persistence().getSubjectCompetence(teacherId, oldTitle);
        if (oldTitle == null || idEdmodo == null || selected == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        // B. Check new fields (like Javascript, but now in server-side).
        // 1. Title FORBIDEN
        //final String title = myUtil.getTitle(idEdmodo, oldTitle);
        // 2. Start and end dates
        final Date[] dates = myUtil.getDates();
        // 3. nPeriods
        final int nPeriods = myUtil.getPeriods();
        // 4. Description
        String description = myUtil.getDescription();
        // 5 Associated subject competence
        final String associatedSCTitle = myUtil.getAssociatedTitle();
        // C. Set data to send it.
        this.request.setAttribute(Constants.ATT_CREATE_TITLE, selected.getTitle());
        this.request.setAttribute(Constants.ATT_CREATE_INITIAL_DATE, dates[SubjectCompetenceUtil.START_DATE_INDEX]);
        this.request.setAttribute(Constants.ATT_CREATE_FINAL_DATE, dates[SubjectCompetenceUtil.END_DATE_INDEX]);
        this.request.setAttribute(Constants.ATT_CREATE_N_PERIODS, (Integer) nPeriods);
        this.request.setAttribute(Constants.ATT_CREATE_DESCRIPTION, description);
        this.request.setAttribute(Constants.ATT_CREATE_ASSOCIATED_SC_TITLE, associatedSCTitle == null ? "" : associatedSCTitle);
        this.request.setAttribute(Constants.ATT_MODIFY_N_PERIODS, new Persistence().getEvaluationPeriodsSubjectCompetence(teacherId, oldTitle));
        this.request.setAttribute(Constants.ATT_S_C_SELECTED_DATA, new Persistence().getSubjectCompetence(teacherId, oldTitle));
    }
}