package classcontrol.controller;

import classcontrol.dao.Persistence;
import classcontrol.entity.SubjectCompetence;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;
import java.util.ArrayList;
import javax.servlet.http.HttpSession;

/**
 *
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class ModifySubjectCompetenceController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final int subjectCompetenceSelected = new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        final HttpSession session = this.request.getSession();
        final ArrayList<SubjectCompetence> mySubjectCompetencesList = (ArrayList<SubjectCompetence>) session.getAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES);
        final SubjectCompetence mSC=mySubjectCompetencesList.get(subjectCompetenceSelected);
        final String oldTitle = mSC.getTitle();
        final String idEdmodo = (String) session.getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (oldTitle == null || idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        this.request.setAttribute(Constants.ATT_LIST_SUBJECTS_COMPETENCES, mySubjectCompetencesList);
        final Persistence mPersistence = new Persistence();
        final int teacherId=mSC.getTeacherId();
        this.request.setAttribute(Constants.ATT_S_C_SELECTED_DATA, mPersistence.getSubjectCompetence(teacherId, oldTitle));
        this.request.setAttribute(Constants.ATT_MODIFY_N_PERIODS, mPersistence.getEvaluationPeriodsSubjectCompetence(teacherId, oldTitle));
    }
}