package classcontrol.controller;

import classcontrol.entity.Student;
import classcontrol.utils.Constants;
import classcontrol.utils.CurrentLanguage;
import classcontrol.utils.Text;

/**
 *
 * View subject / competence controller.<br/>
 * Sets in a request attribute subject/competence description.
 *
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.2-BETA
 */
public final class ViewSubjectCompetenceController extends AbstractController {

    @Override
    public void execute() throws ControllerException {
        final String idEdmodo = (String) this.request.getSession().getAttribute(Constants.SESSION_ID_EDMODO_USER);
        if (idEdmodo == null) {
            throw new ControllerException(CurrentLanguage.getString(Text.BUSINESS_PROBLEM, request));
        }
        new SubjectCompetenceUtil(request).getSelectedSubjectCompetence();
        switch ((Byte) request.getSession().getAttribute(Constants.SESSION_ID_WEB_ROLE)) {
            case Constants.SESSION_ID_ROLE_TEACHER:
                break;
            case Constants.SESSION_ID_ROLE_PARENT:
                final ParentUtil mParentUtil = new ParentUtil(request);
                mParentUtil.checkChildren(mParentUtil.getAndSetAttributeStudent(), idEdmodo);
                break;
            case Constants.SESSION_ID_ROLE_STUDENT:
                new StudentUtil(request).getAndSetAttributeStudent(idEdmodo);
                break;
        }
    }
}