package classcontrol.entity;

import classcontrol.dao.ConstantsDB;

/**
 * Models an evaluation item.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public class EvaluableItem {

    /**
     *
     */
    protected int idAssignment;
    /**
     *
     */
    protected String name;
    /**
     *
     */
    protected int associatedWeight;

    /**
     *
     */
    public EvaluableItem() {
    }

    /**
     *
     * @param idAssignment
     * @param name
     * @param associatedWeight
     * @throws IllegalArgumentException
     */
    public EvaluableItem(final int idAssignment, final String name, final int associatedWeight) throws IllegalArgumentException {
        if (idAssignment < ConstantsDB.TABLE_ID_MIN) {
            throw new IllegalArgumentException("Invalid evaluable item id");
        }
        if (name == null || name.length() == 0 || name.length() > ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_NAME_MAX) {
            throw new IllegalArgumentException("Invalid name");
        }
        if (associatedWeight < ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MIN || associatedWeight > ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_ASSOCIATED_WEIGHT_MAX) {
            throw new IllegalArgumentException("Invalid associated weight");
        }
        this.idAssignment = idAssignment;
        this.name = name;
        this.associatedWeight = associatedWeight;
    }

    /**
     *
     * @return
     */
    public int getIdAssignment() {
        return idAssignment;
    }

    /**
     *
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     *
     * @return
     */
    public int getAssociatedWeight() {
        return associatedWeight;
    }
}