package classcontrol.entity;

import classcontrol.dao.ConstantsDB;

/**
 * Models a student's evaluation item grade/score.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public class EvaluableItemStudent {

    private int idAssignment;
    private String name;
    private int idStudent;
    private double score;

    private EvaluableItemStudent() {
    }

    /**
     *
     * @param idAssignment
     * @param name
     * @param idStudent
     * @param score
     * @throws IllegalArgumentException
     */
    public EvaluableItemStudent(final int idAssignment, final String name,
            int idStudent, double score) throws IllegalArgumentException {
        if (idAssignment != ConstantsDB.TABLE_NULL_ID && idAssignment < ConstantsDB.TABLE_ID_MIN) {
            throw new IllegalArgumentException("Invalid evaluable item id");
        }
        if (name == null || name.length() == 0 || name.length() > ConstantsDB.TABLE_EVALUABLE_ITEM_ATT_NAME_MAX) {
            throw new IllegalArgumentException("Invalid name");
        }
        if (idStudent != ConstantsDB.TABLE_NULL_ID && idStudent < ConstantsDB.TABLE_ID_MIN) {
            throw new IllegalArgumentException("Invalid student id");
        }
        this.idAssignment = idAssignment;
        this.name = name;
        this.idStudent = idStudent;
        this.score = score;
    }

    /**
     *
     * @return
     */
    public int getIdAssignment() {
        return idAssignment;
    }

    /**
     *
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     *
     * @return
     */
    public int getIdStudent() {
        return idStudent;
    }

    /**
     *
     * @return
     */
    public double getScore() {
        return score;
    }

    /**
     *
     * @param score
     */
    public void setScore(final double score) {
        this.score = score;
    }
}