package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Models all subject competence's qualifications and evaluable item student's
 * applied in that subject competence. There can not be any null parameter, in
 * this case an empty list is returned.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class EvaluableItemStudentQualification {

    private List<Qualification> qualifications;
    private List<EvaluableItemStudent> evaluableItemStudent;

    /**
     *
     * @param qualifications
     * @param evaluableItemStudent
     */
    public EvaluableItemStudentQualification(final List<Qualification> qualifications, final List<EvaluableItemStudent> evaluableItemStudent) {
        this.qualifications = qualifications == null ? new ArrayList<Qualification>() : qualifications;
        this.evaluableItemStudent = evaluableItemStudent == null ? new ArrayList<EvaluableItemStudent>() : evaluableItemStudent;
    }

    /**
     *
     * @return An empty list if not elements or a list with elements. Never
     * null.
     */
    public List<Qualification> getQualifications() {
        return qualifications;
    }

    /**
     * An empty list if not elements or a list with elements. Never null.
     *
     * @return
     */
    public List<EvaluableItemStudent> getEvaluableItemStudent() {
        return evaluableItemStudent;
    }
}