package classcontrol.entity;

import java.util.ArrayList;
import java.util.List;

/**
 * Models all student-assignment data.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class StudentQualificationReport {

    private Student student;
    private Qualification qualification;
    private List<EvaluableItemStudent> myEvaluableItemQualifications;

    private StudentQualificationReport() {
    }

    /**
     *
     * @param student
     * @param qualification
     * @param myEvaluableItemQualifications
     * @throws IllegalArgumentException
     */
    public StudentQualificationReport(final Student student, final Qualification qualification, final List<EvaluableItemStudent> myEvaluableItemQualifications) throws IllegalArgumentException {
        if (student == null) {
            throw new IllegalArgumentException("Invalid student");
        }
        if (qualification == null) {
            throw new IllegalArgumentException("Invalid qualification");
        }


        this.myEvaluableItemQualifications = myEvaluableItemQualifications == null ? new ArrayList<EvaluableItemStudent>() : myEvaluableItemQualifications;
        this.student = student;
        this.qualification = qualification;

    }

    /**
     *
     * @return
     */
    public Student getStudent() {
        return student;
    }

    /**
     *
     * @return
     */
    public Qualification getQualification() {
        return qualification;
    }

    /**
     *
     * @return
     */
    public List<EvaluableItemStudent> getMyEvaluableItemQualification() {
        return myEvaluableItemQualifications;
    }
}