package classcontrol.language;

import classcontrol.utils.Text;

/**
 * Croatian language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 1.0-INITIAL
 * @version 1.0-INITIAL
 */
public final class CroatianLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        //* BE CAREFULL WITH "'" chars in JavaScript.
        switch (id) {
            case Text.FOOTER_CREATED_BY:
                return "Stvorili";
            case Text.FOOTER_SEE_PROBLEM:
                return "Ne možete vidjeti ovu stranicu pravilno? Kliknite ovdje.";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Stvori predmet/djelokrug";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Primi izvješća";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Predmeti i djelokrugi";
            case Text.NAV_BAR_HOME:
                return "Početak";
            case Text.PARENT:
                return "Roditelj";
            case Text.STUDENT:
                return "Student";
            case Text.TEACHER:
                return "Učitelj";
            case Text.WELLCOME:
                return "Dobrodošli u Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "Edmodo&#39;s grupa";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Naslov";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Početni datum";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Završni datum";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Razdoblja";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Opis";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Povezano s";
            case Text.NEXT:
                return "Sljedeće";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Naslov identifikatora";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Opcionalni opis";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "Završni datum mora biti kasniji ili isti početnom datumu s maksimalnom razlikom od 3 godine.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "Početni datum mora biti prije ili na isti dan kao i završni datum s maksimalnom razlikom od 3 godine.";
            case Text.NO_NULL:
                return "Mora biti popunjeno";
            case Text.CREATE:
                return "Stvori";
            case Text.WEIGHT:
                return "Težina";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Definicija razdoblja";
            case Text.PERIOD:
                return "Razdoblje";
            case Text.TO:
                return "do";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "Težina cjelokupne procjene razdoblja i maksimalna pozitivna težina cjelokupne količine ne smije nadmašiti 100%, a trenutačna količina je";
            case Text.BACK:
                return "Natrag";
            case Text.SUCCESS_MESSAGE:
                return "Uspješno izvedeno";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "Ako ste na Edmodu na smarphonu ili tabletu, kliknite ovdje.";
            case Text.TEACHER_MESSAGE:
                return "Poruka";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Vraćanje u";
            case Text.SEE_DETAILS:
                return "Pokaži detalje";
            case Text.S_C_SELECT_ACTION:
                return "Odaberi akciju";
            case Text.S_C_ATTEND:
                return "Sudjeluj";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Ponašanje i stav";
            case Text.S_C_ASSIGNMENTS:
                return "Testovi i zadaci";
            case Text.S_C_EDIT:
                return "Uredi";
            case Text.S_C_EDIT_MODIFY:
                return "Promijeni";
            case Text.S_C_EDIT_DELETE:
                return "Izbriši";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "Pazi!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "Jeste li sigurni da želite izbrisati ovaj predmet/natjecanje? Nije moguće vratiti ovu promjenu. Svi povezani podaci će biti izbrisani, osim zadataka, ocijena i bedževa ponašanja i stava, koje možete samo izbrisati kroz Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "Uredu";
            case Text.S_C_EDIT_DELETE_NO:
                return "Ne";
            case Text.HTML_LANG:
                return "hr";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "Maksimalna vrijednost je 100.";
            case Text.MUST_BE_NUMBER:
                return "Mora biti broj";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "Zabranjeno. Neautoriziran pristup.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "Nije pronađeno.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "Interna greška sustava.";
            case Text.ERROR_JAVA:
                return "Greška u programiranju";
            case Text.ERROR_JAVA_TEXT:
                return "Dogodila se programska greška.";
            case Text.ERROR_SERVLET:
                return "Nešto je bilo loše indicirano.";
            case Text.ERROR_SERVLET_TEXT:
                return "Razlog je";
            case Text.NO_VALID_ARGUMENT:
                return "Nije valjano";
            case Text.BUSINESS_PROBLEM:
                return "Dogodila se pogreška, molimo pokušajte kasnije.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "Već imate predmet/natjecanje s tim nazivom";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Kontrola prisustvovanja";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Izvješće prisustvovanja";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Definiraj dane izvan obrazovne ustanove";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Primjeni sve dane izvan obrazovne ustanove  na sve moje predmete i natjecanja koji počinju i završavaju na isti dan kao i ovaj predmet / natjecanje";
            case Text.SAVE:
                return "Spremi";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Primjeni na";
            case Text.SELECT_ALL:
                return "Odaberi sve";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "Ako je odabran samo jedan učenik, možete dodati nove ili ukloniti njegove izostanke.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "Ako je odabrano više od jednog učenika, možete samo dodati nove izostanke za sve odabrane.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Odaberite najmanje jednog učenika.";
            case Text.SELECT_0:
                return "Odznači sve";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "Niste odabrali niti jedan datum.";
            case Text.ERASE_ALL:
                return "Obriši sve";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Primjeni aspekte stava ponašanja";
            case Text.S_C_B_A_NEW_ASPECT:
                return "Novi aspekt";
            case Text.S_C_B_A_REPORT:
                return "Izvješće o stavu ponašanja";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "URL online slike";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Trenutni pozitivni aspekti";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Trenutni negativni aspekti";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Pozitivan aspekt";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Negativan aspekt";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "Ako je odabran samo jedan učenik, možete dodati nove ili ukloniti njegove aspekte stava ponašanja.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "Ako je odabrano više od jednog učenika, možete samo dodati nove aspekte stava ponašanja za sve.";
            case Text.NAME:
                return "Ime";
            case Text.NAME_PLACEHOLDER:
                return "Ime identifikatora";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "144x144 piksela obavezno";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "Već imate aspekt s tim nazivom.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "Nije odabran niti jedan aspekt.";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "Moji testovi i zadaci";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "Novi testovi ili zadaci";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Izvješće o procjeni";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Uredite postotak procjene";
            case Text.S_C_EVALUABLE_ITEM:
                return "Definicija pocjenjenih stavki";
            case Text.S_C_ASSIGNMENT_QUALIFICATION:
                return "Kvalifikacija zadatka";
            case Text.S_C_NO_ASPECTS:
                return "Nema aspekta stava ponašanja.";
            case Text.REPORTS_TOTAL:
                return "Ukupno";
            case Text.REPORTS_NAME:
                return "Ime";
            case Text.TABLES_COPY:
                return "Kopiraj";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Tablica kopirana</h6><p>Kopirano u međuspremnik.</p>";
            case Text.TABLES_PRINT:
                return "Ispis";
            case Text.TABLES_PRINT_TEXT:
                return "<h6>Pregled ispisa</h6><p>Molimo koristite mogućnost ispisa ugrađenu u vaš preglednik kako biste ispisali. Pritisnite <b>ESC</b> kada ste završili.</p>";
            case Text.TABLES_PDF_MSG:
                return "Generirano od";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "Količina ocjenjivih sadržaja ne može priječi";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "Dva imena ocjenjivih sadržaja su ista.";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Dodaj drugi ocjenjivi sadržaj";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "Osim kvalifikacije ocjenjivog sadržaja, svaki učenik će moći dati bonus ili kaznu finalnom izračunu testa ili rada.";
            case Text.NON_ACADEMIC_DAY:
                return "Dan izvan obrazovne ustanove";
            case Text.ACADEMIC_DAY:
                return "Dan unutar obrazovne ustanove";
            case Text.ABSENCE:
                return "Izostanak";
            case Text.CBAA_NO_VALID_URL:
                return "Nevaljan URL";
            case Text.CBAA_NO_LOAD_URL:
                return "Ne možemo provjeriti sliku.";
            case Text.CBAA_VALID_URL_HINT:
                return ".jpg, .gif ili .png ekstenzije i preporučena visina i širina od 114px";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Vrsta";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Datum";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Edmodova ocjena";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "Nema Edmodove ocjene";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Edmodov zadatak";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "Nema Edmodovog zadatka";
            case Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION:
                return "Najviša ocjena";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Svaki";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Maksimalno";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "Aspekti mog stava ponašanja";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Uredi aspekt";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Odaberite aspekt";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "Ako želite zamjeniti sliku bedža, specificirajte url nove slike bedža. Kako biste zadržali staru sliku bedža, ne trebate specificirati url.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Maksimalne dimenzije: 150x150 piksela";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Izradite i definirajte ocjenjive sadržaje.";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "Nema testova ili zadataka u ovom probnom razdoblju.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "Ukupna težina zadataka i ocjena ne smije prelaziti 100% i trenutno je";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Svaka pozitivna vrijednost aspekta mora biti manja ili jednaka maksimumu pozitivne vrijednostu.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Svaka negativna vrijednost aspekta mora biti manja ili jednaka maksimumu negativne vrijednosti.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "Ukupna težina probnog razdoblja i maksimalna težina pozitivnog aspekta nije 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "Ukupna težina zadataka nije 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "Ukupna količima procjenjenih sadržaja nije 100%.";
            case Text.QUALIFICATION_VISIBLE_YES:
                return "D";
            case Text.QUALIFICATION_VISIBLE_NO:
                return "N";
            case Text.QUALIFICATION_QUALIFICATION_TH:
                return "kvalifik.";
            case Text.QUALIFICATION_QUALIFICATION_BONUS_PENALIZATION_TH:
                return "Bonus / Kazneni bodovi";
            case Text.QUALIFICATION_QUALIFICATION_FINAL_TH:
                return "Završno";
            case Text.QUALIFICATION_QUALIFICATION_EXTRA_TH:
                return "Dodatno";
            case Text.QUALIFICATION_QUALIFICATION_COMMENT_TH:
                return "Komentar";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_TH:
                return "Vidljivo roditelju";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_STUDENT_TH:
                return "Vidljivo učeniku";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_P_TH:
                return "P";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_S_TH:
                return "S";
            case Text.QUALIFICATION_QUALIFICATION_REASON_TH:
                return "Razlog";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES:
                return "Spremi kvalifikacije";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR:
                return "Dogodila se pogreška spremajući promjene.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_SAVED:
                return "Promjene su uspješno spremljene,";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ALERT:
                return "Ni jedne nedavne promjene nisu spremljene, želite li napustiti ovu stranicu bez spremanja?";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_ALERT:
                return "Morate primijeniti ili odbaciti promjene kako bi ste mogli spremiti nove kvalifikacije i koristiti alate za tablice.";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_BTN:
                return "Primijeni promjene";
            case Text.QUALIFICATION_QUALIFICATION_DISCARD_CHANGES_BTN:
                return "Odbaci promjene";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Nemojte zaboraviti kliknuti na \"Spremi kvalifikacije\" kako bi ste spremili sve promjene.";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Prosječno";
            case Text.GENERATE_REPORTS_INFO:
                return "Informacije o";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "Morate označiti najmanje jednan predmet sposobnosti.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "Morate označiti barem jednu vrstu izvješća.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "Nije stvoren niti jedan predmet spremnosti.";
            case Text.GENERATE_REPORTS_PAGE_TEXT:
                return "Stranica";
            case Text.GENERATE_REPORTS_CITE:
                return "Podaci između početnog i završnog datuma će biti izvješteni.";
            case Text.GENERATE_REPORTS_HINT:
                return "Generiranje izvješća, molimo pričekajte";
            case Text.NO_CHILDREN_PARENT:
                return "Nemate povezane djece.";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "Nemage podatke o predmetu/spremnosti.";
            case Text.DOWNLOAD:
                return "Preuzmi";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "Možete vidjeti sve detalje o zadacima i ocjenama klikom na tablicu.";
            case Text.ORIENTATION_HINT:
                return "Prijavi orijentaciju stranice";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "Maksimalni negativni aspekt ne može prelaziti 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "Možete izgubiti podatke ako mijenjate početne i završne datume.";
            case Text.FOOTER_MANUAL:
                return "priručnik";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "Hrvat";
    }
}