package classcontrol.language;

import classcontrol.utils.Text;

/**
 * Greek language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 0.2-BETA
 * @version 1.0-INITIAL
 */
public final class GreekLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        //* BE CAREFULL WITH "'" chars in JavaScript.
        switch (id) {
            case Text.FOOTER_CREATED_BY:
                return "Δημιουργήθηκε από";
            case Text.FOOTER_SEE_PROBLEM:
                return "Δεν μπορείτε να δείτε την ιστοσελίδα κανονικά; Πιέστε εδώ.";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Δημιουργείστε θέμα / ικανότητα";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Λάβετε αναφορές";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Θέματα και ικανότητες";
            case Text.NAV_BAR_HOME:
                return "Κεντρική Σελίδα";
            case Text.PARENT:
                return "Γονέας";
            case Text.STUDENT:
                return "Φοιτητής";
            case Text.TEACHER:
                return "Εκπαιδευτικός";
            case Text.WELLCOME:
                return "Καλωσήρθατε στο Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "Ομάδα Edmodo&#39;s";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Τίτλος";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Αρχική ημερομηνία";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Τελική ημερομηνία";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Περίοδοι";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Περιγραφή";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Συσχετίζεται με";
            case Text.NEXT:
                return "Επόμενο";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Τίτλος αναγνώρισης";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Εναλλακτική περιγραφή";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "Η τελική ημερομηνία πρέπει να είναι μικρότερη ή ίση με την αρχική ημερομηνία και με μία μέγιστη διαφορά 3 ετών ανάμεσα τους.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "Η αρχική ημερομηνία πρέπει να είναι μικρότερη ή ίση με την τελική ημερομηνία και με μία μέγιστη διαφορά 3 ετών μεταξύ τους.";
            case Text.NO_NULL:
                return "Πρέπει να συμπληρωθεί";
            case Text.CREATE:
                return "Δημιουργείστε";
            case Text.WEIGHT:
                return "Βάρος";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Ορισμός περιόδων";
            case Text.PERIOD:
                return "Περίοδος";
            case Text.TO:
                return "σε";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "Οι συνολικές περίοδοι αξιολόγησης βάρους και το συνολικό ποσό μέγιστου θετικού βάρους δεν μπορούν να υπερβαίνουν το 100% και το τρέχον ποσό είναι";
            case Text.BACK:
                return "Πίσω";
            case Text.SUCCESS_MESSAGE:
                return "Εκτελέστηκε με επιτυχία";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "Εάν είστε στην Edmodo σε ένα smartphone ή tablet θα πρέπει να κάνετε κλικ εδώ.";
            case Text.TEACHER_MESSAGE:
                return "Μήνυμα";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Επιστροφή σε";
            case Text.SEE_DETAILS:
                return "Δείτε λεπτομέρειες";
            case Text.S_C_SELECT_ACTION:
                return "Επιλέξτε ενέργεια";
            case Text.S_C_ATTEND:
                return "Παρακολουθήστε";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Συμπεριφορά και διάθεση";
            case Text.S_C_ASSIGNMENTS:
                return "Τεστ και εργασίες";
            case Text.S_C_EDIT:
                return "Έκδοση";
            case Text.S_C_EDIT_MODIFY:
                return "Τροποποιήστε";
            case Text.S_C_EDIT_DELETE:
                return "Διαγράψτε";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "Προσέξτε!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "αφούν, εκτός των σημάτων εργασιών, βαθμών, συμπεριφοράς και διάθεσης , που μπορείτε να διαγράψετε μόνο από την Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "Εντάξει";
            case Text.S_C_EDIT_DELETE_NO:
                return "Όχι";
            case Text.HTML_LANG:
                return "el";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "Η μέγιστη τιμή είναι 100";
            case Text.MUST_BE_NUMBER:
                return "Πρέπει να είναι αριθμός";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "Απαγορεύεται. Μη εξουσιοδοτημένη πρόσβαση.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "Δεν βρέθηκε.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "Εσωτερικό σφάλμα συστήματος.";
            case Text.ERROR_JAVA:
                return "Σφάλμα προγραμματισμού";
            case Text.ERROR_JAVA_TEXT:
                return "Υπήρξε σφάλμα προγραμματισμού.";
            case Text.ERROR_SERVLET:
                return "Κάτι είχε κακή ένδειξη.";
            case Text.ERROR_SERVLET_TEXT:
                return "Ο λόγος είναι";
            case Text.NO_VALID_ARGUMENT:
                return "Μη έγκυρο";
            case Text.BUSINESS_PROBLEM:
                return "Υπήρξε ένα πρόβλημα, σας παρακαλούμε προσπαθήστε ξανά.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "Έχετε ήδη ένα θέμα / ικανότητα με αυτόν τον τίτλο.";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Έλεγχος παρακολούθησης";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Αναφορά παρακολούθησης";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Ορίστε μη ακαδημαϊκές ημέρες";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Εφαρμόστε όλες τις μη ακαδημαϊκές ημέρες σε όλα τα θέματα και ικανότητες μου που αρχίζουν και τελειώνουν την ίδια ημέρα με αυτό το θέμα / ικανότητα";
            case Text.SAVE:
                return "Αποθήκευση";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Εφαρμόστε σε";
            case Text.SELECT_ALL:
                return "Επιλογή όλων";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "Εάν ένας φοιτητής έχει επιλεγεί, μπορείτε να προσθέστε νέες ή να αφαιρέστε τις απουσίες του.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "Εάν έχουν επιλεγεί περισσότεροι από ένας φοιτητές, μπορείτε μόνον να προσθέσετε νέες απουσίες.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Επιλέξτε τουλάχιστον έναν φοιτητή.";
            case Text.SELECT_0:
                return "Αποεπιλέξτε όλους";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "Δεν έχετε επιλέξει ημερομηνία.";
            case Text.ERASE_ALL:
                return "Εκκαθάριση όλων";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Εισάγετε πλευρές συμπεριφοράς διάθεσης";
            case Text.S_C_B_A_NEW_ASPECT:
                return "Νέα πλευρά";
            case Text.S_C_B_A_REPORT:
                return "Αναφορά συμπεριφοράς διάθεσης";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "URL εικόνας";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Τρέχουσες θετικές πλευρές";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Τρέχουσες αρνητικές πλευρές";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Θετική πλευρά";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Αρνητική πλευρά";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "Εάν έχει επιλεγεί μόνο ένας φοιτητής, μπορείτε να προσθέσετε νέες ή να αφαιρέσετε τις πλευρές συμπεριφοράς διάθεσης.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "Εάν έχουν επιλεγεί περισσότεροι από έναν φοιτητή, μπορείτε μόνον να προσθέσετε νέες πλευρές συμπεριφοράς διάθεσης.";
            case Text.NAME:
                return "Όνομα";
            case Text.NAME_PLACEHOLDER:
                return "Όνομα αναγνώρισης";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "Συνιστάται 114 x 114px";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "Έχετε ήδη μια πλευρά με αυτό το όνομα.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "Δεν έχετε επιλέξει πλευρά.";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "Τα τεστ και οι εργασίες μου";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "Νέο τεστ ή εργασία";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Αναφορά αξιολόγησης";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Επεξεργαστείτε το ποσοστό αξιολόγησης";
            case Text.S_C_EVALUABLE_ITEM:
                return "Ορισμός αντικειμένων αξιολόγησης";
            case Text.S_C_ASSIGNMENT_QUALIFICATION:
                return "Χαρακτηρισμός εργασίας";
            case Text.S_C_NO_ASPECTS:
                return "Δεν υπάρχει πλευρά συμπεριφοράς διάθεσης.";
            case Text.REPORTS_TOTAL:
                return "Σύνολο";
            case Text.REPORTS_NAME:
                return "Όνομα";
            case Text.TABLES_COPY:
                return "Αντιγραφή";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Table copied</h6><p>Copied to clipboard.</p>";
            case Text.TABLES_PRINT:
                return "Εκτύπωση";
            case Text.TABLES_PRINT_TEXT:
                return "<h6>προβολή Εκτύπωσης</h6><p>Παρακαλούμε να χρησιμοποιήσετε τη λειτουργία εκτύπωσης του browser σας για να το εκτυπώσετε. Πατήστε <b>ESC</b> όταν τελειώσετε.</p>";
            case Text.TABLES_PDF_MSG:
                return "Δημιουργήθηκε από";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "Δεν μπορεί να γίνει υπέρβαση του ποσού του αξιολογίσιμου αντικειμένου";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "Δύο ονόματα αξιολογίσιμων αντικειμένων είναι τα ίδια.";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Προσθέστε ένα αξιολογίσιμο αντικείμενο";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "Εκτός από τα χαρακτηριστικά αξιολογίσιμων αντικειμένων, κάθε φοιτητής θα μπορεί να λάβει bonus ή ποινή στον τελικό υπολογισμό του τεστ ή της εργασίας";
            case Text.NON_ACADEMIC_DAY:
                return "Μη ακαδημαϊκή ημέρα";
            case Text.ACADEMIC_DAY:
                return "Ακαδημαϊκή ημέρα";
            case Text.ABSENCE:
                return "Απουσία";
            case Text.CBAA_NO_VALID_URL:
                return "Δεν αντιστοιχεί σε έγκυρο URL";
            case Text.CBAA_NO_LOAD_URL:
                return "Αυτή η εικόνα δεν μπορεί να επαληθευθεί.";
            case Text.CBAA_VALID_URL_HINT:
                return "Επεκτάσεις jpg, gif ή png και συνιστούμενο μήκος και πλάτος 114px.";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Τύπος";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Ημερομηνία";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Βαθμός Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "Μη Βαθμός Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Εργασία Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "Μη εργασία Edmodo";
            case Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION:
                return "Μέγιστος βαθμός";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Κάθε ένα";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Μέγιστο";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "Οι πλευρές συμπεριφοράς διάθεσης";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Τροποποιήστε την πλευρά";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Επιλέξτε πλευρά";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "ίστε κάποιο url.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Μέχιστες διαστάσεις: 150x150 pixels.";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Δημιουργήστε και ορίστε αξιολογίσιμα αντικείμενα";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "Δεν υπάρχουν τεστ ή εργασίες κατά τη διάρκεια αυτής της περιόδου αξιολόγησης.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "Τα συνολικά βάρη εργασιών και βαθμών δεν μπορούν να υπερβούν το 100%, και αυτή τη στιγμή είναι";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Κάθε πλευρά θετικής αξίας πρέπει να είναι μικρότερη ή ίση με τη μέγιστη θετική αξία.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Κάθε πλευρά αρνητικής αξίας πρέπει να είναι χαμηλότερη ή ίση με τη μέγιστη αρνητική αξία.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "Το συνολικό βάρος περιόδων αξιολόγησης και οι μέγιστες θετικές πλευρές δεν είναι 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "Το συνολικό βάρος εργασιών δεν είναι 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "Το συνολικό ποσό αξιολογήσιμων αντικειμένων δεν είναι 100%.";
            case Text.QUALIFICATION_VISIBLE_YES:
                return "ν";
            case Text.QUALIFICATION_VISIBLE_NO:
                return "ό";
            case Text.QUALIFICATION_QUALIFICATION_TH:
                return "προσόν";
            case Text.QUALIFICATION_QUALIFICATION_BONUS_PENALIZATION_TH:
                return "Bonus / ποινή";
            case Text.QUALIFICATION_QUALIFICATION_FINAL_TH:
                return "Τελικό";
            case Text.QUALIFICATION_QUALIFICATION_EXTRA_TH:
                return "Επιπλέον";
            case Text.QUALIFICATION_QUALIFICATION_COMMENT_TH:
                return "Σχόλιο";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_TH:
                return "Ορατό από το γονέα";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_STUDENT_TH:
                return "Ορατό από το μαθητή";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_P_TH:
                return "Ρ";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_S_TH:
                return "S";
            case Text.QUALIFICATION_QUALIFICATION_REASON_TH:
                return "Λόγος";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES:
                return "Αποθηκεύστε χαρακτηριστικά";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR:
                return "Υπήρξε σφάλμα κατά την αποθήκευση των αλλαγών.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_SAVED:
                return "Οι Αλλαγές αποθηκεύτηκαν επιτυχώς.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ALERT:
                return "Καμία πρόσφατη αλλαγή δεν έχει αποθηκευτεί, θέλετε να φύγετε από τη σελίδα χωρίς αποθήκευση;";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_ALERT:
                return "Πρέπει να εφαρμόστε ή να απορρίψτε τις αλλαγές για να μπορέσετε να σώσετε τα νέα χαρακτηριστικά και να χρησιμοποιήσετε τα εργαλεία των πινάκων.";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_BTN:
                return "Εφαρμόστε τις αλλαγές";
            case Text.QUALIFICATION_QUALIFICATION_DISCARD_CHANGES_BTN:
                return "Απορρίψτε τις αλλαγές";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Μην ξεχάστε να πιέστε στο \"Save qualifications\" για να αποθηκεύστε όλες τις αλλαγές";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Μέσος όρος";
            case Text.GENERATE_REPORTS_INFO:
                return "Πληροφορίες σχετικά";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "Πρέπει να επιλέξτε τουλάχιστον ένα θέμα ικανότητας.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "Πρέπει να επιλέξτε τουλάχιστον έναν τύπο αναφοράς.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "Δεν έχει δημιουργηθεί θέμα ικανότητας.";
            case Text.GENERATE_REPORTS_PAGE_TEXT:
                return "Σελίδα";
            case Text.GENERATE_REPORTS_CITE:
                return "Τα δεδομένα ανάμεσα στις αρχικές και τελικές ημερομηνίας θα αναφερθούν.";
            case Text.GENERATE_REPORTS_HINT:
                return "Δημιουργία αναφοράς, παρακαλούμε περιμένετε";
            case Text.NO_CHILDREN_PARENT:
                return "Δεν έχει συσχετιζόμενα παιδιά.";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "Δεν έχετε δεδομένα θέματος / ικανότητας.";
            case Text.DOWNLOAD:
                return "Κατεβάστε";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "Μπορείτε να δείτε όλες τις λεπτομέρειες εργασιών και βαθμών κάνοντας κλικ σε αυτόν τον πίνακα.";
            case Text.ORIENTATION_HINT:
                return "Αναφέρετε προσανατολισμό σελίδας";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "Οι μέγιστες αρνητικές πλευρές δεν μπορούν να υπερβούν το 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "Μπορεί να χάσετε δεδομένα εάν τροποποιήσετε αρχικές και τελικές ημερομηνίες.";
            case Text.FOOTER_MANUAL:
                return "εγχειρίδιο";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "ελληνικά";
    }
}