package classcontrol.language;

/**
 * Application standard language interface. It should be implemented by all
 * languages.
 * Text identificators are specified in {@link classcontrol.utils.Text}.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public interface ILanguage {

    /**
     * Get a text in the specific language.
     * Identificators are specified in {@link classcontrol.utils.Text}.
     *
     * @param id Text key.
     * @return A text in the specific language.
     */
    public String getString(final int id);

    /**
     * Return language's name.
     *
     * @return Language's name.
     */
    public String getLanguageName();
}