package classcontrol.language;

/**
 * Models a Class Control language for internationalization.
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 0.1-ALPHA
 */
public final class Language {

    /**
     * Language's name.
     */
    private String name;
    /**
     * Language's identificator.
     */
    private int id;

    /**
     * Private constructor to force not create without parameter.
     */
    private Language() {
    }

    /**
     * Unique constructor to force to create with two parameteres
     *
     * @param name Language's name.
     * @param id Language's identificator.
     */
    public Language(final String name, final int id) {
        this.name = name;
        this.id = id;
    }

    /**
     * Provides language's name.
     *
     * @return Language's name.
     */
    public String getName() {
        return name;
    }

    /**
     * Provides language's identificator.
     *
     * @return Language's identificator.
     */
    public int getId() {
        return id;
    }
}