package classcontrol.language;

import classcontrol.utils.Text;

/**
 * Russian language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 1.0-INITIAL
 * @version 1.0-INITIAL
 */
public final class RussianLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        //* BE CAREFULL WITH "'" chars in JavaScript.
        switch (id) {
            case Text.FOOTER_CREATED_BY:
                return "Создано";
            case Text.FOOTER_SEE_PROBLEM:
                return "Данная страничка у вас не видна? Нажмите здесь.";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Создать предмет / раздел";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Получить отчеты";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Предметы и разделы";
            case Text.NAV_BAR_HOME:
                return "Домой";
            case Text.PARENT:
                return "Родитель";
            case Text.STUDENT:
                return "Студент";
            case Text.TEACHER:
                return "Учитель";
            case Text.WELLCOME:
                return "Добро пожаловать в Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "группа Edmodo&#39;s";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Заголовок";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Начальная дата";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Конечная дата";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Периоды";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Описание";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Ассоциировано с";
            case Text.NEXT:
                return "Следующий";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Заголовок идентификатора";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Дополнительное описание";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "Дата окончания должна быть меньше или равна дате начала и максимальная разница между ними 3 года.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "Начальная дата должна быть меньше или равна конечной дате и разница между должна быть максимум 3 года.";
            case Text.NO_NULL:
                return "Должно быть заполнено";
            case Text.CREATE:
                return "Создать";
            case Text.WEIGHT:
                return "Вес";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Определение периодов";
            case Text.PERIOD:
                return "Период";
            case Text.TO:
                return "до";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "Суммарный вес периодов вычисления и максимальная положительная величина веса не может превышать 100% и текущее значение";
            case Text.BACK:
                return "Назад";
            case Text.SUCCESS_MESSAGE:
                return "Успешно выполнено";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "Если вы пользуетесь Edmodo со смартфона или планшета, нажмите сюда.";
            case Text.TEACHER_MESSAGE:
                return "Сообщение";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Результат через";
            case Text.SEE_DETAILS:
                return "Смотреть подробности";
            case Text.S_C_SELECT_ACTION:
                return "Выберите действие";
            case Text.S_C_ATTEND:
                return "Посещать";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Поведение и положение";
            case Text.S_C_ASSIGNMENTS:
                return "Тесты и задачи";
            case Text.S_C_EDIT:
                return "Редактировать";
            case Text.S_C_EDIT_MODIFY:
                return "Изменить";
            case Text.S_C_EDIT_DELETE:
                return "Удалить";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "Осторожно!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "Вы уверены что хотите удалить этот предмет/тему? Это нельзя будет отменить. Все связанные данные будут удалены, за исключением задач, оценок и поведения и знаком положения, которые вы можете удалить только из Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "ОК";
            case Text.S_C_EDIT_DELETE_NO:
                return "Нет";
            case Text.HTML_LANG:
                return "ru";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "Макс. значение - 100.";
            case Text.MUST_BE_NUMBER:
                return "Должно быть числом";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "Запрещено. Необходима авторизация.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "Не найдено.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "Внутренняя системная ошибка.";
            case Text.ERROR_JAVA:
                return "Ошибка программирования";
            case Text.ERROR_JAVA_TEXT:
                return "Произошла ошибка программирования.";
            case Text.ERROR_SERVLET:
                return "Что-то было плохо показано";
            case Text.ERROR_SERVLET_TEXT:
                return "Причина в";
            case Text.NO_VALID_ARGUMENT:
                return "Невалидно";
            case Text.BUSINESS_PROBLEM:
                return "Обнаружена проблема, попробуйте еще раз.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "У вас уже есть предмет / раздел с этим заголовком.";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Контроль посещений";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Отчет о посещениях";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Определите выходные дни";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Применить все выходные дни ко всем моим предметам и разделам которые начинаются и заканчиваются в тот же день когда и этот предмет/раздел";
            case Text.SAVE:
                return "Сохранить";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Применить к";
            case Text.SELECT_ALL:
                return "Выбрать всё";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "Если выбран только один студент, вы можете добавить или удалить его отсутствия.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "Если выбрано больше одного студента, вы может только добавить отсутствия ко всем.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Выберите хотя бы одного студента.";
            case Text.SELECT_0:
                return "Снять выделение со всех";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "Вы не выбрали дату";
            case Text.ERASE_ALL:
                return "Очистить все";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Применить аспекты поведения";
            case Text.S_C_B_A_NEW_ASPECT:
                return "Новый аспект";
            case Text.S_C_B_A_REPORT:
                return "Отчет о поведении";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "URL картинки";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Текущие положительные аспекты";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Текущие отрицательные аспекты";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Положительный аспект";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Отрицательный аспект";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "Если только один студент выбран, вы можете добавить или удалить его аспекты поведения.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "Если выбрано больше одного студента, вы можете только добавить аспекты поведения всем им.";
            case Text.NAME:
                return "Имя";
            case Text.NAME_PLACEHOLDER:
                return "Название идентификатора";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "должно быть 144x144px";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "У вас уже есть аспект с таким именем.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "Не выбрано ни одного аспекта.";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "Мои тесты и задачи";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "Новый тест или задача";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Вычислительный отчет";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Редактировать процент вычислений";
            case Text.S_C_EVALUABLE_ITEM:
                return "Вычислимые определения объектов";
            case Text.S_C_ASSIGNMENT_QUALIFICATION:
                return "Оценки за задачи";
            case Text.S_C_NO_ASPECTS:
                return "Нет ни одного аспекта поведения.";
            case Text.REPORTS_TOTAL:
                return "Всего";
            case Text.REPORTS_NAME:
                return "Имя";
            case Text.TABLES_COPY:
                return "Копировать";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Таблица скопирована</h6><p>Скопирована в буфер обмена.</p>";
            case Text.TABLES_PRINT:
                return "Печать";
            case Text.TABLES_PRINT_TEXT:
                return "<h6>Предварительный просмотр</h6><p>Пожалуйста, используйте функцию печати вашего браузера чтобы напечатать это. Нажмите <b>ESC</b> когда печать закончится.</p>";
            case Text.TABLES_PDF_MSG:
                return "Сгенерировано";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "Значение вычисляемых элементов не может превышать";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "Два вычисляемых названия элементов одинаковы";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Добавить другой вычисляемый элемент";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "Помимо вычисляемых оценок, каждый студент может получить бонус или штраф к конечному результату теста или работы.";
            case Text.NON_ACADEMIC_DAY:
                return "Выходные дни";
            case Text.ACADEMIC_DAY:
                return "Академический день";
            case Text.ABSENCE:
                return "Отсутствие";
            case Text.CBAA_NO_VALID_URL:
                return "Это неправильный URL";
            case Text.CBAA_NO_LOAD_URL:
                return "Не могу проверить эту картинку";
            case Text.CBAA_VALID_URL_HINT:
                return ".jpg, .gif или .png рекомендуется использовать с шириной и высотой 114px.";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Тип";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Дата";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Оценка Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "Оценка не Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Задача Edmodo";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "Задача не Edmodo";
            case Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION:
                return "Максимальная оценка";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Каждый";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Макс.";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "Мой аспекты поведения";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Изменить аспект";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Выбрать аспект";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "Если вы хотите заменить картинку значка, укажите url новой картинки. Если же вы хотите сохранить старую картинку значка, не указывайте url.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Максимальное разрешение: 150x150 пикселей";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Создать и определить вычисляемые элементы";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "В данном вычисляемом периоде нету ни одного теста или задачи.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "Суммарный вес задач и оценок не может превышать 100%, и текущий";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Каждое положительное значение аспекта должно быть меньше или равно максимальному положительному значению.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Каждое отрицательно значение аспекта должно быть меньше или равно максимальному отрицательному значению.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "Суммарный вес вычисляемых периодов и вес максимального положительного аспекта не 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "Суммарный вес задач не 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "Суммарное значение вычисляемых элементов не 100%.";
            case Text.QUALIFICATION_VISIBLE_YES:
                return "Д";
            case Text.QUALIFICATION_VISIBLE_NO:
                return "Н";
            case Text.QUALIFICATION_QUALIFICATION_TH:
                return "Оценка";
            case Text.QUALIFICATION_QUALIFICATION_BONUS_PENALIZATION_TH:
                return "Бонус/штраф";
            case Text.QUALIFICATION_QUALIFICATION_FINAL_TH:
                return "Итоге";
            case Text.QUALIFICATION_QUALIFICATION_EXTRA_TH:
                return "Дополнительный";
            case Text.QUALIFICATION_QUALIFICATION_COMMENT_TH:
                return "Комментарий";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_TH:
                return "Видно родителю";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_STUDENT_TH:
                return "Видно студенту";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_P_TH:
                return "Р";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_S_TH:
                return "С";
            case Text.QUALIFICATION_QUALIFICATION_REASON_TH:
                return "Причина";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES:
                return "Сохранить оценки";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR:
                return "При сохранении произошла ошибка.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_SAVED:
                return "Изменения успешно сохранены.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ALERT:
                return "Последние изменения еще не сохранены, вы действительно хотите покинуть страницу не сохранив их?";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_ALERT:
                return "Вы должны применить или откатить изменения чтобы иметь возможность сохранить новые оценки и использовать инструменты таблицы.";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_BTN:
                return "Применить изменения";
            case Text.QUALIFICATION_QUALIFICATION_DISCARD_CHANGES_BTN:
                return "Откатить изменения";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Не забывайте нажимать на \"Сохранить оценки\" чтобы сохранить все изменения.";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Среднее";
            case Text.GENERATE_REPORTS_INFO:
                return "Информация об отчете";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "Вы должны выбрать хотя бы один раздел предмета.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "Вы должны выбрать хотя бы один тип отчёта.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "Нет ни одного созданного раздела предмета.";
            case Text.GENERATE_REPORTS_PAGE_TEXT:
                return "Страница";
            case Text.GENERATE_REPORTS_CITE:
                return "Данные между начальной и конечной датами попадут в отчет.";
            case Text.GENERATE_REPORTS_HINT:
                return "Генерация отчета, пожалуйста подождите";
            case Text.NO_CHILDREN_PARENT:
                return "У вас нет ни одного ассоциированного ребенка.";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "У вас нет ни одного предмета/раздела.";
            case Text.DOWNLOAD:
                return "Скачать";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "Вы можете увидеть все подробности о задачах и оценках нажав на таблице.";
            case Text.ORIENTATION_HINT:
                return "Ориентация страницы отчета";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "Максимальные отрицательные аспекты не могут превышать 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "Вы можете потерять данные если измените начальную или конечную дату.";
            case Text.FOOTER_MANUAL:
                return "руководство";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "русский";
    }
}