package classcontrol.language;

import classcontrol.utils.Text;

/**
 * Slovenian language texts.
 *
 * @see {@link Text}
 * @author Cristian TG
 * @since 1.0-INITIAL
 * @version 1.0-INITIAL
 */
public final class SlovenianLanguage implements ILanguage {

    @Override
    public String getString(final int id) {
        //* BE CAREFULL WITH "'" chars in JavaScript.
        switch (id) {
               case Text.FOOTER_CREATED_BY:
                return "Izdelal";
            case Text.FOOTER_SEE_PROBLEM:
                return "Strani ne vidim pravilno ? Klikni tu";
            case Text.INDEX_TEACHER_TITLE_C_S_C:
                return "Izdelaj predmet / pristojnosti";
            case Text.INDEX_TEACHER_TITLE_G_R:
                return "Prodobi poročila";
            case Text.INDEX_TEACHER_TITLE_S_C:
                return "Predmeti in pristojnosti";
            case Text.NAV_BAR_HOME:
                return "Domov";
            case Text.PARENT:
                return "Starš";
            case Text.STUDENT:
                return "Učenec";
            case Text.TEACHER:
                return "Učiteljica";
            case Text.WELLCOME:
                return "Dobrodošel v Class Control";
            case Text.CSC_TEACHER_TITLE_GROUP:
                return "Edmodova skupina";
            case Text.CSC_TEACHER_TITLE_TITLE:
                return "Naslov";
            case Text.CSC_TEACHER_TITLE_INITIAL_DATE:
                return "Datum začetka";
            case Text.CSC_TEACHER_TITLE_FINAL_DATE:
                return "Datum konca";
            case Text.CSC_TEACHER_TITLE_PERIODS:
                return "Obdobja";
            case Text.CSC_TEACHER_TITLE_DESCRIPTION:
                return "Opis";
            case Text.CSC_TEACHER_ASSOCIATED:
                return "Asociran z";
            case Text.NEXT:
                return "Nalsednji";
            case Text.CSC_TEACHER_PLACEHOLDER_TITLE:
                return "Naslov pokazatelja";
            case Text.CSC_TEACHER_PLACEHOLDER_DESCRIPTION:
                return "Neobvezen opis";
            case Text.CSC_TEACHER_FINAL_DATE_ALERT:
                return "Končni datum mora biti manjši ali enak začetnemu datumu ter največja razlika med njimi je 3 leta.";
            case Text.CSC_TEACHER_INITIAL_DATE_ALERT:
                return "Začetni datum mora bit manjši ali enak končnemu datumu ter maksimalna razlika med njimi največ 3 leta.";
            case Text.NO_NULL:
                return "Potrebno izpolnit";
            case Text.CREATE:
                return "Ustvari";
            case Text.WEIGHT:
                return "opravljeno";
            case Text.CSC_TEACHER_DEFINE_PERIODS:
                return "Opredelitev obobja";
            case Text.PERIOD:
                return "Obdobje";
            case Text.TO:
                return "za";
            case Text.CSC_TEACHER_TOTAL_WEIGHT_PERIODS:
                return "Skupno obdobje vrednotenja teže ter maksimalna pozitivna teža ne sme presegat 100% ter trenutna je";
            case Text.BACK:
                return "Nazaj";
            case Text.SUCCESS_MESSAGE:
                return "Uspešno opravljeno";
            case Text.FOOTER_SEE_PROBLEM_HELP:
                return "Če si v Edmondo na pametnem telefonu ali tablici klikni tu.";
            case Text.TEACHER_MESSAGE:
                return "Sporočilo";
            case Text.TEACHER_MESSAGE_RETURNING:
                return "Vračanje v";
            case Text.SEE_DETAILS:
                return "Poglej podrobnosti";
            case Text.S_C_SELECT_ACTION:
                return "Izberi akcijo";
            case Text.S_C_ATTEND:
                return "Udeležba";
            case Text.S_C_BEHAVIOUR_ATTITUDE:
                return "Način obnašanja";
            case Text.S_C_ASSIGNMENTS:
                return "Testi in zadolžitve";
            case Text.S_C_EDIT:
                return "Uredi";
            case Text.S_C_EDIT_MODIFY:
                return "Spremeni";
            case Text.S_C_EDIT_DELETE:
                return "Briši";
            case Text.S_C_EDIT_DELETE_TITLE:
                return "Pazi!";
            case Text.S_C_EDIT_DELETE_TEXT:
                return "Si prepričan o brisanju tega pogleda/pristojnosti ? Ni mogoče razveljaviti te operacije. Vsi povezani podatki sistema bodo izbrisani, razen dodeljene stopnje in vedenje in značke obnašanja, ki jih lahko izbrišeš samo preko Edmodo.";
            case Text.S_C_EDIT_DELETE_OK:
                return "Vredu";
            case Text.S_C_EDIT_DELETE_NO:
                return "Ne";
            case Text.HTML_LANG:
                return "sl";
            case Text.CSC_TEACHER_MAX_PERIODS:
                return "Maks. vrednost je 100.";
            case Text.MUST_BE_NUMBER:
                return "Moraš podat številko";
            case Text.ERROR_403:
                return "403";
            case Text.ERROR_403_MSG:
                return "Prepovedan. Ne pooblaščen  dostop.";
            case Text.ERROR_404:
                return "404";
            case Text.ERROR_404_MSG:
                return "Ne najdem.";
            case Text.ERROR_500:
                return "500";
            case Text.ERROR_500_MSG:
                return "Interna sistemska napaka.";
            case Text.ERROR_JAVA:
                return "Programska napaka";
            case Text.ERROR_JAVA_TEXT:
                return "Prišlo je do programske napake.";
            case Text.ERROR_SERVLET:
                return "Nekaj je bilo slabo navedeno";
            case Text.ERROR_SERVLET_TEXT:
                return "Razlog je";
            case Text.NO_VALID_ARGUMENT:
                return "Ni veljavno";
            case Text.BUSINESS_PROBLEM:
                return "Prišlo je do težave, prosim poskusi ponovno.";
            case Text.SUBJECT_COMPETENCE_REPEAT:
                return "Imaš že predmet / pristojnost s tem naslovom.";
            case Text.S_C_ATTEND_ATTEND_CONTROL:
                return "Kontrola prisotnosti";
            case Text.S_C_ATTEND_ATTEND_REPORT:
                return "Poročilo prisotnosti";
            case Text.S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS:
                return "Določi ne akademske dni";
            case Text.APPLY_ALL_NEW_CHANGES:
                return "Uveljavi vse ne akademske dneve vsem mojim predmetom in pristojnostim, ki se začnejo ter končajo istega dne kot ta predmet / pristojnost";
            case Text.SAVE:
                return "Shrani";
            case Text.S_C_ATTEND_ABSENCE_APPLY_TO:
                return "Uveljavi za";
            case Text.SELECT_ALL:
                return "Izberi vse";
            case Text.S_C_ATTEND_ABSENCE_HINT_1:
                return "Če je izbran samo en učenec, mu lahko dodaš novo ali odstraniš odsotnost.";
            case Text.S_C_ATTEND_ABSENCE_HINT_2:
                return "Če je izbran več kot en učenec, lahko dodaš novo odsotnosti le vsem.";
            case Text.S_C_ATTEND_AT_LEAST_ONE:
                return "Izberi vsaj enega učenca";
            case Text.SELECT_0:
                return "Odznači vse";
            case Text.S_C_ATTEND_ANY_ABSENCE:
                return "Nisi izbral nobenega datuma";
            case Text.ERASE_ALL:
                return "Počisti vse";
            case Text.S_C_B_A_APPLY_ASPECT:
                return "Uveljavi načina obnašanja pogleda";
            case Text.S_C_B_A_NEW_ASPECT:
                return "Nov pogled";
            case Text.S_C_B_A_REPORT:
                return "Poročilo načina obnašanja";
            case Text.S_C_B_A_NEW_ASPECT_URL:
                return "URL slike na spletu";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE:
                return "Trenuten pozitiven pogled";
            case Text.S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE:
                return "Trenuten negativen pogled";
            case Text.S_C_B_A_NEW_ASPECT_POSITIVE:
                return "Pozitiven pogled";
            case Text.S_C_B_A_NEW_ASPECT_NEGATIVE:
                return "Negativen pogled";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_1:
                return "Če je izbran samo en učenec, lahko dodaš novega ali odstraniš načina obnašanja pogleda.";
            case Text.S_C_B_A_APPLY_ASPECT_HINT_2:
                return "Če je izbranih več učencel, laho le vsem dodaš nov načina obnašanja pogleda";
            case Text.NAME:
                return "Ime";
            case Text.NAME_PLACEHOLDER:
                return "Ime identifikatorja";
            case Text.S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER:
                return "144x144px obvezno";
            case Text.BEHAVIOUR_ATTITUDE_ASPECT_REPEAT:
                return "Imaš že poged s tem imenom.";
            case Text.S_C_B_A_ANY_ASPECT:
                return "Ni izbran nobeden pogled";
            case Text.S_C_ASSIGNMENTS_SELECT_ASSIGNMENT:
                return "Moji testi in zadolžitve";
            case Text.S_C_ASSIGNMENTS_CREATE_ASSIGNMENT:
                return "Nov test ali zadolžitev";
            case Text.S_C_ASSIGNMENTS_EVALUATION_REPORT:
                return "Poročilo ovrednotenja";
            case Text.S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE:
                return "Uredi odstotek ovrednotenja";
            case Text.S_C_EVALUABLE_ITEM:
                return "Definicija ovrednotenja postavk";
            case Text.S_C_ASSIGNMENT_QUALIFICATION:
                return "Kvalifikacija nalog";
            case Text.S_C_NO_ASPECTS:
                return "Ni nobenega načina obnašanja pogleda.";
            case Text.REPORTS_TOTAL:
                return "Skupno";
            case Text.REPORTS_NAME:
                return "Ime";
            case Text.TABLES_COPY:
                return "Kopiraj";
            case Text.TABLES_COPY_TEXT:
                return "<h6>Tabla kopirana</h6><p>Kopirana v odložišče.</p>";
            case Text.TABLES_PRINT:
                return "Tiskaj";
            case Text.TABLES_PRINT_TEXT:
                return "<h6> Vpogled tiskanja </ h6> <p> Prosim, uporabi funkcijo tvojega brskalnika za tiskanje. Pritisni <b> ESC </ b>, ko zaključi. </ P>";
            case Text.TABLES_PDF_MSG:
                return "Izdelano z";
            case Text.TABLES_PDF_H:
                return "PDF - H";
            case Text.TABLES_PDF_V:
                return "PDF - V";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_AMOUNT:
                return "Ocenjevalna postavka ne sme preseči";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT:
                return "Imena dveh ocenjevalnih postavk sta enkaki.";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_ADD:
                return "Dodaj  drugo ocenjevalno postavko";
            case Text.ASSIGNMENT_EVALUABLE_ITEM_HINT:
                return "Poleg klasifikacije ocenjevalnih postavk, bo lahko vsak študent podal bonus ali penal končnemu izračunu testa ali dela.";
            case Text.NON_ACADEMIC_DAY:
                return "Ne akademski dan";
            case Text.ACADEMIC_DAY:
                return "Akademski dan";
            case Text.ABSENCE:
                return "Odsotnost";
            case Text.CBAA_NO_VALID_URL:
                return "To ni veljaven URL";
            case Text.CBAA_NO_LOAD_URL:
                return "Ne morem preverit te slike.";
            case Text.CBAA_VALID_URL_HINT:
                return ".jpg, .gif ali .png razširitev in priporočilva je višina in širina 114px.";
            case Text.CREATE_ASSIGNMENT_TYPE:
                return "Tip";
            case Text.CREATE_ASSIGNMENT_DATE:
                return "Datum";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE:
                return "Edmodovi razredi";
            case Text.CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE:
                return "NI Edmodovih stopenj";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE:
                return "Edmodove zadolžitve";
            case Text.CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE:
                return "Ni Edmodo's zadolžitev";
            case Text.CREATE_ASSIGNMENT_MAX_QUALIFICATION:
                return "Najvišja stopnja";
            case Text.EVALUATION_PERCENTAGES_EACH:
                return "Vsak";
            case Text.EVALUATION_PERCENTAGES_MAX:
                return "Maks";
            case Text.INDEX_TEACHER_MY_ASPECTS:
                return "Moj pogled načina obnašanja";
            case Text.MY_ASPECTS_MODIFY_TITLE:
                return "Spremeni pogled";
            case Text.MODIFY_ASPECT_SELECT_ASPECT:
                return "Izberi pogled";
            case Text.MODIFY_ASPECT_NO_URL_HINT:
                return "Če želite zamenjati sliko oznake, navedite url nove slike. V nasprotnem primeru, za ohranitev stareslike stare, vam ni potrebno določiti nobenega url.";
            case Text.CREATE_ASPECT_DIMENSIONS_HINT:
                return "Maksimalna velikost: 150x150 pikslov";
            case Text.CREATE_ASSIGNMENT_EVALUABLE_ITEMS:
                return "Ustvari in opredeli ovrednotene postavke";
            case Text.NO_ASSIGNMENTS_EVALUATION_PERIOD:
                return "Ni nobenih testov ali podanih zadolžitev v tem ocenejevalnem obdobju.";
            case Text.EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR:
                return "Skupne zadolžitve in stopnja opravljenega ne sme preseči 100%, trenutno je";
            case Text.EVALUATION_PERCENTAGE_POSITIVE_ERROR:
                return "Vsak pogled pozitivnih mora biti manjši ali enaka maksimalni pozitivnih.";
            case Text.EVALUATION_PERCENTAGE_NEGATIVE_ERROR:
                return "Vsak pogled negativnih mora biti manjši ali enak maksimalnemu številu negativnih";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL:
                return "Skupaj opravljeno v obdobju vrednotenja in maksimalen pozitiven vidik opravljenega ni 100%.";
            case Text.EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT:
                return "Skupna taža zadovžitvena ni 100%.";
            case Text.EVALUABLE_ITEMS_NOT_MAXIMUM:
                return "Ovrednotene postavke skupek ni 100%.";
            case Text.QUALIFICATION_VISIBLE_YES:
                return "D";
            case Text.QUALIFICATION_VISIBLE_NO:
                return "N";
            case Text.QUALIFICATION_QUALIFICATION_TH:
                return "Kvalifikacija";
            case Text.QUALIFICATION_QUALIFICATION_BONUS_PENALIZATION_TH:
                return "Bonus / penali";
            case Text.QUALIFICATION_QUALIFICATION_FINAL_TH:
                return "Končni";
            case Text.QUALIFICATION_QUALIFICATION_EXTRA_TH:
                return "Dodatno";
            case Text.QUALIFICATION_QUALIFICATION_COMMENT_TH:
                return "Komentar";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_TH:
                return "Vidno staršem";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_STUDENT_TH:
                return "Vidno učencem";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_P_TH:
                return "P";
            case Text.QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_S_TH:
                return "S";
            case Text.QUALIFICATION_QUALIFICATION_REASON_TH:
                return "Razlog";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES:
                return "Shrani klasifikacije";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR:
                return "Napaka pri shranjevanju sprememb.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_SAVED:
                return "Spremembe uspešno shranjene.";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ALERT:
                return "Nedavne spremembe niso shranjene, želiš zapustiti to stran brez shranjevanja ?";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_ALERT:
                return "Moraš uveljavit ali zavreč spremembe, da lahko shraniš nove klasifikacije ter uporabiš orodja za table.";
            case Text.QUALIFICATION_QUALIFICATION_APPLY_CHANGES_BTN:
                return "Uveljavi spremembe";
            case Text.QUALIFICATION_QUALIFICATION_DISCARD_CHANGES_BTN:
                return "Zavrzi spremembe";
            case Text.QUALIFICATION_QUALIFICATION_SAVE_CHANGES_REMEMBER:
                return "Ne pozabi klika na \"Shrani klasifikacije\" za shrambo vseh sprememb.";
            case Text.EVALUATION_INFORM_AVERAGE:
                return "Povprečje";
            case Text.GENERATE_REPORTS_INFO:
                return "Informacije o";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES:
                return "Izbrati moraš vsaj en pristojnosti predmet.";
            case Text.GENERATE_REPORTS_NO_INFO:
                return "Izbrati moraš vsaj en način poročila.";
            case Text.GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED:
                return "Ni bil ustvarjen nobeden pristojni predmet.";
            case Text.GENERATE_REPORTS_PAGE_TEXT:
                return "Stran";
            case Text.GENERATE_REPORTS_CITE:
                return "Poročani bodo podatki med začetnimi in končnimi datumi.";
            case Text.GENERATE_REPORTS_HINT:
                return "Izdelava poročila, prosim počakaj";
            case Text.NO_CHILDREN_PARENT:
                return "Nimaš nobeih asociranih otrok";
            case Text.NO_SUBJECT_COMPETENCES_STUDENT:
                return "Nimaš nobenega predmeta / pristojnih podatkov.";
            case Text.DOWNLOAD:
                return "Prenesi k sebi";
            case Text.PARENT_EVALUATION_INFORM_HINT:
                return "Lahko si ogledaš vse zadolžitve in podrobnosti ocen s klkom na tabelo.";
            case Text.ORIENTATION_HINT:
                return "Orientacija poročila";
            case Text.EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR:
                return "Maksimalno število neopravičenihi, ne sme presegati 100%.";
            case Text.MODIFY_SUBJECT_COMPETENCE_DATES_ALERT:
                return "Lahko izgubiš podatke če spremeniš začetne in končne datume.";
            case Text.FOOTER_MANUAL:
                return "priročnik";
            default:
                return "";
        }
    }

    @Override
    public String getLanguageName() {
        return "slovenščina";
    }
}