package classcontrol.utils;

import classcontrol.dao.ConstantsDB;
import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class QualificationUtil {

    /**
     * Returns a localized visibility type string.
     * @see {ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_TYPES}
     * @see {ConstantsDB#QUALIFICATION_VISIBLE_YES}
     * @see {ConstantsDB#QUALIFICATION_VISIBLE_NO}
     * @param type One of {@link ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_YES_INDEX} or {@link ConstantsDB#TABLE_QUALIFICATION_ATT_VISIBLE_NO_INDEX}
     * @param request
     * @return Localized visibility type string.
     */
    public static String getVisibility(final byte type, final HttpServletRequest request) {
        return CurrentLanguage.getString((type == ConstantsDB.TABLE_QUALIFICATION_ATT_VISIBLE_TYPES[ConstantsDB.TABLE_QUALIFICATION_ATT_VISIBLE_YES_INDEX]
                ? Text.QUALIFICATION_VISIBLE_YES : Text.QUALIFICATION_VISIBLE_NO), request);
    }
}