package classcontrol.utils;

import classcontrol.language.ILanguage;
import classcontrol.language.LanguageFactory;

/**
 * Text identificators to application's internationalization.
 *
 * @see {@link ILanguage} and {@link LanguageFactory}
 * @author Cristian TG
 * @since 0.1-ALPHA
 * @version 1.0-INITIAL
 */
public final class Text {

    /**
     * Created by identificator.
     */
    public final static int FOOTER_CREATED_BY = 0;
    /**
     * See problem identificator.
     */
    public final static int FOOTER_SEE_PROBLEM = 1;
    /**
     * Wellcome identificator
     */
    public final static int WELLCOME = 2;
    /**
     * Nav bar home identificator
     */
    public final static int NAV_BAR_HOME = 3;
    /**
     * Teacher identificator
     */
    public final static int TEACHER = 4;
    /**
     * Student identificator
     */
    public final static int STUDENT = 5;
    /**
     * Parent identificator
     */
    public final static int PARENT = 6;
    /**
     * Index teacher title option S_C identificator
     */
    public final static int INDEX_TEACHER_TITLE_S_C = 7;
    /**
     * Index teacher title option G_R identificator
     */
    public final static int INDEX_TEACHER_TITLE_G_R = 8;
    /**
     * Index teacher title option C_S_C identificator
     */
    public final static int INDEX_TEACHER_TITLE_C_S_C = 9;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_GROUP = 10;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_TITLE = 11;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_INITIAL_DATE = 12;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_FINAL_DATE = 13;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_PERIODS = 14;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_TITLE_DESCRIPTION = 15;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_ASSOCIATED = 16;
    /**
     * Create subject / competence teacher group title
     */
    public final static int NEXT = 17;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_PLACEHOLDER_TITLE = 18;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_PLACEHOLDER_DESCRIPTION = 19;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_INITIAL_DATE_ALERT = 20;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_FINAL_DATE_ALERT = 21;
    /*
     * Create subject / competence teacher group title
     */
    /**
     *
     */
    public final static int NO_NULL = 22;
    /*
     * Create button text identificator
     */
    /**
     *
     */
    public final static int CREATE = 23;
    /*
     * Create button text identificator
     */
    /**
     *
     */
    public final static int WEIGHT = 24;
    /*
     * Create button text identificator
     */
    /**
     *
     */
    public final static int PERIOD = 25;
    /*
     * Create button text identificator
     */
    /**
     *
     */
    public final static int TO = 26;
    /*
     * Create subject / competence teacher perios definition identificator
     */
    /**
     *
     */
    public final static int CSC_TEACHER_DEFINE_PERIODS = 27;
    /*
     * Create subject / competence teacher perios definition identificator
     */
    /**
     *
     */
    public final static int CSC_TEACHER_TOTAL_WEIGHT_PERIODS = 28;

    /*
     * Back button text identificator
     */
    /**
     *
     */
    public final static int BACK = 29;
    /*
     * Back button text identificator
     */
    /**
     *
     */
    public final static int SUCCESS_MESSAGE = 30;
    /**
     *
     */
    public final static int FOOTER_SEE_PROBLEM_HELP = 31;
    /**
     *
     */
    public final static int TEACHER_MESSAGE = 32;
    /**
     *
     */
    public final static int TEACHER_MESSAGE_RETURNING = 33;
    /**
     * See details identificator.
     *
     */
    public final static int SEE_DETAILS = 34;
    /**
     * Subject competence select action identificator.
     *
     */
    public final static int S_C_SELECT_ACTION = 35;
    /**
     * Subject competence attend action identificator.
     *
     */
    public final static int S_C_ATTEND = 36;
    /**
     * Subject competence behaviour/attitude action identificator.
     *
     */
    public final static int S_C_BEHAVIOUR_ATTITUDE = 37;
    /**
     * Subject competence assignments action identificator.
     *
     */
    public final static int S_C_ASSIGNMENTS = 38;
    /**
     * Subject competence edit option identificator.
     *
     */
    public final static int S_C_EDIT = 39;
    /**
     * Subject competence modify option identificator.
     *
     */
    public final static int S_C_EDIT_MODIFY = 40;
    /**
     * Subject competence deletet option identificator.
     *
     */
    public final static int S_C_EDIT_DELETE = 41;
    /**
     * Delete title alert identificator.
     *
     */
    public final static int S_C_EDIT_DELETE_TITLE = 42;
    /**
     * Delete text alert identificator.
     *
     */
    public final static int S_C_EDIT_DELETE_TEXT = 43;
    /**
     * Delete text alert identificator.
     *
     */
    public final static int S_C_EDIT_DELETE_OK = 44;
    /**
     * Delete text alert identificator.
     *
     */
    public final static int S_C_EDIT_DELETE_NO = 45;
    /**
     * HTML language label.
     *
     */
    public final static int HTML_LANG = 46;
    /**
     * Create subject / competence teacher group title
     */
    public final static int CSC_TEACHER_MAX_PERIODS = 47;
    /**
     * Create subject / competence teacher group title
     */
    public final static int MUST_BE_NUMBER = 48;
    /**
     * Response status 403 identificator.
     */
    public final static int ERROR_403 = 49;
    /**
     * Response status 403 text identificator.
     */
    public final static int ERROR_403_MSG = 54;
    /**
     * Response status 404 identificator.
     */
    public final static int ERROR_404 = 50;
    /**
     * Response status 404 text identificator.
     */
    public final static int ERROR_404_MSG = 55;
    /**
     * Response status 500 identificator.
     */
    public final static int ERROR_500 = 51;
    /**
     * Response status 500 text identificator.
     */
    public final static int ERROR_500_MSG = 56;
    /**
     * Java error identificator.
     */
    public final static int ERROR_JAVA = 52;
    /**
     * Java error text identificator.
     */
    public final static int ERROR_JAVA_TEXT = 58;
    /**
     * Servlet error identificator.
     */
    public final static int ERROR_SERVLET = 53;
    /**
     * Servlet error text identificator.
     */
    public final static int ERROR_SERVLET_TEXT = 57;
    /**
     * No valid argument.
     */
    public final static int NO_VALID_ARGUMENT = 59;
    /**
     * An operation ends with an exception identificator.
     */
    public final static int BUSINESS_PROBLEM = 60;
    /**
     * Subject Competence title repeat identificator.
     */
    public final static int SUBJECT_COMPETENCE_REPEAT = 61;
    /**
     * Subject competence attend control identificator.
     */
    public final static int S_C_ATTEND_ATTEND_CONTROL = 62;
    /**
     * Subject competence attend report identificator.
     */
    public final static int S_C_ATTEND_ATTEND_REPORT = 63;
    /**
     * Subject competence non academic days identificator.
     */
    public final static int S_C_ATTEND_DEFINE_NON_ACADEMIC_DAYS = 64;
    /**
     * Apply all new changes identificator
     */
    public final static int APPLY_ALL_NEW_CHANGES = 65;
    /**
     * Save indetificator.
     */
    public final static int SAVE = 66;
    /**
     * Apply to identificator.
     */
    public final static int S_C_ATTEND_ABSENCE_APPLY_TO = 67;
    /**
     * Select all indentificator.
     */
    public final static int SELECT_ALL = 68;
    /**
     * Select 0 indentificator.
     */
    public final static int SELECT_0 = 72;
    /**
     * Absence hint 1 indetificator.
     */
    public final static int S_C_ATTEND_ABSENCE_HINT_1 = 69;
    /**
     * Absence hint 2 indetificator.
     */
    public final static int S_C_ATTEND_ABSENCE_HINT_2 = 70;
    /**
     * Absence no student selected identificator.
     */
    public final static int S_C_ATTEND_AT_LEAST_ONE = 71;
    /**
     * Indicate absences identificator.
     */
    public final static int S_C_ATTEND_ANY_ABSENCE = 73;
    /**
     * Erase all text identificator.
     */
    public final static int ERASE_ALL = 74;
    /**
     * Introduce or revoke a behavoiur attitude aspect identificator.
     */
    public final static int S_C_B_A_APPLY_ASPECT = 75;
    /**
     * Create a new behavoiur attitude aspect identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT = 76;
    /**
     * Behavoiur attitude report identificator.
     */
    public final static int S_C_B_A_REPORT = 77;
    /**
     * Create behavoiur attitude aspect: URL identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_URL = 78;
    /**
     * Create behavoiur attitude aspect: current positive aspects identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_CURRENT_POSITIVE = 79;
    /**
     * Create behavoiur attitude aspect: current negative aspects identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_CURRENT_NEGATIVE = 80;
    /**
     * Modify aspect select aspect option identificator.
     */
    public final static int MODIFY_ASPECT_SELECT_ASPECT = 81;
    /**
     * Modify aspects no URL hint identificator.
     */
    public final static int MODIFY_ASPECT_NO_URL_HINT = 82;
    /**
     * Create behavoiur attitude aspect: positive aspect identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_POSITIVE = 83;
    /**
     * Create behavoiur attitude aspect: negative aspect identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_NEGATIVE = 84;
    /**
     * Apply a behavoiur attitude aspect: hint 1 identificator.
     */
    public final static int S_C_B_A_APPLY_ASPECT_HINT_1 = 85;
    /**
     * Apply a behavoiur attitude aspect: hint 1 identificator.
     */
    public final static int S_C_B_A_APPLY_ASPECT_HINT_2 = 86;
    /**
     * Name text identificator.
     */
    public final static int NAME = 87;
    /**
     * Name placeholder text identificator.
     */
    public final static int NAME_PLACEHOLDER = 88;
    /**
     * Name placeholder text identificator.
     */
    public final static int S_C_B_A_NEW_ASPECT_URL_PLACEHOLDER = 89;
    /**
     * Repeat behaviour attitude aspect text identificator.
     */
    public final static int BEHAVIOUR_ATTITUDE_ASPECT_REPEAT = 90;
    /**
     * No behaviour attitude aspect selected identificator.
     */
    public final static int S_C_B_A_ANY_ASPECT = 91;
    /**
     * Assignments option. select assignment identificator.
     */
    public final static int S_C_ASSIGNMENTS_SELECT_ASSIGNMENT = 92;
    /**
     * Assignments option. create assignment identificator.
     */
    public final static int S_C_ASSIGNMENTS_CREATE_ASSIGNMENT = 93;
    /**
     * Assignment option. evaluation report identificator.
     */
    public final static int S_C_ASSIGNMENTS_EVALUATION_REPORT = 94;
    /**
     * Assignment option: edit evaluation percentage identificator.
     */
    public final static int S_C_ASSIGNMENTS_EDIT_EVALUATION_PERCENTAGE = 95;
    /**
     * Selectd assignment option: define evaluable item identificator.
     */
    public final static int S_C_EVALUABLE_ITEM = 96;
    /**
     * Assignments option: assignment qualification identificator.
     */
    public final static int S_C_ASSIGNMENT_QUALIFICATION = 97;
    /**
     * No aspects identificator.
     */
    public final static int S_C_NO_ASPECTS = 98;
    /**
     * Reports: total indetificator.
     */
    public final static int REPORTS_TOTAL = 99;
    /**
     * Reports: name indetificator.
     */
    public final static int REPORTS_NAME = 100;
    /**
     * Table option: copy identificator.
     */
    public final static int TABLES_COPY = 101;
    /**
     * Table option: copy text identificator.
     */
    public final static int TABLES_COPY_TEXT = 102;
    /**
     * Table option: print identificator.
     */
    public final static int TABLES_PRINT = 103;
    /**
     * Table option: print text identificator.
     */
    public final static int TABLES_PRINT_TEXT = 104;
    /**
     * Table option: pdf msg text identificator.
     */
    public final static int TABLES_PDF_MSG = 105;
    /**
     * Table option: pdf horizontal orientation identificator.
     */
    public final static int TABLES_PDF_H = 106;
    /**
     * Table option: pdf vertical orientation identificator.
     */
    public final static int TABLES_PDF_V = 107;
    /**
     * Assignment evaluable item total amount hint identificator.
     */
    public final static int ASSIGNMENT_EVALUABLE_ITEM_AMOUNT = 108;
    /**
     * Assignment evaluable item total add hint identificator.
     */
    public final static int ASSIGNMENT_EVALUABLE_ITEM_ADD = 109;
    /**
     * Assignment evaluable item hint identificator.
     */
    public final static int ASSIGNMENT_EVALUABLE_ITEM_HINT = 110;
    /**
     * Non academic day identificator.
     */
    public final static int NON_ACADEMIC_DAY = 111;
    /**
     * Academic day identificator.
     */
    public final static int ACADEMIC_DAY = 112;
    /**
     * Absence indetificator.
     */
    public final static int ABSENCE = 113;
    /**
     * No image url indetificator.
     */
    public final static int CBAA_NO_VALID_URL = 114;
    /**
     * No load url indetificator.
     */
    public final static int CBAA_NO_LOAD_URL = 115;
    /**
     * Url hint indetificator.
     */
    public final static int CBAA_VALID_URL_HINT = 116;
    /**
     * Assignment's type identificator.
     */
    public final static int CREATE_ASSIGNMENT_TYPE = 117;
    /**
     * Assignment's type: Online grade, identificator.
     */
    public final static int CREATE_ASSIGNMENT_TYPE_GRADE_ONLINE = 118;
    /**
     * Assignment's type: Offline grade, identificator.
     */
    public final static int CREATE_ASSIGNMENT_TYPE_GRADE_OFFLINE = 119;
    /**
     * Assignment's type: Online assignment, identificator.
     */
    public final static int CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_ONLINE = 120;
    /**
     * Assignment's type: Offline assignment, identificator.
     */
    public final static int CREATE_ASSIGNMENT_TYPE_ASSIGNMENT_OFFLINE = 121;
    /**
     * Assignment's maximum qualification identificator.
     */
    public final static int CREATE_ASSIGNMENT_MAX_QUALIFICATION = 122;
    /**
     * Evaluation percentages: each aspect weight indentificator.
     */
    public final static int EVALUATION_PERCENTAGES_EACH = 124;
    /**
     * Evaluation percentages: max weight indentificator.
     */
    public final static int EVALUATION_PERCENTAGES_MAX = 125;
    /**
     * Total assignments amount evaluation percentage identificator.
     */
    public final static int EVALUATION_PERCENTAGE_ASSIGNMENTS_AMOUNT_ERROR = 126;
    /**
     * Index teacher title option: My aspects identificator
     */
    public final static int INDEX_TEACHER_MY_ASPECTS = 127;
    /**
     * My aspects: modify aspect option identificator
     */
    public final static int MY_ASPECTS_MODIFY_TITLE = 128;
    /**
     * Create aspect image hint identificator.
     */
    public final static int CREATE_ASPECT_DIMENSIONS_HINT = 129;
    /**
     * Assignment's date identificator.
     */
    public final static int CREATE_ASSIGNMENT_DATE = 130;
    /**
     * Repeated evaluable item names identificator.
     */
    public final static int ASSIGNMENT_EVALUABLE_ITEM_NO_REPEAT = 131;
    /**
     * Define evaluable items after assignment's creation identificator.
     */
    public final static int CREATE_ASSIGNMENT_EVALUABLE_ITEMS = 132;
    /**
     * No assignments evaluation period identificator.
     */
    public final static int NO_ASSIGNMENTS_EVALUATION_PERIOD = 133;
    /**
     * Positive aspects evaluation percentage error identificator.
     */
    public final static int EVALUATION_PERCENTAGE_POSITIVE_ERROR = 134;
    /**
     * Negative aspects evaluation percentage error identificator.
     */
    public final static int EVALUATION_PERCENTAGE_NEGATIVE_ERROR = 135;
    /**
     * Total amount is not total identificator.
     */
    public final static int EVALUATION_PERCENTAGE_NOT_MAXIMUM_TOTAL = 136;
    /**
     * Total assignments' amount is not maximum possible identificator.
     */
    public final static int EVALUATION_PERCENTAGE_NOT_MAXIMUM_ASSIGNMENT = 137;
    /**
     * Total evaluable items' amount is not maximum possible identificator.
     */
    public final static int EVALUABLE_ITEMS_NOT_MAXIMUM = 138;
    /**
     *
     */
    public final static int QUALIFICATION_VISIBLE_YES = 139;
    /**
     *
     */
    public final static int QUALIFICATION_VISIBLE_NO = 140;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_TH = 141;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_BONUS_PENALIZATION_TH = 142;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_FINAL_TH = 143;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_REASON_TH = 144;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_EXTRA_TH = 145;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_COMMENT_TH = 146;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_TH = 147;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_VISIBLE_STUDENT_TH = 148;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_P_TH = 149;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_VISIBLE_PARENT_S_TH = 150;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_SAVE_CHANGES = 151;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ERROR = 152;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_SAVE_CHANGES_SAVED = 153;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_SAVE_CHANGES_ALERT = 154;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_APPLY_CHANGES_ALERT = 155;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_APPLY_CHANGES_BTN = 156;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_DISCARD_CHANGES_BTN = 157;
    /**
     *
     */
    public final static int QUALIFICATION_QUALIFICATION_SAVE_CHANGES_REMEMBER = 158;
    /**
     *
     */
    public final static int DOWNLOAD = 159;
    /**
     *
     */
    public final static int EVALUATION_INFORM_AVERAGE = 160;
    /**
     *
     */
    public final static int GENERATE_REPORTS_INFO = 161;
    /**
     *
     */
    public final static int GENERATE_REPORTS_NO_SUBJECT_COMPETENCES = 162;
    /**
     *
     */
    public final static int GENERATE_REPORTS_NO_INFO = 163;
    /**
     *
     */
    public final static int GENERATE_REPORTS_NO_SUBJECT_COMPETENCES_CREATED = 164;
    /**
     *
     */
    public final static int GENERATE_REPORTS_PAGE_TEXT = 165;
    /**
     *
     */
    public final static int GENERATE_REPORTS_CITE = 166;
    /**
     *
     */
    public final static int GENERATE_REPORTS_HINT = 167;
    /**
     *
     */
    public final static int NO_CHILDREN_PARENT = 168;
    /**
     *
     */
    public final static int NO_SUBJECT_COMPETENCES_STUDENT = 169;
    /**
     *
     */
    public final static int PARENT_EVALUATION_INFORM_HINT = 170;
    /**
     *
     */
    public final static int ORIENTATION_HINT = 171;
    /**
     * Maximum negative aspects evaluation percentage error identificator.
     */
    public final static int EVALUATION_PERCENTAGE_MAX_NEGATIVE_ERROR = 172;
    /**
     *
     */
    public final static int MODIFY_SUBJECT_COMPETENCE_DATES_ALERT = 173;
    /**
     * Footer's manual identificator.
     *
     */
    public final static int FOOTER_MANUAL = 123;
}